1 Introduction

Hard Disk Manager is a fast, convenient and reliable solution of disk copying, upgrading and configuring needs. It provides a wide-range functionality in the field of managing disk layout structures.

Presently hard disks are the primary part of modern informational systems based on IBM PC family computers. Hard disks hold not only user's data but also applications and system files required for running an operating system. Parameters and configuration of disk-based storage systems noticeably affect the overall system performance and reliability.

Hard Disk Manager has the following key features:

Friendly user interface for Windows, DOS and Linux platforms

Hard Disk Manager works in DOS, Windows and Linux environments. All versions have almost identical functionality and similar interface layout.

Virtual pre-execution of operations: what you see is what you WILL get

Hard Disk Manager allows previewing the resulting layout of hard disks before actually executing operations (so-called virtual operations). The special predicting module forecasts the post-operation state of the hard disks. You are able to execute multiple virtual operations and then evaluate the future state of hard disks. If needed, you can undo one or more virtual operations.

Easy to use Masters for technically advanced operations

Performing functions such as Partitions Restoring (Undelete), Free Space Redistributing, Merge Partitions and some others are realized through the system of Wizards. Wizards regulate the sequence of user actions in intricate situations, provide suitable and intelligible tools for operations settings and significantly simplify the disk structure analysis. For example Partition Restoring is not a trivial task related to many technical nuances. The developed function for solving this task (Undelete Wizard) allows a user to easily orient in the operation logic, find a deleted partition and then restore it correctly.

Schedule program operations

The program allows creating a schedule for the automatic performance of a single operations or a group of operations. It is handy when operations perform regularly, for example in case of everyday creating of backup copies or in case of retesting of a disk surface at the night time. See the chapter Scheduling tasks to know how it works.

Fast processing algorithms for popular file systems

Hard Disk Manager uses fast algorithms for copying and moving partitions for FAT16, FAT32, NTFS, Ext2, Ext3, ReiserFS and HPFS file systems (named known file systems). Hard Disk Manager uses the knowledge of the internal structure of these file systems and manages only usable sectors of the partitions.

Basic functions for initializing, partitioning and formatting hard disks

Traditionally, Hard Disk Manager provides basic disk partitioning functions such as creating, deleting and formatting partitions. Instead of the standard disk tools in Windows and Linux, Hard Disk Manager supports all file systems and allows automating the process.

Making backup images of integral file system state

Hard Disk Manager makes the "momentary photography" of the partition. The backup image includes not only contents of all user-made files but also the exact structure of directories, information about location of files on the disk; all file attributes and related information (e.g. security information).

Making backup images of system Windows partitions faster and easier

The program can make backup images of system Windows NT, 2000 & XP partitions without reloading your computer. The feature gives a possibility to save much time fully justifying its name – Hot Backup.

Incremental Backup

The Hard Disk Manager users can add changed data of partitions to backup archives created before. This function helps you to keep one archive if you need to backup the same partitions frequently. It will save disk space and your time.

Selectable restoration of partitions from backup archives

Another new feature included in the Hard Disk Manager is the ability to restore only selected partitions from multi-partition archives (such as images of entire hard disks or images of the Extended Partition).

Built-in tool for exploring contents of backup archives

Hard Disk Manager includes the Image Explorer tool that allows exploring contents of backup images and extracting selected files or directories without performing the restoration of the entire partition.

Built-in CD burning tool

The Windows and Linux based versions of the Hard Disk Manager provide the ability to burn backup images on recordable CD and DVD media directly from the program's interface, without using additional CD burning software.

Non-destructive changing parameters of partitions

Hard Disk Manager includes functions of changing the size of the partition or changing the cluster size without re-formatting the partition. These features are very comfortable for the migrating of the system on more capacious hard disks.

Non-destructive conversion of FAT and NTFS file systems

Hard Disk Manager provides the unique ability to convert FAT16, FAT32 and NTFS file systems to each other without re-formatting the partition. This feature can be useful to adjust the system for better performance and/or more abilities.

Effective tools for a file system optimization

The program includes integrated tools for de-fragmentation of NTFS and FAT partitions and also a tool for de-fragmentation of the $MFT file, which is important in the NTFS file system. The $MFT file contains the Master File Table (MFT). It is located in a section of the disk that is usually inaccessible for standard disk management software. The program provides a possibility to allocate this file contents optimally and as a result improves the efficiency of the file system workload. In addition, with the integrated tools for a partition de-fragmentation a user is able to optimize both NTFS and FAT partitions.

Built-in tool for checking file system integrity

This feature enables you to check the file system integrity on FAT16, FAT32, NTFS, Ext2, Ext3, ReiserFS and HPFS partitions from the program interface to validate if the partition is capable of modifications: almost all advanced operations such as resizing, conversion or changing cluster size can be executed only on valid partitions.


2 Installing Hard Disk Manager

The setup package is contained in the CD installation package and in the downloadable version. The installation CD contains setup files and the Paragon Recovery CD. Paragon Recovery CD is the Linux-based bootable CD with Hard Disk Manager for Linux. It can be used:

· As a fully functional disk management tool based on the bootable CD.

· As an autonomous recovery tool in case of severe malfunction of on-disk software.

A brief guide devoted to different aspects of using the Recovery CD is to be found in a dedicated chapter Recovery CD of this manual.


2.1 Package Contents

Hard Disk Manager installation package contains following contents:

· Hard Disk Manager 6.0 for Windows 95, 98 and ME

· Hard Disk Manager 6.0 for Windows NT, 2000 and XP

· Hard Disk Manager 6.0 for DOS platform

· Hard Disk Manager 6.0 for Linux platform

· Diskette Build Wizard utility

· Partition Explorer

· Boot Manager

· Paragon ISO Burner

· Paragon Image Explorer


2.2 Registering and Updating Hard Disk Manager

The Developer Company provides a wide array of online services provided by the Electronic Service System.

2.2.1 E-Service System

The Electronic Service System (ESS) provides the following services:

· Registering new users

· Registering purchased products for registered users

· Providing registered users with the around-the-clock available downloading center. Registered users are able to download free updates and upgrades of purchased products, any language versions available, and the documentation of the products.

· Providing all users with free demo versions and open documentation.

· Providing the online Knowledge Base of the Technical Support Team.

To enter the ESS, visit our web site.

It is recommended to use Internet Explorer 5+ or any compatible browser.

Generally, the following scheme is considered:

1. The user should register in the ESS. At this stage, the user need not be an owner of any product.

After purchasing a product (e.g. Hard Disk Manager), the user should login the ESS and register the product. From now on, he is able to download commercial updates and upgrades of the product.

2.2.2 Registering in the E-Service System

1. Run the Internet browser and visit the E-Service System page.

Click on the "Registration" menu item. Then follow the on-screen instructions:

ð On the 1st screen, choose the country.

ð On the 2nd screen, fill in the form.

The most important field is the registered e-mail address. First, ESS will send you the password to the registered e-mail address. Second, the registered e-mail address is used as the login to the ESS.

2.2.3 Registering new products in the E-Service System

1. Run the Internet browser and visit the E-Service System page

2. Click on the "Login" menu item.

3. On the Login screen, enter the registered e-mail in the User Name field and the received password in the Password field.

After submitting the form, you have access to the E-Service System.

4. Click on the Product Reg. menu item. The list of the registered products should appear followed by the new product registration form.

5. Select the general name of the product in the list Base Product.
For example, to register Hard Disk Manager, select the item "Hard Disk Manager ".

6. The form will update itself automatically.

7. Then, select the particular version of the product in the list Product.
For example, for Hard Disk Manager, select the item Hard Disk Manager.

8. Enter the serial number of your product in the Serial Number field.

9. Press the button Submit.

10. ESS will verify your registration. On success, it will save your information in the database and thus enables you to use the download center.

2.2.4 Downloading updates

1. Enter E-Service System page.

2. Click on the item Download Update to get access to commercial downloads of your products.

3. Select the desired update and click the button Download

On the Download page, you can see the list of registered products on the top of the page. Below the list of products, you can see the list of available commercial updates (only for products you have registered). These updates are free of charge for the registered users. Each item is provided with brief information about new features, the size of the downloadable file and the date.

2.2.5 Updating and Upgrading registered products

Usually, updates and upgrades are fully functional installation packages of proper products. To apply an update, you should uninstall the previously installed version of the program and then install the update/upgrade.


2.3 Uninstalling Hard Disk Manager

To uninstall Hard Disk Manager, select the shortcut in the Start menu:

Start > Programs > Hard Disk Manager > Uninstall Hard Disk Manager

Confirm the deletion of the Hard Disk Manager and all its components. A reboot is not required to complete the uninstallation process.


3 Basic Working Concepts

This chapter introduces some concepts which will serve as a good base for working with the program. It includes the Hard Disk Manager functionality and interface overview, a description of key features and terms.


3.1 Functionality overview

This chapter introduces the overview of the Hard Disk Manager functionality.

3.1.1 Known file systems

Hard Disk Manager uses the knowledge of the internal structure of FAT-12/16/32, NTFS, Ext2, Ext3, ReiserFS, HPFS, L-Swap 1&2 file systems.

The program provides the advanced functionality exclusively for partitions that are formatted to the known file systems: fast copying, resizing, changing the cluster size, file system conversion and many more. The basic functionality (copy, move, backup and restore) is available for partitions of all types, even "unknown" ones.

Operation |  | FAT, NTFS | Ext2, Ext3 | ReiserFS | HPFS | L-Swap 1&2 | Other file systems
Copy |  | YES | YES | YES | YES | *re-create | ** in 1:1 mode
Format |  | YES | YES | YES | YES | YES | NO
Resize & Move |  | YES | YES | YES | NO | *re-create | NO
Change Cluster Size |  | YES | YES | NO | NO | NO | NO
Convert |  | YES | NO | NO | NO | NO | NO
* | Hard Disk Manager does not save data located on the Linux Swap partitions. The program deletes existing L-Swap partitions and creates new ones.
** | The partitions of unknown types are always processed by using the sector-to-sector algorithm (1:1 mode)

3.1.2 Fast copying algorithm

The basic functions of the Hard Disk Manager can be executed in two different modes:

1. The fast copying mode

2. The sector-to-sector mode (also named 1:1 mode)

3.1.2.1 Fast copying mode

In the fast copying mode, the program uses the knowledge of the file system structure to detect sectors of a partition, which are not used by files or metadata. Then, the program optimizes read-write operations to skip unused sectors. This technique improves the performance of basic operations significantly.

However, the fast copying mode has restrictions:

1. It is applicable only for Known file systems.

2. It is inapplicable for corrupted file systems.

Every operation begins with a file system integrity check. In cases of file system corruption, the program will show the error message "Incorrect file system" and cancel the operation. In this case, you should fix the file system integrity by using the provided system tools (e.g. run SCANDISK in Windows 98, CHKDSK /F in Windows 2000 or e2fsck in Linux).

3.1.2.2 Sector-to-sector copying mode

In the sector-to-sector mode, the program simply operates all sectors of a partition. The program does not use the map of usable sectors so that it accepts partitions of any type.

Fast copying Mode

Sector-to-sector Mode

Advantages

· The program copies only usable sectors.

· Requires less time to complete the operation (Copy, Move).

· Applicable for all file systems, even unknown systems.

· Applicable for all partitions including corrupted ones. The only method to copy a corrupted partition is to switch the program to the sector-to-sector mode.

Disadvantages

· Inapplicable for corrupted file systems. In particular, you're unable to copy or move corrupted partitions.

· Inapplicable for unknown file systems.

· The program copies all sectors, even unused.

· Requires more time to complete the operation.

By default, Hard Disk Manager works in the "smart mode": the program automatically switches to the fast copying mode to operate partitions of known types. When processing unknown file systems, the program automatically switches to the sector-to-sector mode.

Hard Disk Manager can be forced to work in the sector-to-sector mode for all partitions (see the section Copy all sectors 1:1):

(menu) General > Settings… > (tab) General > Copy all sectors 1:1

3.1.3 Virtual operations

Hard Disk Manager supports two different operational modes: the Immediate Execution mode and the Virtual Execution mode.

3.1.3.1 Immediate Execution mode

In the Immediate Execution mode, Hard Disk Manager performs each operation immediately after a user enters operation parameters (similar to the older versions of Hard Disk Manager).

3.1.3.2 Virtual Execution mode

In the Virtual Execution mode, Hard Disk Manager emulates the post-operation configuration of hard disks; the program allows previewing the expected layout (i.e. the virtual state) of hard disks prior to executing operations.

The program does not execute operations immediately, but places them in the List of Pending Operations. The special predicting module forecasts the post-operation state of hard disks. A user can execute multiple virtual operations and then evaluate the future state of hard disks. A user can undo one or more virtual operations if necessary. To execute pending operations, a user is able to apply pending operations by pressing the Apply button.

The advantage of the Virtual Execution mode is that it allows the user to quickly execute a set of virtual operations, which Hard Disk Manager then finalizes in unattended mode.

3.1.3.3 Smart mode for virtual operations

In addition, Hard Disk Manager supports the mixed execution mode named "smart mode". In this mode, Hard Disk Manager virtually executes all lengthy operations. Quick operations are executed in the following manner:

· If virtual operations have accumulated, a quick operation will be virtually executed as well: it will be placed in the List of Pending Operations for future execution.

· If no virtual operations are scheduled, a quick operation is executed immediately.

Quick operations are:

ð Hide/Unhide partition

ð Set partition active/inactive

ð Mount partition

ð Set partition Label

3.1.4 Incremental Backup

Common backup tools allow only backup all contents of a partition. In case of making multiple backup archives, unchanged data is duplicated and as result archives take redundant space on a backup media.

Incremental Backup provides the ability of archiving only those changes in partition's contents, which were made since its last backup. Such archives usually take much less disk space.

To perform the Incremental Backup of a partition, the program requires use a previously made archive of this partition. The previous backup image is named the Basic Archive or the Basic Backup Image. The program produces the exact comparison of the previous partition's data (that are saved in the basic image) with the current ones (that is actually the partition itself). The difference in contents is saved in the newly created incremental backup archive. An incremental backup archive cannot be used detached from its basic image.

Incremental Backup is enabled only for single Primary and Logical partitions.


3.2 Interface overview

This chapter introduces the overview of the Hard Disk Manager interface.

3.2.1 Interface Layout

The main window of Hard Disk Manager is conditionally subdivided in several sections that differ in their purpose and functionality:

1. Tree Layout panel

2. List of Partitions

3. UDP layout panel

4. Archives List panel

5. Legend panel

6. Main Toolbar

7. Virtual Operations Toolbar

8. Status Bar

9. Main Menu

Some of the panels have similar functionality with a synchronized layout. The program allows the user to hide some of the panels to simplify the interface management.

All panels are separated by vertical and horizontal expandable sliders, so that a user can customize the screen layout.

3.2.1.1 Tree Layout panel

The panel represents the tree-like hierarchic list of hard disks and partitions.

Hard disks are represented with top-level expandable nodes that contain the disk number, the OEM model name and the overall disk capacity. Disks are sorted in the system by their logical numbers.

Extended Partitions are also represented with expandable nodes. The sub-tree of each Extended Partition contains the list of logical partitions.

Nodes that represent primary partitions and logical partitions contain information about partitions: the type of a partition (Primary, Extended or Logical), the drive letter assigned (if exists) and the colored representation of the file system type.

In addition, blocks of free space are represented with simple nodes, which include information about the type and size of a free block.

You can call the context-sensitive popup menu for every type of nodes:

· The popup menu for Disk nodes is equal to the Hard Disk menu.

· The popup menu for Partition nodes is equal to the Partition menu.

· The popup menu for Free blocks is equal to the Partition menu.

The Tree Layout panel is synchronized with the List of Partitions and the UDP layout panel.

3.2.1.2 List of Partitions

The List of Partitions represents only partitions within the selected hard disk. The panel displays the extended information about the partition: drive letter (if exists), partition type (Primary/Extended /Logical), file system type, size, amount of used and unused (free) space, volume label and flags "Active" and "Hidden".

The list of partitions is sorted by the starting position of partitions in ascending order.

You can call the context-sensitive popup menu for every item in the list.

The List of Partitions is synchronized with the Tree Layout panel and the UDP layout panel.

3.2.1.3 Archives List panel

The Archives List panel is designed for the purpose of simplification the navigation between backup images. It holds brief information about recently used and created images: a type of saved objects (disk/partition/MBR/1st track), location, filesystem type, partition size and amount of used space.

One can activate the context-sensitive popup menu for the list contents. The popup menu provides the functionality of browsing and validating image contents, modifying the list of images and restoration of image contents.

The database of recently used images is kept in the file ARCHIVES.INI, which is located in the same directory with the Hard Disk Manager executable file; by default, it is located in the folder:

C:\Program Files\...\ Hard Disk Manager\WinHDM

3.2.1.4 UDP Layout panel

The UDP Layout panel displays the layout of hard disks by using the UDP controls. UDP controls represent the relative size of on-disk partitions in a convenient style.

Additionally, the UDP layout panel can be used for visual managing partitions by using the drag-&-drop technique, in which case Hard Disk Manager will run in Virtual execution mode.

The activity of UDP controls is explained in the section UDP control activity. It is possible to virtually execute Copying, Moving and Resizing of partitions in the UDP Layout panel.

The UDP Layout panel is synchronized with the Tree Layout panel and the List of Partitions.

3.2.1.5 Legend panel

The Legend panel describes the color indication of the file system types being used in Hard Disk Manager ’s interface.

Hard Disk Manager distinguishes following types of partitions:

· Known file systems (FAT12/FAT16, FAT32, NTFS, Ext2, Ext3, ReiserFS, HPFS, Linux Swap-1&2).

· Extended Partition (the space that is reserved in the Extended Partition for allocating logical partitions).

· Free space (the unpartitioned disk space that does not belong to any partitions). Within the Extended Partition, the free space does not belong to any logical partition.

· Invalid partitions. This category includes only partitions with invalid parameters and ones having corrupted file systems of known file system types.

· Other partitions (i.e. partitions that have unknown file system types). In addition, Hard Disk Manager marks partitions that are incompletely modified by the program (e.g. some operation was abnormally interrupted) as other.

· Unformatted partitions. The category includes recently created partitions. The program can confuse wiped and severe damaged partitions with unformatted ones.

3.2.1.6 Main Toolbar

The Main Toolbar provides fast access to the most frequently used partitioning operations: backup/burn image/restore for partitions & disks and create/delete/format/copy for partitions.

3.2.1.7 Virtual Operations Toolbar

The Virtual Operations Toolbar provides fast access to the functions for manipulating with the List of Pending Operations (see Virtual operations).

Available operations:

Apply | Execute all accumulated pending operations (the List of Pending Operations will be emptied).
Undo | Undo the last pending operation in the list.
Undo All | Cancel the entire list of pending operations.
Changes | Display the advanced dialog of managing virtual operations.

3.2.1.8 Status Bar

The Status Bar displays additional information:

· In the left corner, the menu hints (brief descriptions) are displayed

· In the right corner, the current CPU usage and the memory used values are displayed.

3.2.1.9 Main Menu

The Main Menu provides access to the entire functionality of the program. Available functions are as listed below:

Menu Item |  |  | Functionality
General |  |  | (settings and getting information)
 | Show archive info |  | Explore the structure of partition(s) stored in the backup image with the ability of browsing their contents
 | CD/DVD Burners |  | Display the list of CD/DVD burning drives
 | Generate script |  | Generate script on the base of the current pending operations set
 | Save to scheduler |  | Save virtual operations as a scheduled task
 | Scheduled tasks |  | Edit scheduled tasks
 | Settings |  | Change program settings
 | Exit |  | Exit the program
View |  |  | (controlling interface layout)
 | Toolbar |  | (controlling the view of toolbars)
 |  | Main toolbar | Show/hide Main toolbar
 |  | Virtual operations toolbar | Show/hide Virtual operations toolbar
 |  | Large buttons | Switch between large and small buttons in all toolbars
 |  | Text labels | Show/hide text labels under buttons in all toolbars
 | Status Bar |  | Show/hide Status Bar
 | Disk Map |  | (UDP Layout settings)
 |  | Size | Select the width of UDP controls (three alternatives)
 |  | Proportional view | Follow proportions of hard disks capacities in the UDP Layout panel. By default, the program ignores the difference in size of hard disks.
 |  | Legend | Show/hide the Legend panel that displays the color indication of file system types
 | Configuration tree |  | Show/hide the Tree Layout panel
 | Recent archives list |  | Show/hide the Archives List panel
Hard Disk |  |  | (hard disk based operations)
 | Update MBR |  | Overwrites current MBR bootstrap with the standard one.
 | Copy hard disk |  | Copy all contents of entire disk (Track#0+all partitions) with the ability of proportional resizing of all partitions.
 | Create an image of hard disk |  | Make an image of all contents of entire disk
 | Burn an image of hard disk to CD |  | Place the disk image to recordable CD/DVD discs
 | Restore hard disk from image |  | Restore disk from image with keeping the disk layout and the ability of proportional resizing of all partitions at once.
 | Selective partition restore on hdd |  | Restore chosen partitions from the hard disk image with the ability of independent resizing.
 | Wipe hard disk |  | (Multi-pass) wiping entire hard disk.
 | Update MBR |  | Overwriting the current bootable code in the MBR by the standard bootstrap code.
 | Change primary slot |  | Re-order MBR records that refer to primary partitions (controlling of DOS and Windows boot-up behavior)
 | View sectors |  | Explore & edit sectors of the disk
 | Browse disk |  | Browse disk contents by using the built-in file system drivers
 | SID Changer |  | Run the built-in SID Changer on all primary partitions of the hard disk chosen.
 | Properties |  | Show properties of hard disk
Partition |  |  | (partitions based operations)
 | Copy partition |  | Copy a single partition with the ability of resizing.
 | Create an image of partition |  | Backup a single partition
 | Burn an image of partition to CD |  | Place the partition image to recordable CD/DVD discs
 | Restore partition from image |  | Restore the partition from the image with the ability of partition resizing.
 | Selective partition restore |  | Restore separate partition(s) from a multi-partition image with the ability of independent resizing.
 | Create |  | Create a new partition (primary, Extended, logical)
 | Format |  | Format an existing partition to FAT/FAT32, NTFS, Ext2, Ext3, ReiserFS or Linux Swap with using built-in tools.
 | Delete |  | Delete an existing partition
 | Wipe partition |  | (Multi-pass) wipe contents of the single partition
 | Clear free space |  | Wipe unused sectors of the partition
 | Resize/Move |  | Reallocate the partition within the enveloping disk space
 | Mount |  | Assign/remove the drive letter assigned to the partition (available only in Windows NT, 2000, XP)
 | Hide/Unhide |  | Hide/unhide the partition. The property will affect the system working in next reboot.
 | Set active/Set inactive |  | Set/reset primary partition active (=bootable). The property will affect the system working in next reboot.
 | Modify |  | (changing parameters of file system)
 |  | Convert | Change the file system type without reformatting (available for FAT16, FAT32, NTFS)
 |  | Set Label | Change the volume label placed in the boot sector
 |  | Change Cluster size | Change the cluster size file system parameter without re-formatting the partition
 |  | Change Root size | Change the Root Directory capacity on a FAT16 partition
 |  | Change Boot size | Change the amount of sectors reserved for keeping the bootable code on FAT16 and FAT32 partitions
 |  | Change Serial Number | Change the Serial Number of the partition that is placed in the boot sector on FAT16, FAT32 and NTFS partitions
 |  | Change partition ID | Change the code of the file system type in the MBR/EPT
 |  | Make primary/Make logical | Exclude/include the partition to the Extended Partition. Available only for primary and logical partitions that are close to the left or the right edge of the Extended Partition.
 |  | SID Changer | Run the built-in SID Changer on the partition chosen.
 |  | View sectors | Explore & edit sectors of the partition
 |  | $MFT Defragmentation | Perform defragmentation of the $MFT file for a NTFS partition
 |  | Defragmentation | Perform the defragmentation process for a chosen partition
 |  | Merge with | Merge a chosen partition with an adjacent partition.
 | Retest surface |  | Perform the surface test on the existing partition or the block of free space.
 | Check file system integrity |  | Check file system integrity by built-in tools (available for FAT16, FAT32 and NTFS file systems)
 | Browse partition |  | Browse partition contents by using the built-in file system drivers (available even for unmounted partitions)
 | Properties |  | Display the detailed properties of the partition
Operations |  |  | (managing virtual operations)
 | View pending changes |  | Display the advanced manager of pending operations
 | Apply changes |  | Immediately execute all accumulated pending operations
 | Undo last operation |  | Undo the last operation in the List of Pending Operations
 | Undo all operations |  | Cancel all the List of Pending Operations
 | Reload |  | Re-read the current state of hard disks (available only in case the List of Pending Operations is empty)
Wizards |  |  | (changing parameters by using wizards)
 | Copy hard disk |  | Copy all contents of entire disk (Track#0+all partitions) with the ability of proportionally resizing all partitions.
 | Create an image of disk |  | Backup any selected disk
 | Update image of partition |  | Update a previous made archive
 | Merge partitions |  | Merge two NTFS or FAT partitions
 | Undelete partitions |  | Restore previously deleted partitions
 | Redistribute free space |  | Expand partitions at the expense of adjacent free disk space
Help |  |  | (help and troubleshooting)
 | Contents and Index |  | Run program's Help
 | Troubleshooting |  | (automated troubleshooting assistance)
 |  | Send log files | Compress and send the log to the Support Team
 | About Hard Disk Manager |  | Display the About window

3.2.2 UDP controls

In terms of Hard Disk Manager project, UDP is the servicing abbreviation of the phrase Unified Drive Presentation. UDP windowed controls are designed for the purposes of better presenting and advanced controlling of disk layout.

UDP controls are widely used in the program's interface in various places, where it is required to display the layout of partitions within some range of disk space (or within entire hard disk). UDP controls are sensitive to user's actions and can be effectively used for the fast visual management of disk layout.

The main screen of Hard Disk Manager includes the special UDP Layout Panel that represents the layout of all available hard disks with UDP controls.

The Legend Panel that is located above the UDP Layout Panel which explains the color indication that is used in UDP controls.

3.2.2.1 Indication of partition parameters

The partition type is indicated by the color

The UDP control represents the layout of a certain range of the disk space. Partitions and blocks of free space are displayed by colored bars; the color indicates the partition type. Blocks of free space are marked with the teal color (__), and the Extended Partition is marked with the aqua color (__). The Extended Partition is the container of the so-called logical partitions, so that the bars that represent logical partitions are enclosed in the aqua-colored bar. The silver color (__, light-gray) is reserved for the hard disk space indication. The Legend Panel explains the colored indication of partition types that is used in UDP controls.

The partition type, drive letter and the volume label are displayed on the UDP control:

Each colored bar that corresponds to a partition contains the indication of the following properties:

· The drive letter that is assigned to the partition.
If the partition is not mounted, "*:" is displayed.

· The file system type (in textual form): FAT32, NTFS, Linux Ext2, etc.

· The volume label (the value taken from the boot sector).

· The percentage of used and free space: the part of partition space that corresponds to "used space" is marked light gray.

3.2.2.2 UDP control activity

The UDP controls are active on-screen elements. They react on user input and support the following functionality:

1. The UDP control responds to the clicking on the right mouse button. In this case, the context-sensitive partition menu will be displayed.

2. The UDP control allows to move the selected partition using drag-&-drop within a range of disk space that is combined from:

ð the partition itself

ð the right-hand adjacent block of free space

ð the left-hand adjacent block of free space.

The UDP control allows to resize the selected partition using drag-&-drop within a range of disk space that is combined from:

ð the partition itself

ð the right-hand adjacent block of free space

ð the left-hand adjacent block of free space.

The UDP control allows to copy the selected partition using drag-&-drop:

ð Select the source partition, press and hold the left mouse button.

ð Press Ctrl key (the small plus sign should appear in the right bottom corner of the mouse cursor).

ð Drag the partition and drop it to the targeted location.

The UDP controls are used in the program interface to display the arrangement of partitions and manage the location of partitions and their size.


3.3 Settings overview

This chapter gives an overview of the Hard Disk Manager settings.

3.3.1 General settings

3.3.1.1 Verify data written

The option forces the program to verify data being written: every write-to-disk action is followed by the read-and-compare action. The feature is used for unstable hard disks and may significantly reduce the overall performance.

3.3.1.2 Copy all sectors 1:1

This option forces the program to work in the sector-to-sector mode (see Fast copying algorithm). The option affects the following functions:

· Backup partition & Backup Hard Disk

· Copy partition & Copy hard disk

· Move partition

3.3.1.3 FAT 64K clusters for NT

The option allows creating FAT16 partitions with a 64K cluster size. Hence, the program is able to make FAT16 partitions up to 4GB in size.

3.3.1.4 Do not hide target primary partitions after copy/restore

The option controls whether the program automatically sets the Hidden attribute for the last copied partitions. There is no obviously preferred value for this option. See the explanation below to choose the most appropriate value.

The fundamental feature of the Copy partition functions enables changing the amount and probably the relative order of partitions. The primary after-effect is that the drive letters assigned to partitions have probably been changed. From this point, the difference in the Windows versions plays a significant role:

· In Windows NT, 2000 and XP, one can fully control the drive letters assigned to any partition. These operating systems do not automatically change drive letters for already mounted partitions in case of adding new ones – the user should make changes manually.

· In Windows 95, 98 and ME, the operating system automatically assigns drive letters to detected partitions, according to some predefined rules. An unreasoned adding a new partition may lead to the mixing of drive letters after the next system startup, so that this may also lead to the non-operability of some software or even the operating system.

To avoid mixing of drive letters automatically hide new partitions.

Another problem is that Windows (except for Windows 2000 and XP) are unable to work with hidden partitions, so that one must manually unhide partitions to work with them.

In case of copying the system partition, the user must un-hiding the last copied system partition, otherwise Windows will be unable to initialize from the hidden system partition.

3.3.1.5 Try to access non-BIOS cylinders

The option forces Hard Disk Manager to question the hard disk capacity value that is returned by BIOS and detect the disk capacity by non-standard procedure.

In fact, the option is required only for the compatibility with different old hardware. This feature is effective only in DOS and Windows 95, 98, ME. In Windows NT, 2000 and XP and in Linux the option takes no effect.

3.3.1.6 Do not ask volume label before deleting

Activate the option to suppress the acquiring of the partition’s volume label being deleted (see chapter Delete Partition).

By default, Hard Disk Manager requests the volume label before deleting the partition (to eliminate the chance of accidental deletion).

3.3.1.7 Convert FAT16 to FAT32 automatically

Activate the option to suppress the warning concerning the conversion of FAT16 file system to FAT32 during the resizing partition. The option affects the following operations:

· Resize Partition

· Copy Partition (with Autoresize)

· Copy Disk (with Autoresize)

· Restore Partition (with Autoexpand)

· Restore Disk (with Autoexpand)

Note that the maximum capacity of FAT16 is limited to approximately 2GB (in case of 64K cluster the limit is 4GB, see the option FAT 64K clusters for NT). For this reason, partitions that are greater than 2GB cannot be correctly formatted to the FAT16 file system.

Hard Disk Manager suggests converting the FAT16 file system to FAT32 in case the resulting size of a partition exceeds the maximum size for the FAT16 file system. By default, the program warns a user about the file system conversion since old operating systems do not support FAT32:

· Windows NT 4.0 and lower versions

· Windows 95 OSR1

· All DOS versions that precede the MS-DOS 7.1 (from Windows 95 OSR2).

· MS Windows 3.11 and lower versions.

3.3.1.8 Data loss protection

Activate the option to force Hard Disk Manager to work in the fail-safe mode. In this mode, the program keeps a specific journal of the operation's progress.

In case of hardware malfunction, power break or operating system failure, the modified partition may result corrupted and non-operable. However, Hard Disk Manager is able to complete the interrupted operation and thus "revive" the partition.

The journaling of the operation progress significantly reduces performance.

To use this feature, build the bootable diskette with the DOS-based version of Hard Disk Manager prior to running operations in the fail-safe mode. The alternative is to use the Hard Disk Manager Bootable CD.

In the fail-safe mode, if the system crashes during the operation, insert the bootable diskette (or the Bootable CD) and initialize the computer from it. Hard Disk Manager will automatically detect the journal of the interrupted operation and accomplish the job.

The current version of Hard Disk Manager supports the fail-safe mode for the following operations:

· Resize/Move Partition

· Convert File system

· Change Cluster Size on FAT16, FAT32, Ext2 and Ext3 file systems
(not available in the Change Cluster Size on NTFS).

· Change Root Size and Change Boot Size (FAT16, FAT32 only)

3.3.1.9 1-based numeration of hard disks

Activate the option in order to use the 1-based enumeration of hard disks. By default, Hard Disk Manager uses the zero-based enumeration of hard disks and partitions.

3.3.1.10 Surface test

The option defines the default value for the media surface test sub-operation. The available values are:

None | No surface test
Normal | Single-pass read test
Extreme | Three-pass read-&-write test

The option affects following operations:

· Format partition

· Copy partition

· Resize/Move partition

· Retest surface (this operation ignores the setting Surface Test = NONE)

When performing the surface test, Hard Disk Manager is able to detect bad sectors and mark them unusable.

Compression level

The option defines the default compression level. The option affects following operations:

· Backup partition & Backup hard disk

· Burn an image of a partition & Burn an image of a hard disk

Using the image compression significantly slows the overall operation performance.

Approximate values for the compression ratio and speed deceleration:

Level | Algorithm | Compression | Performance
None | (none) | no compression | no deceleration
Fast | RLE | 95-80 % (1.05 – 1.25 times squeezing) | ~90 % (~1.1 times slower)
Normal | LZW | 65-70 % (1.4 – 1.5 times squeezing) | 60-70% (1.4 – 1.7 times slower)
Best |  | 40-50 % (2.0 – 2.5 times squeezing) | 10-12% (8 – 10 times slower)

In fact, the real value of compression ratio fundamentally depends on the statistical properties of data being compressed. The performance depends on the CPU and hard disk performance.

The RLE algorithm (Run Length Encoding) is based on compressing of multiple repetitions of a single character. Concerning to the program functionality, RLE provides good results in case of backup partitions that have multiple small files and/or the partition have been performed the Clear Free Space operation, or in case of the partition contains sparse data (like .TXT/.DOC/.XLS/.BMP-files).

The LZW algorithm (Lempel-Ziv-Welch) is the very popular and effective compression algorithm that is based on building the dictionary of repetitive patterns. Modern archivers (ZIP, RAR etc) use modifications of the LZW algorithm. It provides good compression ratio on almost all kinds of data.

3.3.2 Backup settings

3.3.2.1 Enable HotBackup

This option allows using the HotBackup mechanism in case of system or locked partition backup.

The program has to have the exclusive access to processed data during a backup operation but these data can be in use of other software or the operating system. There are two ways to get exclusive access in similar cases:

  1. To reboot the system to some single-tasking mode where the working program could complete the operation (please see the chapter “Working with locked and system partitions” for more information).
  2. To use the HotBackup mechanism that allows a user making backup of system partition without rebooting.

Obviously the second way is much better but there are some cases when it can not be used. The most serious of such restrictions is that the HotBackup mechanism works with only Windows NT, Windows 2000 and Windows XP operating systems.

3.3.2.2 HotBackup settings

This set of options provides the ability to set the program behavior in case of system or locked partition backup.

HotBackup mode | Functionality
Optionally do HotBackup (suggest to reboot to BlueScreen) | The program will suggest a user to start the BlueScreen component for exclusive access to processed files. If the user refuses to work with this mode the HotBackup will be started.
Proceed with HotBackup when impossible to lock partition | At first the program will attempt to lock processed files for its exclusive use. If this attempt is not successful the HotBackup mechanism will be started.
Always proceed with HotBackup | The HotBackup will be started in any case of working with system partitions.

3.3.2.3 Default partition for temp-file

This pull-down list helps you to define where the temp file used by HotBackup during the operation will be placed. The file can be large enough to place it on the current partition.

3.3.3 Locale settings

The settings presented on this tab affect on the conversion of file systems "FAT-to-NTFS" and "NTFS-to-FAT".

The thing is that NTFS and FAT16/FAT32 file systems use different standards for filenames and file timestamps (Created, Modified and Last access). The program uses locale settings in order to correctly convert mentioned values; incorrect settings may lead to some files become unusable.

By default, the program takes locale settings from the system. Still, you can customize the default locale settings that will be used in file system conversion. Non-Windows versions of the program will take into account these settings.

3.3.3.1 Select time zone

Set the time zone to be used in file system conversion.

Note that NTFS keeps file timestamps (Created, Modified and Last access time) in GMT (Greenwich Mean Time) while FAT uses the unadjusted local date and time for these values. The program takes into account the difference between internal formats of file timestamps and uses time zone information to adjust the timestamp values.

In case the time zone is incorrectly assigned, all files and directories on a converted partition become "older" or "younger" for a fixed time value (which lies within the range 0-24 hours).

This kind of "time jump" usually does not lead to problems. However, there is a probability that software stops working correctly in this situation.

3.3.3.2 Filenames language

Set the code page value that should be used in file system conversion.

Consider that NTFS stores filenames in Unicode while FAT16 and FAT32 file systems use ANSI encoding for saving short filenames (which are also named DOS aliases). Code page information is required for correct conversion of non-English filenames from Unicode to ANSI and vice versa.

In case the code page is incorrectly assigned, non-English filenames and filenames with mixed languages may become unreadable.

i

Note that if three or more languages are used in filenames on NTFS partition, the conversion to FATxx almost certainly leads to a corruption of non-English short filenames.

3.3.3.3 Confirm settings before NTFS <-> FAT/FAT32 conversion

If this option is enabled, the program will display the dialog of locale settings confirmation every time the Convert File system operation is performed:

Initially, the program displays default locale settings, but a user can change the parameters to be used.

3.3.4 SID Changer settings

The settings presented on this page control the use of the built-in SID Changer module. The program provides the ability of automatic activation of this module after the following operations:

· Copy a partition to another one

· Copy a hard disk to another one

· Restore a partition from image

· Restore a hard disk from image

See the Glossary and the SID Changer chapter to learn more about the situations when the SID Changer utility may be useful.

3.3.4.1 Perform SID changing after disk copy

Set this checkmark in order to the program automatically runs the built-in SID Changer module after every copying or restoration of an entire hard disk.

3.3.4.2 Perform SID changing after partition copy

Set this checkmark in order to the program automatically runs the built-in SID Changer module after every copying or restoration of a partition.

3.3.4.3 SID Changer Mode

Select the functioning mode of the SID Changer.

· In the Default mode, the program:

automatically generates the new computer SID value

scans BOOT.INI files for searching Windows installations

· In the Manual mode, the program allows to define:

new computer SID value.

directories list for searching Windows installations

3.3.4.4 SID Changer command line

Enter the parameters that must be passed to the SID Changer utility. See the detailed description in the chapter SID Changer.

3.3.5 User settings

These settings are available exclusively for the Windows-based version of the program.

3.3.5.1 Send operation complete report by email

Set this checkmark so that the program sends a notification of the completion of scheduled virtual operations via email.

Some operations may take considerable time, e.g. completing a large list of pending operations takes a long time. The program supports the feature of remote notification for finishing the execution of pending operations.

3.3.5.2 Email address

Enter the email address to be used for the email notification for completing operations.

3.3.5.3 Timeout before reboot system automatically

Set the positive non-zero value to the textual field in order to define the timeout for auto-reboot. Clear the field or enter the zero value to disable the automatic rebooting feature.

Some operations require the system to be rebooted. This setting controls the behavior of the program in such situations. By default, the program stops the execution and waits until the user confirms the reboot. Set the timeout to eliminate an interruption, so that the program is able to complete operations without the user's intervention.

3.3.5.4 Set/Change password

It is possible to protect the program from incompetent or unauthorized modifying of disk contents by setting the password on the physical execution of the operations.

To set the password, press the Set/Change password button.

To set the new password, enter the old one in the Old password field. Then set the new value in the New Password field and re-enter it in the Confirm new password field. The checkmark Do not use password disables password protection.

Note: the old password is required to change or disable the password.

In case the password is defined, the program will behave in the following manner:

· Anyone can call any operation dialogs;

· Anyone can virtually execute operations (if the program works in the Virtual Execution mode);

· Anyone can press Undo and Undo all buttons that only lead to the modification of the List of Pending Operations.

· Anyone can activate operations that do not modify disk contents, such as:

ð View Partition/Hard Disk Properties

· All operations that produce the real modification of disk contents require a password to be entered for the physical execution:

In case of working in the Immediate Execution mode, the program requests the password immediately after submitting parameters of the operation.

In case of working in the Virtual Execution mode, the program requests the password when the applying of pending operations is commenced.

3.3.6 Language settings

The Windows-based version of Hard Disk Manager supports the on-the-fly changing of the interface language.

3.3.6.1 Select language

This box contains the list of language resources available. Simply select the desired interface language and press the OK button.

Language resources are stored in the subfolder …\WinHDMTL\Resources of the Hard Disk Manager installation folder, in dynamic libraries of a special format.

3.3.7 Operations settings

3.3.7.1 Virtual operations are enabled

Select this choice to switch the program to the Virtual Execution mode.

In this mode, all operations, which support virtual execution, will be scheduled in the List of Pending Operations for future completion (see the Virtual Execution mode chapter for more details).

The program displays the virtual state of hard disks layout – this state will be reached after completing all the pending operations. To execute pending operations, one should press the Apply button.

3.3.7.2 Smart mode for virtual operations

Select this choice to switch the program to the "smart execution" mode (see the Smart mode for virtual operations chapter for more details).

In the smart execution mode, Hard Disk Manager executes all lengthy operations in the virtual mode (i.e. these operations are scheduled in the List of Pending Operations for deferred execution).

Instead, Hard Disk Manager immediately executes quick operations, in case there are no pending operations in the list.

Quick operations:

ð Hide/Unhide partition

ð Set partition active/inactive

ð Mount partition

ð Set partition Label

3.3.7.3 Virtual operations are disabled

Select this choice to switch the program to the Immediate Execution mode. All operations will be executed immediately after submitting operation's parameters (see chapter Immediate Execution mode).

3.3.7.4 Close progress dialog automatically

When executing operations, Hard Disk Manager displays the Progress Information window that contains the performance statistics and the brief execution log (see the section Progress Information). By default, Hard Disk Manager holds the Progress Information window until the user presses the Close button, so that the user is able to look at the brief execution log and statistics.

Set this checkmark to force the program to close the Progress Information window automatically after completing execution of accumulated pending operations.


3.4 Executing operations

3.4.1 Wizards vs. manual management of operations

You can use either Operation Wizards or Operation Dialogs to execute operation from the program's interface. Hereafter you will find the detailed description of all Operation Dialogs, including information on how each setting affects the operation performance.

Wizards

Wizards guide you through the set of Wizard's screens. Each screen contains one simple question and prompts the limited list of possible answers. Passing all these screens the Wizard collects enough information to initiate the required operation. Finally, Hard Disk Manager will execute the operation.

Wizards are easy-to-use, but disables the configuration of the performance and implementation of several advanced features. To be able to fully control the behavior and performance of the program, it is recommended to use Operation Dialogs.

Manual management with Operation Dialogs

In the manual management mode, the program allows the user to customize all controllable parameters of operations in appropriate dialogs. By using this feature, one can effectively control performance and use the full abilities of the program.

Usually, all parameters required for an operation are collected in one dialog. The program suggests some consistent initial values for all operation's parameters, and in most cases the default settings are sufficient.

3.4.2 Initiating operations

First, one should initiate an operation. A common procedure is the following:

1. A user should select an object to operate (a partition, a free block or a disk).

2. A user should choose an operation to be performed.

3. The program displays the appropriate dialog with the parameters required for the operation execution.

4. A user should assign the parameters and then click the OK button.

Next actions depend on the selected operation and program's settings. In case virtual operations are disabled, the program immediately executes the operation. Otherwise, the program will include the operation in the List of Pending Operations.

3.4.3 Inspecting pending operations

In case virtual operations are enabled, the program includes operations in the List of Pending Operations. One can examine the list before the program completes operations. To inspect the List of Pending Operations, choose one of the following actions:

· Select in the main menu:

(menu) Operations > View pending changes…

· Press the Changes button in the Virtual Operations Toolbar

After this action, the pending changes dialog will appear when virtual operations are accumulated in the List:

This dialog has the following functionality:

View changes on [HDD##]

This pull-down list allows selecting a hard disk for previewing changes in its layout.

Two UDP controls, which are placed below and labeled "Your partitions before operations:" and "Your partitions after operations:", display expected layout changes for the selected hard disk.

The textual box in the middle of the window contains the List of Pending Operations.

Buttons on the bottom of the window provide the following functionality:

Apply | Immediately execute all accumulated pending operations. The List of Pending Operations will be cleared.
Undo last | Undo the last pending operation in the list.
Undo All | Cancel the entire list of pending operations.
Close | Closes the dialog. No changes in the List of Pending Operations will be performed.

The functionality of inspecting pending operations is available only in case the virtual operations are enabled (see the section Virtual operations).

3.4.4 Applying operations

For immediate execution of accumulated operations, a user should take one of following actions:

· Press the Apply button in the Virtual Operations Toolbar.

· Select in the main menu:

Operations > Apply changes

In case operations are listed in the List of Pending Operations, the program displays the following warning message.

This dialog has the following functionality:

Apply all operations in BlueScreen mode

This option is available only in the Windows-based version of the program.

If this checkmark is set, the program will reboot Windows and execute operations by using the so-called BlueScreen Component (see the section Working with locked and system partitions and hard disks).

Buttons on the bottom of the window provide following functions:

Yes | Immediately execute pending operations
No | Cancel all pending operations
Details | Inspect the List of Pending Operations

In DOS and Linux environments, the program executes the entire list of operations within a single session.

In Windows, the execution may vary: Hard Disk Manager requires the system reboot to process locked and system partitions or hard disks.

3.4.5 Progress Information

The real execution of operations displays the Progress Information dialog.

The dialog displays:

· The complete list of operations to be executed (at the top of the window); the currently executed operation is highlighted

· Brief information about actions being performed (a textual box in the middle of the window).

· Three progress bars:

ð Overall progress (bottom) displays the overall progress for the entire list of operations

ð Operation progress (middle) displays the progress of the currently performed operation

ð Suboperation progress (top) displays the progress of the currently performed suboperation, for compound operations only.

The program displays Time elapsed and Time to finish for each progress bar. The Operation progress includes extended information for some operations: amount of processed and remaining data, average transfer rate.

In addition, the Progress Information dialog contains the following control elements:

Cancel (Close)

This button provides the ability to abort operations. The program will interrupt the currently performed and all following operations in the list of pending operations.

After all operations in the list are completed or aborted, the Cancel button changes its caption to "Close".

Close progress dialog automatically

This checkbox duplicates the functionality of the appropriate program's option (see the section Settings overview > Close progress dialog automatically). In case the checkbox is set, the program automatically hides the Progress Information dialog after completing all operations without the user's approval.

3.4.6 Working with locked and system partitions

If a pending operation is aimed at a locked/system partition, the program will save the rest of the List of Pending Operations and reboot the computer. All operations from the list will be executed in single-tasking mode until completion.

In Windows NT, 2000 and XP

Hard Disk Manager processes locked partitions in the so-called "Startup Bluescreen" by using the special utility named Bluescreen Component. After completing the operation, the program will reboot the system to the Windows session. The program will not reboot in case if the Hot Backup option was enabled in the program backup settings.

In Windows 95 and 98

Hard Disk Manager reboots to the "true" DOS session and starts the DOS-based version of the Hard Disk Manager in the unattended mode. After completing the operation, the program will reboot the system to the Windows session.

In Windows ME

Hard Disk Manager requires using a preliminary made bootable diskette with the DOS-based version of Hard Disk Manager. The next chapter contains the detailed explanation of this functionality.

Unfortunately, Windows ME has no practical single-tasking environment. For this reason, Hard Disk Manager requires to use either a DOS bootable diskette with the diskette-based version of Hard Disk Manager or the Paragon Recovery CD with the Linux-based version of Hard Disk Manager , in order to process locked partitions and hard disks in Windows ME.

The special utility named Diskette Build Wizard has been developed to simplify the process of making bootable diskettes with the diskette-based version of Hard Disk Manager:

1. Prior to working with Hard Disk Manager, run the Diskette Build Wizard utility and make the DOS bootable diskette with the diskette-based version of the Hard Disk Manager.

2. Run the Windows-based version of Hard Disk Manager.

3. Initiate a required operation and define all parameters.

4. Before starting an operation, the program checks whether partition is locked or not.

5. If a partition/disk is locked, the program requests a system reboot.

Press the OK button to reboot the system and complete an operation, or press the Cancel button to abort it.

6. The program asks the user to insert a diskette with Hard Disk Manager in the floppy drive [A:].

7. Insert the required diskette; the program will pass the task to the diskette-based program.

8. Reboot the computer and keep the diskette in the floppy drive. Ensure that the computer is configured to boot from floppy first.

9. The diskette-based program will automatically start the operation in unattended mode.

10. When the diskette-based program completes the operation, remove the diskette from the drive and reboot the computer.

3.4.7 Executing operations in the fail-safe mode

Hard Disk Manager provides the ability of performing several operations in the fail-safe mode. In this mode, the program can resume operations, which have been interrupted due to hardware/software malfunctions or power breaks.

When running the fail-safe mode, the program permanently keeps a log of the operation progress. If the operation has been interrupted, Hard Disk Manager will detect the log information of an incomplete operation and will suggest the user to either resume or finally cancel it.

The log support noticeably slows down the performance. For this reason, Hard Disk Manager supports the fail-safe mode only for operations that modify a "source" partition, such as Resize & Move Partition, Convert File system and Change Cluster Size. Other operations, such as Copy Partition, keep the source object intact, so that these operations can be simply restarted in case of an interruption.

Working in the fail-safe mode

A common procedure is as follows:

1. A user should make the DOS-based Hard Disk Manager 's bootable diskette by using the utility Diskette Build Wizard, or make the Linux-based Hard Disk Manager Bootable CD.

2. A user should run Hard Disk Manager and activate the fail-safe mode in the program Settings (see the section Settings Overview > General Page > Data loss protection).

3. A user should initiate and execute a desired operation.

The program will seem to start the operation in the usual manner, however, in this case it will keep a log of the operation progress.

4. In case of unexpected interruption (failure), the program replaces the MBR bootstrap code with the special bootable code that asks the user to continue the interrupted operation from the bootable diskette or the bootable CD.

5. A user should boot the computer from the Hard Disk Manager bootable CD or from the Hard Disk Manager bootable diskette.

6. The program will detect the interrupted log and will ask the user either to continue the operation or cancel it.

ð In case of continuing the operation, the program resumes the operation and completes the modification of a partition.

ð Otherwise, the program only restores the old bootstrap, but leaves a processed partition in an unusable state.

Manual interruption of an operation

In case an operation was interrupted by the user, the program will not provide the ability to resume the operation, even if it works in the fail-safe mode.

i

Remember, an interruption of some operations leads to the irrevocable corruption of a processed partition.


3.5 Scheduling tasks

The automation of program operations is especially effective when a user has to do them on a regular base. For example a network administrator has to create backup copies of server’s disks everyday and it would be convenient to do it at the same time. Indeed similar operation simply asks to be automated because we can clearly formulate the task for multiple executions.

Another aspect of any automation is the independence of the process from a user presence. The program will execute operations without the user’s interference. For example it allows optimizing the working load of an office local network. A number of operations which can decrease the network performance could be done at the night time or at the time when the office computers are the least work loaded.

The program has an integrated scheduler, a special tool that allows a user to automate operations, to create their schedule, where one can set when and which operations exactly will start. This chapter explains many details of the scheduler’s use.

3.5.1 A task statement

As it was mentioned earlier (see the Virtual Operations chapter) Hard Disk Manager has two basic ways of operations execution, two different modes: the Immediate Execution mode and the Virtual Execution mode. In the Immediate Execution mode the program performs operations immediately after a user enters operation parameters. This case does not allow scheduling operations. In the second case, in the Virtual Execution mode the program does not execute operations immediately, but places them in the List of Pending Operations. Similar operations are named virtual operations. A user can execute multiple virtual operations saving them in the List of Pending Operations, forming in that way their group.

A user can apply Pending Operations by clicking the corresponding Apply button in the Virtual Operations Toolbar. However there is also a possibility to postpone the operations execution to a special time or set a special condition for their starting. In terms of Hard Disk Manager this action are named scheduling a task. Here a task is understood as a virtual operation or a group of virtual operations which has to be done at a certain time or in a certain condition (for example by the system start-up).

Hard Disk Manager keeps tasks in the form of scripts. Every necessary operation of a script is written with commands of the macro-language (Paragon Scripting Language). Since a script is a usual textual file it can be edited by a user. The scheduler provides the possibility of the similar editing.

3.5.2 A new task schedule

If the List of Pending Operations contains a virtual operation or a group of operations (speaking in terms of the Hard Disk Manager if there is an assigned task) then you can define the special time condition for their execution with an embedded scheduler. To start the scheduler dialog choose the following item in the Main menu:

General > Save to scheduler…

or click the “Scheduler” button [image] in the Virtual Operations Toolbar.

The scheduler dialog has two important control elements: the List of Schedule Types (a pull-down menu at the top part of the dialog) and the Task Scheduling Options section (under the menu).

The List of Schedule Types gives a possibility to define the time condition for the task performance.

All the possible variants (the menu items) can be divided by two categories:

  • starting the task depending on an event:
    • one time only (the “Once” item);
    • when system starts (the “At System Startup” item);
    • when user logs on (the “At Logon” item).
  • starting the task periodically (daily, weekly, monthly);

A user should choose one of the variants. Depending on the choice the low section of the window, the “Task scheduling options” section will contains a form for definition of the task schedule parameters.

If the Once item was chosen then the low section will contain fields that helps you to define the date and the time when the task starts.

If the At Logon or the At System Startup items were chosen the low section will contain the checkbox “Delete the task after run”. Working actively the program will collect old unused tasks littering the scheduler’s task list. Tick the checkbox to avoid it.

If the Daily variant was chosen the low section will contain the following form fields:

  • the time when the task starts (the “Start time” field, where control buttons on the right side of the field for editing the value);
  • a period during which the task will perform (the “Every” field; the control buttons are available for editing too);
  • the date when the task starts (the “Task is active from” item);
  • the date when the task finishes its work (the ticked “to” checkbox activates the corresponding field for this date).

If the Weekly variant was chosen then the low section will contain the following form fields:

  • the time when the task starts (the “Start time” field, where control buttons on the right side of the field for editing the value);
  • a period during which the task will perform (the “Every” field; the control buttons are available for editing too);
  • the date when the task starts (the “Task is active from” item);
  • the date when the task finishes its work (the ticked “to” checkbox activates the corresponding field for this date).

The special set of checkboxes with subscribed days of week gives you a possibility to set concrete days when the task starts. You can select some days of the week, not only one.

If the Monthly variant was chosen then the low section will contain the following form fields:

  • the time when the task starts (the “Start time” field, where control buttons on the right side of the field for editing the value);
  • a period during which the task will perform (the “Every” field; the control buttons are available for editing too);
  • the date when the task starts (the “Task is active from” item);
  • the date when the task finishes its work (the ticked “to” checkbox activates the corresponding field for this date).

The special set of checkboxes with subscribed names of months gives a possibility to set concrete months when the task starts so the date of starting will be defined by the field “Day” and the pointed months. For example, if you set “2” in the field “Day” and then point January, February and March then the program will start the task on the 2nd January, the 2nd February and on the 2nd March.

3.5.3 Scheduled tasks

In order to edit a task schedule that has been already created a user should choose the following item in the main menu:

General > Scheduled tasks…

By this action the task scheduler starts. Here one can edit schedules of the program tasks. Tasks are listed at the left section of the dialog window. Each list item contains a name of a script where all scheduled actions were recorded with use of the Paragon Scripting Language.

Operations for scheduled tasks

The scheduler has its tool menu with the most frequently used tools such as:

start a task

stop a task

edit a task

delete a task

These tools will be applied to a task that a user selects at the task list.

The “Start a task” tool force the program to start the task execution immediately. But a user can stop the execution by the “Stop a task” button.

i

Remember, an interruption of some operations leads to the irrevocable corruption of a processed partition.

The “Edit a task” tool is worthy of special notice. In this case the standard tool for editing of textual files starts (for example “Notepad” at the Windows). You can edit any command of scheduled operations in your script as a usual text. A script uses the Paragon Scripting Language for the commands description.

The “Delete a task” tool gives the possibility to delete old or incorrect formulated tasks from the tasks list.

How to change a task schedule

On the right side of the “Scheduled tasks” window two tabs are represented:

  • Task
  • Schedule

The “Task” tab displays command line of the task selected at the list and its short description. It helps you to easily orient at the task list and identify what kind of actions will be performed during an operation.

The “Schedule” tab displays the periodicity of the task starting:

  • a type of schedule (daily, weekly, monthly or by a special event for example such as the system starts),
  • start time,
  • start date,
  • end date (if it is necessary)
  • and the period of the task execution (by the day).

All these parameters are defined by creating a new task schedule and were described in the A new task schedule chapter.

The scheduling of the program work time gives you a chance to use the program as a kind of robots which perform your tasks automatically. You should just formulate, describe your task and then control the program job from time to time.


4 Hard Disk Management

This chapter describes how to proceed with most frequent partitioning operations using Hard Disk Manager. It is recommended to familiarize oneself with the Settings overview.


4.1 Backup Partitions

This chapter explains how to make backup images of separate partitions on local and network drives, unmounted partitions and removable media under various conditions.

4.1.1 Overview

Backup is the primary function of Hard Disk Manager. One can backup partitions having important data and system partitions to protect oneself from downtime in the case of system malfunction. The partition can be completely restored within few minutes from the backup image.

The backup image includes not only contents of all files but also filesystem metadata. In that way the program keeps all information associated with files: the exact structure of directories, location of files on the disk, security information, access quotas and so on. After the restoration, the partition becomes in the pre-backup state.

Take into account that new data added to the partition after making the backup image, will be lost after the partition restoration.

Hard Disk Manager allows to backup partitions of any type. The program backups partitions of known file system types by using the fast copying algorithm . All other partitions are saved in the sector-to-sector copying mode. See the section Processing partitions of unknown types for more details.

The implementation of the backup function varies in some cases:

1. In Windows, the operation differs for unlocked and locked (system) partitions. To process locked partitions, the program needs to reboot the computer.

2. In addition, the processing of locked partitions differs for Windows 95/98, Windows NT/2000/XP and Windows ME.

4.1.1.1 Where you can save backup images

The program allows saving backup images on the following storage media:

· Mounted local drives (i.e. partitions having the drive letter assigned).

· Mapped network drives (i.e. network resources with the drive letter assigned).

· Mounted removable media (ZIP, LS-120, MODD, ZIV etc).

· Mounted USB drives and Compact Flash cards (in Windows only).

· Any other media somehow mapped in the system and providing the read-write access.

· Unmounted partitions formatted to NTFS, Ext2 and Ext3.
The program uses the built-in Universal Filesystem Driver (UFSD) to access unmounted partitions on local hard disks.

· CD-R(W) and DVD-R(W) drives (in Windows only). The equipment should be detectable and available in Windows.
This feature is explained in the chapter Burn partition images on CD/DVD .

4.1.1.2 Restrictions

Hard Disk Manager is unable placing the backup image (or some of its volumes) on the partition that is being imaged. One should place the image on another partition, another hard disk, removable media or a mapped network drive.

4.1.2 Initiating the operation

Step 1. Select the partition you want to backup.

Select some existing partition you want to backup, in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. In any case, the partition will be highlighted in all three panels.

The function is not available for blocks of free space.

After selecting a partition, most buttons on the Main Toolbar will become enabled.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Create an image of partition…

· Call the popup menu for the selected partition in any of layout panels (click right mouse button) then select the menu item:

Create an image of partition…

· Press Alt+B keyboard combination

· Press Backup button on the Main Toolbar.

Step 3. Assign properties of the backup image

Assign properties of the backup image (see the Description of the Backup parameters chapter).

Initially the program suggests some consistent values for all parameters. In most cases, you can just press OK button to confirm the operation.

4.1.3 Description of the Backup parameters

4.1.3.1 Common parameters of the Backup Hard Disk operation

Parameters of the backup operation are subdivided in five groups:

· Split settings manage the ability to make multivolume images and assign default volume size and the automatic generation of volume filenames.

· Encryption settings manage the ability to cipher image contents and set the access password

· Compression settings manage an ability to squeeze image contents and the compression level

· Archive label allows to place custom notes to the image file for easy navigation through images

· Location settings allow selecting the most convenient storage to place the image to.

As the matter of fact, all Backup operations contain these parameters, with probably few minor differences.

4.1.3.2 Split settings

Split image

Set this checkmark ON to enable automatic breaking of large images in multiple volumes. Otherwise, the program will try to place entire image in a single file.

Max image size (MB)

This value defines the maximum size of each volume of the image being created. The default value is 600 Mb.

Set splitted file names automatically

When activated, this option forces the program to automatically generate filenames for next volumes of the image.
Otherwise, the program will pause after filling each volume to ask the user about the new volume filename until completing the operation.

4.1.3.3 Encryption settings

Enable encryption

Set this checkmark ON to enable ciphering image contents and protect accessing to the image by the password. Encryption reduces the overall operation performance. The deceleration percentage fundamentally depends on the hardware parameters.

Enter password & Confirm password

With enabling the encryption, provide the password to be used to access the image. Note: the program does not allow "empty" passwords.

4.1.3.4 Compression settings

Compression level

Here you can change the compression level, in the case of you wish to use the value other than the default one. The default compression level is defined in the program settings. Compression may significantly squeeze the backup image size, but it reduces the overall operation performance.

The greater level, the higher compression ratio and the slower performance. The deceleration percentage fundamentally depends on the hardware parameters. See General settings for more details.

4.1.3.5 Archive label

You can associate a short descriptive text with the image. When getting Archive Info or Restoring Partitions , you can inspect the archive label to ensure that you have selected the desired image.

4.1.3.6 Image Location

4.1.3.7 Image file

Here you can choose the desired filename of the backup image.

The program generates the default image filename by using the disk number and the drive letter (or the partition number) and suggests placing the image on the local drive having the maximum value of free space.

You can assign another filename, or select another drive or directory by pressing the Browse button. In addition, you can enter manually the desired file name and path to the Image File field.

4.1.3.8 Drive

The pull-down list of available drives is very useful when selecting the non-default image location. The list contains:

· Mounted local volumes with mention their drive letter and the amount of available space.

· Mapped network drives with mention their drive letter and the amount of available space.

· Unmounted NTFS/Ext2 partitions with mention their location (disk number / partition number). The program accesses unmounted partitions by using the built-in UFSD driver.

4.1.3.9 The Browse button

Press the button to enter the advanced dialog "Save in file". With using this dialog, you are able to select any location on local and network drives, including unmounted local partitions. See the following section for the details.

4.1.3.10 Selecting unmounted partitions as the target location for saving backup images

When creating the backup image of a partition or a hard disk, you are able to select unmounted local partitions of NTFS and Ext2/Ext3 type as the target location for saving the backup image.

1. Open the "Create an image of partition" dialog.

2. Press the Browse button (in the bottom of the window) to open the advanced "Save in file" dialog.
On the dialog, select the "Save in" pull-down list of volumes
(it is located on the top of the window).
In the pull-down list, click on the item "Non-mounted partitions".
(the item is located bottom the list of mapped volumes)

3. The summary list of unmounted local partitions will be displayed.
The list includes NTFS and Ext2/Ext3 partitions on all local hard disks. Every item contains the drive number / partition number, the filesystem type and the amount of available space.

4. Select some unmounted partition to proceed.

5. Next, the program will browse the contents of the selected partition. You can open any directory on the partition being explored.

6. Finally, click the button "Save" or press ENTER to select the target location of the backup image.

4.1.4 Running the Backup operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

In the case of a multivolume image is created, the writing of each volume is treated as suboperation, and the program displays also information about suboperation progess.

In the case of a user disables automatic filename generation, the program pauses after filling each volume and asks for the next volume filename.

By default, Hard Disk Manager suggests an automatically generated filename.

4.1.5 Comments

4.1.5.1 Processing partitions of unknown types

The program allows to backup partitions of any type. By default, the program uses the fast copying algorithm for copying partitions of known file system types ; other partitions are saved in the sector-to-sector copying mode. In the fast copying mode, the program requires the on-partition file system must be in the consistent state.

In the case of turning ON the sector-to-sector copying mode, the program copies all sectors of the selected partition regardless of the file system type and consistency.

4.1.5.2 How Hard Disk Manager generates filenames for multiple volumes

In fact, a backup image is a special database that can keep various types of information. Hard Disk Manager can combine backup images in hierarchic structures. A compound image consists of multiple files including subordinate images. The primary volume of a backup image keeps information about the hierarchic structure and subordinate volumes.

The program supports both automatically generated and manually defined volume filenames. In the case of automatic generating volume filenames, the program uses the following rules:

· The filename of the primary volume (i.e. the first file of the multivolume image) is actually one defined by a user in the Backup Partition dialog (or Backup Disk dialog). The default file extension of the primary volume is .PBF, but it can be changed by the user.

· By default, Hard Disk Manager generates the filename of the primary volume:

Img_DDpp.PBF

where:

DD | - | the two-figure hexadecimal number of the hard disk that contains the partition being archived
pp | - | the two-figure hexadecimal number of the partition being archived

· Filenames of all other volumes of the multivolume backup image meet the requirements of the so-called 8.3 filename format and have the following format:

xxxxDDpp.Tnn

where:

xxxx | - | the first four characters of the image name (4 characters from the filename of the primary volume)
DD | - | two-figure hexadecimal number of the hard disk that contains the partition being archived
pp | - | two-figure hexadecimal number of the partition being archived
T | - | the key of the partition type: P – primary partition E – Extended Partition L – logical Partition
nn | - | two-figure hexadecimal number of the volume (within the subordinate image)

· By default, the program places all the volumes in the same directory.

For example, the image named "MyLargeImage" will consist of the following files:

Single-volumic archive | Multi-volumic archive
 | Primary partition | Logical partition
MyLargeImage.PBF | MyLargeImage.PBF MyLa0002.P00 MyLa0002.P01 MyLa0002.P02 … | MyLargeImage.PBF MyLa0007.L00 MyLa0007.L01 MyLa0007.L02 …

Switch off the automatic filename generation to manually set filenames of volumes. In this case, you are able to place volumes in different directories, on different drives and even on different media. After filling the current volume, the program will pause and ask you for the next volume name.

4.1.5.3 How to backup corrupted partitions

To backup a partition that has a corrupted file system, switch the program to the sector-to-sector mode (see the section Fast copying algorithm ):

(menu) General > Settings… > (page) General > Copy all sectors 1:1

By default, Hard Disk Manager works in the fast copying mode. Before making the operation, the program performs the file system check and accepts only valid file systems. In the sector-to-sector mode, the program skips the file system check and just copies all sectors "as is". The image obtained is much larger, but the program enables corrupted and unknown partitions.

4.1.6 Backup system and locked partitions

The basic difference between locked and unlocked partitions is that contents of locked partitions are "volatile" and can unpredictably change during the lengthy backup operation (see Glossary ). In this case, the backup image may become inconsistent.

Hard Disk Manager cannot block write operations of other applications, so it tries to reboot the system to a single-tasking environment to eliminate the probability of mutual interference of programs.

· In Windows NT, 2000 and XP, the program can use either the HotBackup mechanism or the so-called "startup Bluescreen" phase (HotBackup can be used only if it is enabled in the program backup settings ).

· In Windows 95 and 98, the program uses the "true" DOS session as the single-tasking environment.

· In Windows ME, the program requires to reboot from a bootable diskette or CD-ROM.

The program uses different components in different versions of Windows. In addition, the processing of locked partitions differs in various Windows versions.

4.1.6.1 Backup locked partitions in Windows NT, 2000 and XP

To operate the locked or system partitions in Windows NT, 2000 and XP, the program can use one of the two ways – either starts HotBackup mechanism or “startup Bluescreen” phase:

1. Before starting the operation, the program checks whether partition is locked or not.

2. If the partition is the locked one and the HotBackup mechanism is enabled in the program settings then all the backup operation will be processed without rebooting the system. If HotBackup is disabled or the “Optional do HotBackup” mode was set then the program will ask for reboot the system. You should press OK button to reboot the system and complete the operation or press Cancel button to abort the operation.

By default, the program pauses the execution until the user makes the choice. For configuring the unattended working.

3. The program silently schedules the BlueScreen Component to run at next Windows startup and to execute the required operation.

4. Then the program reboots the computer.

5. At the next system boot-up, the Bluescreen Component executes the operation in place of the Windows-based version. The BlueScreen Component will display the operation progress in the console-like style.

6. In the case of creating the multivolume backup image with the option Set splitted file names automatically switched off, the program asks the user for the filename of the next volume. The most bottom lines of the console output will be the following:

Get new filename of the file for subsequent writing.
(Type exit to cancel operation.)
D:\Img_1_Z.p01

7. You should choose one of the following actions::

Either press ENTER to confirm that you are agree to proceed with this filename.

Or change the filename to proceed with another filename.

Or clear the filename and type the word "exit" to abort the operation.

8. By default, Hard Disk Manager suggests a new filename, but the user is able to change this value.

9. After the BlueScreen Component completes the operation, the Windows session begins and the Windows-based version of Hard Disk Manager comes up.

4.1.6.2 Limitations of the BlueScreen Component

There are some minor functionality limitations of the BlueScreen Component that come from the inaccessibility of some Windows services during the Startup Bluescreen phase:

· The version of the BlueScreen Component provided with Hard Disk Manager interacts with the user in the console-like style. Such useful functions like Browse disk contents and Search files are not available. In the case of the program asks a user to enter a filename, the user must enter a filename "blindly".

· The BlueScreen Component allows input only English letters.
The text is in lowercase, only BackSpace editing key is supported.

· During the Startup Bluescreen phase, the network redirector does not functioning. For this reason, do not locate backup images on mapped network drives because their contents are unavailable at the Startup Bluescreen phase.

The detailed information about the interaction between Windows-based and Bluescreen components of Hard Disk Manager is discussed in the Technician Manual.

4.1.6.3 Backup locked partitions in Windows 95 and 98

Windows 95 and 98 include the limited version of the MS-DOS 7 as a part. The "true" DOS environment is available after booting to the DOS session (do not confuse with the DOS prompt in the Windows session).

1. Before starting the operation, the program checks whether partition is locked or not.

2. If the partition appears is the locked one, the program asks for reboot the system. Press OK button to reboot the system and complete the operation, press Cancel button to abort the operation.

3. The application passes silently the task to the DOS-based version of the program. Then the Windows-based application just runs the DOS-based program.

4. The DOS-based version of the program is configured (through the .PIF-file) to run in the true DOS session. So that Windows reboots to the DOS session.

5. The DOS-based program becomes working in the unattended mode with displaying the operation progress and statistics.

6. When completing the operation, the program reboots the computer.

4.1.6.4 Limitations of the DOS-based version in the unattended mode

The DOS-based version of program can work either in the interactive mode or in the batch mode. In both cases, it provides the full functionality with the only exception of burning images on recordable CD/DVD discs.

There are some minor functionality limitations of the DOS-based version of program that works in the unattended mode. These limitations come mostly from the unavailability some services in the DOS environment that are available in Windows:

· Avoid using network mapped drives for placing backup images of locked partitions.
The thing is that usually DOS environment is not configured for supporting the network, so that network resources will become unavailable in the DOS session.
Otherwise, you should manually install and correctly configure the NIC drivers and the Network Client software for DOS.

· Do not use USB devices (ZIV, Flash cards etc.) for holding the backup images of locked partitions.
DOS does not support USB (and there are no USB drivers for DOS on the market). So that after rebooting to DOS all USB devices become unavailable.

· In the unattended mode, the program unconditionally aborts the operation in the case of detecting bad sectors, missing the image file or similar problems. To get the user-friendly behavior of the program, run the program in the interactive mode.

· Take care of providing the DOS session with the device drivers for CD/DVD drives, SCSI and RAID controllers that have no own BIOS.

· Remember that drive letters associated with particular partitions may differ for the DOS and Windows sessions.

· Remember that DOS may fail to access to large partitions. For example, MS-DOS does not work with partitions that are larger than 8Gb.

The detailed information about interaction between Windows-based and DOS-based components of Hard Disk Manager is discussed in the Technician Manual.

4.1.6.5 Backup locked partitions in Windows ME

The diskette-based version of the program can work either in the interactive mode or in the batch mode. In both cases, it provides the full functionality with the only exception of burning images on recordable CD/DVD discs.

The procedure of processing locked partitions and hard disks is described in the section Working with locked partitions/disks in Windows ME .

There are some functionality limitations of the diskette-based version of the program. These limitations coincide with ones of the DOS-based version that works in the unattended mode (see Limitations of the DOS-based version in the unattended mode ). These limitations come mostly from the unavailability some services in the DOS environment that are available in Windows:

· Avoid using network mapped drives for placing backup images of locked partitions.

· Do not use USB devices (ZIV, Flash cards etc.) for holding the backup images of locked partitions.

· In the unattended mode, the program unconditionally aborts the operation in the case of detecting bad sectors, missing the image file or similar problems. To get a friendly behavior of the Hard Disk Manager, run the program in the interactive mode.

· The diskette-based version may not work with SCSI and RAID controllers that have no own BIOS.

· Take care of providing the DOS session with the device drivers for CD/DVD drives. The Diskette Build Wizard utility simplifies the process of configuring the diskette for supporting CD & DVD drives.

· Remember that drive letters associated with particular partitions may differ for the DOS and Windows sessions.

· Remember that DOS may fail to access to large partitions. For instance, MS-DOS does not work with partitions that are larger than 8Gb.

· Your computer must have the ability to boot from floppy.

The detailed information about interaction between Windows-based and the diskette-based versions of the program is discussed in the Technician Manual.

The preferred solution is to use the Paragon Recovery CD instead of using the bootable diskette.

4.1.7 Creating Incremental Image

In order to updated a backup image you need to select in the main menu:

Wizards > Create Incremental Image…

Then the Incremental Backup Wizard opens its first page. This page informs the user of the operation features. Read it carefully and then click the “Next” button to continue.

The second page of the Wizard proposes to define what the archive exactly will be updated. The user can type the full path to a backup image on the hard disk or use the standard file browser for that goal. To start the file browser click the “Browse” button. After the archive was defined click the “Next” button to continue.

The third page allows acquainting with some parameters of the base archive (the archive that will be updated during the operation):

Archived partition layout

Here, at the top of the window the archived partition layout is displayed as the partition place in the general structure of the hard disk. UDP controls contain the information about the file system type, the partition size, the drive letter assigned to the partition and also about the used space capacity.

Archive label

If a label was assigned to the backup image then it will be displayed at this textual field.

Encrypted

If this checkbox is selected then the backup image data is protected by the password. The user will need to enter the password during the operation.

Compressed

If this checkbox is selected then the backup image data are compressed. The user will need to take it into account while the incremental image options are setting.

Splitted

If this checkbox is selected then the backup archive has two or more files.

Sector by sector

The state of this checkbox displays whether the sector-to-sector copying mode was used during the backup operation or not.

Acquainting with the base archive parameters the user can go to the next page of the Wizard. Click on the Next button for that.

The fourth page allows setting parameters of the future incremental image. The page has four sections:

Sizing

This section defines the size of the updated archive. Namely the user can set the following parameters:

  • Split image (the incremental image will be splitted to some files).
  • Set names automatically (the program will assign the archive file name automatically).
  • Compression level (this parameter allows essentially decrease the size of the archive)
  • Max image size [Mb] (this parameter is used while the backup image splitting – archive files will not exceed the stated value).

Encryption

Selecting this checkmark the user can enter the password and protect the updated archive with that way.

Archive label

Here the user can assign a label to the archive. Sometimes it helps while the identification of the backup images.

Archive Settings

Localize new archive on the PC (select a drive letter and a directory where the backup file will be placed, then type the archive file name).

When all described above parameters are defined there is two ways to continue:

  • Press the “Finish” button to start the incremental backup operation immediately. During the operation the program will compare the partition state saved in the base archive with the current state of the same partition. New archive will contain only the difference between two states, i.e. only those changes which have been made since the base archive creation.

Please note that the Incremental Backup performance usually takes more time than the performance of an ordinary backup.

  • Press the “Schedule” button to place this operation into the program scheduler list. In this case the user should define when the operation starts. The integrated scheduler allows to postpone the archiving for more convenient time or to force the program performing it periodically. The user can read the Scheduling tasks chapter for more information about the program scheduler.


4.2 Burn Partition Images on CD/DVD

This chapter explains how to burn backup images of separate partitions directly on recordable and rewritable CD and DVD discs in Windows environment.

4.2.1 Overview

The program supports the burning backup images to writable CD/DVD media. This feature is available only in Windows environment. The function is isolated from the most generic Backup function because of there are some valuable specificities and limitations inhere that operation.

In Windows 95, 98 and ME this function is applicable to unlocked partitions only: Hard Disk Manager reboots into DOS to process locked partitions, but the burning hardware is generally unavailable in DOS environment.

In Windows NT, 2000 and XP Hard Disk Manager is able to burn images of both unlocked and locked partitions. In the case of processing the locked partition, Hard Disk Manager reboots the system and uses the BlueScreen Component to complete the operation.

4.2.1.1 Media types and CD/DVD drives that are supported in the Burn image function

Hard Disk Manager uses the WinASPI service to access CD burning devices. For this reason the program can successfully use CD/DVD drives that are supported by the operating system. The program supports any media types that are supported by the used CD/DVD burning hardware.

The advantage of the program is that it can use both mapped and unmapped workable CD/DVD burning hardware.

The primary constraints of the program are those the program require blank recordable discs, it does not support Multisession CD/DVD, it places one volume per CD, it closes the CD session so that disc cannot be added.

4.2.2 Initiating the operation

The actions you should make are very similar to ones required for initiating the Backup partition operation. See the chapter Initiating the backup operation for the detailed explanation of every step.

Step 1. Select a partition you want to store on CD/DVD

Select some partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. Do not select blocks of free space because the function is disabled for blocks of free space.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Burn an image of partition to CD

· call the popup menu for the selected partition and select the item:

Burn an image of partition to CD

· Press Burn button on the Main Toolbar.

Step 3. Define parameters of the operation

Assign properties of the Burn image operation. (see the Description of the Burn Image parameters chapter)

Initially the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.2.3 Description of the Burn Image parameters

Parameters of the Burn Image operation are similar to the parameters of the backup operation (see Description of the Backup parameters ). There are only two differences:

· The image should be located on some CD/DVD burning device

· The user cannot change the splitting parameters.

4.2.3.1 Common parameters of the Burn Image operation

Parameters of the backup operation are subdivided in four groups:

· Encryption settings manage the ability to cipher image contents and set the access password

· Compression settings manage an ability to squeeze image contents and the compression level

· Archieve label allows to place custom notes to the image file for easy navigation through images

· Location settings allow to select the CD/DVD writable drive that will be used for burning the image.

Generally, the parameters for this operation coincide with the same parameters of the Backup Partition operation. See the chapter Description of the Backup parameters for the detailed explanation.

Encryption settings
Enable encryption | Set the checkmark ON to enable ciphering image contents and protect accessing to the image by the password.
Enter password Confirm password | With enabling the encryption, provide the password to be used to access the image. Note: the program does not allow "empty" passwords.
Compression settings
Compression level | Change the compression level, in the case of you wish to use the value other than the default one.
Archive label
Archive label | You can associate a short descriptive text with the image. It may be helpful when selecting backup images.

4.2.3.2 Image Location

Image file

Here you can assign the desired filename of the backup image.

The program generates the default image filename by using the disk number and the drive letter (or the partition number) and suggests to burn the image with the first registered CD/DVD burning device in the list.

Drive

You can select any available CD and DVD writable drive from the pull-down list of CD/DVD burners.

Hard Disk Manager can use any CD burner that is accessible through WinASPI service, including devices that have no drive letters assigned. The program lists CD/DVD devices by their model names.

4.2.4 Running the Burn Image operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

In the case of a user does not allow automatic filename generation , the program pauses after completing a volume and asks a user for the next volume filename.

By default, Hard Disk Manager suggests the automatically generated new filename, but a user can customize this value. See the chapter How Hard Disk Manager generates filenames for multiple volumes for more details.

1. At the beginning of the real execution of the operation, Hard Disk Manager evaluates roughly the total image size and the amount of recordable discs required to store the image. The resume is displayed in the report console that is located in the middle part of the window Progress Information.

The program makes the pessimistic evaluation of the amount of CD-R(W) discs of 700Mb capacity and DVD-R(W) of 4.7Gb discs capacity, which require to fit the backup image. Usually, this value is the overestimated one in the case of using high levels of compression.

2. Next, the program starts the burning process.
If no media is inserted in the CD/DVD drive, the program asks for inserting the new empty recordable disk.

3. Every media being inserted is tested for the cleanness.
The non-empty once-recordable discs will be culled.
The program allows to erase rewritable discs (CD/DVD-RW) that are non-empty:

· The Quick Erase assumes only the deletion of the existing formatting structures of the rewritable disc. The operation takes few minutes.

· The Full Erase assumes destroying and filling with zeroes the entire contents of the rewritable disc. The operation may take much time (dozens of minutes).

4.2.5 Comments

The BlueScreen Component of the program that is used in Windows NT, 2000 and XP supports the Burn Image operation. The operation is described in the chapter Burn Image of locked and system partitions .

4.2.5.1 Limitations of the built-in CD/DVD burning module

· The primary constraint to used media is that it should be blank (empty):

o        The recordable discs (CD-R, DVD-R, DVD+R) must be blank.

o        The rewritable discs (CD-RW, DVD+RW) that are not blank, will be erased before the use.

o        Multisession CD/DVD are not supported.

· During the image burning, the program creates the single-session, ISO-compliant disc (i.e. Data CD or Data DVD). The program makes the multivolume backup image and places volumes on CDs, one file per disc. Every volume occupies the entire disc, the only exception of the most last volume.

· The current release of the program does not allow controlling the write speed of the CD/DVD burning drive. The program always uses the maximum speed available for the pair "CD burner – recordable disc".

· The current release of the program requires 64Mb of additional physical memory to initiate the CD-burner buffer. Totally, the program may require ~70Mb or more of physical memory during the Burn Image operation.

4.2.6 Burn Image of locked and system partitions

Generally, the program needs to reboot the system in the single-tasking mode to complete the operation of Burning an Image of the locked partition. As it mentioned in the chapter Executing operations , the program uses the Startup Bluescreen service in Windows NT, 2000 and XP. In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session. In Windows ME, the program requires to reboot the computer from the DOS bootable diskette.

Unfortunately, the program is unable to use CD/DVD burning hardware in DOS. For this reason, you are unable to use the Burn Image function on the locked and system partitions in Windows 95, 98 and ME.

4.2.6.1 Burn Image of the locked partition in Windows NT, 2000 and XP

In Windows NT, 2000 and XP, the program uses the so-called "startup Bluescreen" service to operate the locked partitions:

1. Before starting the operation, the program checks whether partition is locked or not.

2. If the partition appears is the locked one, the program asks for reboot the system. Press OK button to reboot the system and complete the operation, press Cancel button to abort the operation.

By default the program pauses the execution until the user makes the choice.

3. The program silently schedules the BlueScreen Component to run at next Windows startup and to execute the required operation.

4. Then the program reboots the computer.

5. At the next system boot-up, the Bluescreen Component executes the operation in place of the Windows-based version. The BlueScreen Component will display the operation progress in the console-like style.

6. If there is no disc inserted, the program displays the following message in the output console:

There is no media in CD drive. Insert new disk.
(Type exit to cancel operation.)

7. You should choose one of the following actions:

· Insert the new recordable disc in the CD/DVD drive and press ENTER.

· Or type the word "exit" to abort the operation.

8. Then, Hard Disk Manager tests the disc for emptiness. In case of using rewritable media, the program suggests either to change media or erase existing data:

Rewritable media is not empty. Press Enter to try new media.
Type ERASE to erase media. Type EXIT to cancel operation.

9. You should choose one of the following actions:

· Exchange the disc with the new one and presses ENTER to precede the operation.

· Or type the word "erase" to erase the inserted media and continue the operation.

· Or type the word "exit" to abort the operation.

Note: do not try to type in UPPERCASE. In fact the user is able to type in lowercase only, see the section Limitations of the BlueScreen Component for more details.

Text editing abilities in the BlueScreen Component:

· Only printable characters and the BackSpace key are acceptable.

· Other keys (including CAPSLOCK, Ctrl, Alt, Shift) are unacceptable.

· Only English letters are available

· All alpha letters are entered in the lowercase.

After the BlueScreen Component completes the operation, the Windows session begins and the Windows-based version of the program comes up.


4.3 Backup Extended Partitions on CD/DVD

4.3.1 Overview

The Extended Partition is actually the container the container of so-called Logical Partitions (see Glossary for more details). The fundamental feature of the Extended Partition is that it contains many partitions inside.

The program provides the ability to backup the entire contents of all logical partitions within the single operation. This operation looks like an ordinary backup operation that is implemented to the Extended Partition.

Similarly, there is the ability to burn the integral backup image of all logical partitions within the single Burn image operation that is implemented to the Extended Partition.

Take into account that any changes in the layout of the Extended Partition and new data added to any logical partition after making the backup image, will be lost after the restoration of the Extended Partition.

The program is unable to place the image of the Extended Partition (or some of its volumes) on logical partitions that belong to the Extended Partition being imaged. One should place the image on a primary partition, on another hard disk, or on removable media.

The main and only peculiar property of the Extended Partition image is that it always consists of multiple files. This feature affects on the real execution of the operations.

In the case of automatic generating of volume filenames, Hard Disk Manager uses filename generating rules that are described in the section How Hard Disk Manager generates filenames for multiple volumes.

4.3.2 Initiating operations

As the matter of fact, the operation of creating the backup image of the Extended Partition is the same as with ordinary partitions. Similarly, the operation of burning the backup image of the Extended Partition to CD/DVD recordable discs is the same as with ordinary partitions.

4.3.2.1 How to Backup the Extended Partition

The actions the user should make to initiate the operation are described in the chapter Initiating the backup operation .

The actions you should make are very similar to ones required for initiating the Backup partition operation.

Step 1. Select the Extended Partition.

Select the Extended Partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Select in the main menu: Partition > Create an image of partition…

Alternative ways are:

· Call the popup menu for the selected partition in any of layout panels (click right mouse button)
then select the menu item "Create an image of partition…"

· Press Alt+B keyboard combination

· Press Backup button on the Main Toolbar.

Step 3. Define parameters of the operation

The parameters of the operation are described in the section Description of the Backup parameters .

Brief description of parameters:

Parameters of the backup operation are subdivided in four groups:

· Encryption settings manage the ability to cipher image contents and set the access password

· Compression settings manage an ability to squeeze image contents and the compression level

· Archieve label allows to place custom notes to the image file for easy navigation through images

· Location settings allow selecting the CD/DVD writable drive that will be used for burning the image.

Generally, the parameters for this operation coincide with the same parameters of the Backup Partition operation.

4.3.2.2 How to Burn image of the Extended Partition

The actions the user should make to initiate the operation are described in the chapter Initiating the Image Burning operation .

Brief description of actions:

Step 1. Select the Extended Partition.

Select the Extended Partition in the Tree Layout, in the UDP Layout or in the Partitions List.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Burn an image of partition to CD

· call the popup menu for the selected partition and select the item:

Burn an image of partition to CD

· Press Burn button on the Main Toolbar.

Step 3. Define parameters of the operation

The parameters of the operation are described in the section Description of the Burn Image parameters .

Brief description of parameters:

Parameters of the backup operation are subdivided in four groups:

· Encryption settings manage the ability to cipher image contents and set the access password

· Compression settings manage an ability to squeeze image contents and the compression level

· Archive label allows to place custom notes to the image file for easy navigation through images

· Location settings allow to select the CD/DVD writable drive that will be used for burning the image.

4.3.3 Running the operations

The real execution of referring to above operations on the Extended Partition is similar to appropriate operations with ordinary partitions (see the sections Running the backup operation and Running the Burn Image operation for more details).

4.3.3.1 The Extended Partition image is the multivolume one

The difference between images of ordinary partition and images of the Extended Partition is that the program always creates the multivolume image for the Extended Partition. The section How Hard Disk Manager generates filenames for multiple volumes describes the naming rules that Hard Disk Manager uses for auto-generated filenames.

In the case of execution the operation Burn Image of the Extended Partition, the program always places the image on several discs, In particular, the most first recordable disc will contain just the primary volume of the image that in fact takes only several megabytes.

4.3.3.2 About processing locked Extended Partitions

The Extended Partition itself does contain neither files nor directories that can be used by an operating system or applications. Still, if some of logical partitions appear locked ones, the program is unable to process the Extended Partition without rebooting to the single-tasking environment.

When performing some operation on the entire Extended Partition, Hard Disk Manager checks the lock state of all logical partitions. In the case of some logical partition is locked, the program reboots in the appropriate single-tasking environment and executes the operation (see Executing operations ).

The details of performance of locked partitions are described in the chapter Backup system and locked partitions .

4.3.4 Comments

4.3.4.1 How the program works with logical partitions of different types

The Extended Partition may contain several logical partitions having different file system types. The program allows creating an image of such "non-uniform" Extended Partition without any problems.

If the program works in the fast copying mode , it independently processes each logical partition. It analyzes the file system type and automatically switches to the appropriate copying mode. Remember that known file systems are copied in the fast copying mode while the unknown file systems are processed in the sector-to-sector copying mode.

If the program works in the sector-to-sector copying mode, it independently processes each logical partition, too. The only difference is that Hard Disk Manager saves all sectors of every existing partition.

In any of copying modes, Hard Disk Manager does not save blocks of unpartitioned space within the Extended Partition so that the program will not save deleted logical partitions.


4.4 Backup Hard Disks

This chapter explains how to make backup images of entire hard disks on local and network drives, unmounted partitions and removable media under various conditions.

4.4.1 Overview

Hard Disk Manager provides the ability to backup not only separate partitions but also entire hard disks.

Generally, each hard disk contains the controlling records of a partitioning scheme, which is located on the disk (see Glossary ), and the bootstrap code in addition to on-disk partitions. Each of mentioned above disk components is important to keep the availability of on-disk data.

Hard Disk Manager uses knowledge about the internal structure of hard disks in order to make workable images of all disk contents. In the case of disk malfunction or corruption of data, the backup image of the hard disk can be used for complete restoration of the system workability.

Take into account that any changes in the layout of the hard disk and new data added to any on-disk partition after the making the backup image, will be lost after the disk restoration.

Locked hard disks are ones having locked partitions.

Hard Disk Manager allows backup all the usable contents of the hard disk or only most important parts of the disk that contain the information about the disk layout.

The main and only peculiar property of disk image is that it always consists of multiple files. This feature affects on the real execution of the operations.

In the case of automatic generating of volume filenames, Hard Disk Manager uses filename generating rules that are described in the section How Hard Disk Manager generates filenames for multiple volumes .

4.4.2 Initiating the operation

As the matter of fact, the operation of creating the backup image of the hard disk is similar to the operation of making the images of partitions.

The actions the user should make to initiate the operation are described in the chapter Initiating the backup operation .

The actions you should make are very similar to ones required for initiating the Backup partition operation.

Brief description of actions:

Step 1. Select the hard disk you want to backup

There are two variants:

· Select the hard disk in the Tree Layout panel or in the UDP Layout panel.

· Or select any partition which belongs to the hard disk of interest.

Step 2. Select the operation to perform

Alternatives:

· Select in the main menu:

Hard disk > Create an image of hard disk…

· In the case of the hard disk is selected, Call the popup menu for the selected partition in any of layout panels (click right mouse button)
then select the menu item Create an image of hard disk…

· Press Ctrl+B keyboard combination

· Press Backup button on the Main Toolbar.

Step 3. Assign properties of the backup image

Generally, the parameters of the operation are similar to the same parameters of the Backup partitions operation.

Assign properties of the backup image. You can control:

· archive splitting

· compression level

· encryption parameters

· archive description

· image location

· the part of hard disk contents to be saved.

Initially the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.4.3 Description of parameters

Parameters of the Backup the Hard Disk operation are similar to the parameters of the Backup the Partition operation (see Description of the Backup parameters ). There are only differences:

· There is the ability to backup either all contents or just bootable structures of the disk.

· The image must be located either on another hard disk or on removable media.

4.4.3.1 Hard disk section

Here one can select the part of the disk contents that will be placed to the backup image. Available alternatives are:

MBR | Hard Disk Manager will store only the Master Boot Record (MBR) of the hard disk. MBR contains the important information about the disk layout.
First track | Hard Disk Manager will store only the 0th track of the hard disk. The 1st track may contain the executable code of the used boot manager or the disk overlay software that is essential for correct accessing contents of your hard disk.
All | Hard Disk Manager will store all usable contents of the hard disk.

4.4.4 Running the backup of the hard disk

The real execution of the referring to above operation is similar to the backup operations with partitions.

After assigning all parameters to desired values press the OK button bottom the dialog Burn an image of a partition.

4.4.5 Backup locked Hard Disks

The locked hard disks are ones containing locked partitions within (see Glossary ). In particular, the hard disk that contains the Windows system partition is the locked one. Hard Disk Manager requires to reboot to the single-tasking environment to handle a locked partition or a locked hard disk:

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

At the beginning of the operation, Hard Disk Manager checks the lock state of all on-disk partitions. In the case of any partition is locked, the program reboots in the appropriate single-tasking environment and executes the operation.

The performance of the Backup of the Hard Disk operation is similar to the Backup of locked partitions operation that is described in the chapter Backup system and locked partitions .

4.4.6 Comments

4.4.6.1 Supported partitioning schemes

Partitioning scheme is generally the format of disk partitioning information (see Glossary for more details).

The current version of Hard Disk Manager effectively supports only hard disks that use the DOS partitioning scheme. Still, the program can be configured to somehow support hard disks that contain other partitioning schemes.

Hard Disk Manager uses the knowledge of the structure of the DOS partitioning scheme to recognize partitions and their parameters.

4.4.6.2 How to make images of hard disks with unknown partitioning schemes

If Hard Disk Manager works in the sector-to-sector copying mode, it saves all sectors to the image of the hard disk. The program bypasses the analysis of used partitioning scheme, filesystem types and filesystem consistency of all partitions. The use of the Compression function will reduce the image size.

How to backup hard disks with unknown partitioning schemes:

1. Switch the program to the sector-to-sector copying mode:

General > Settings > (page) General > Copy all sectors 1:1

3. Initiate the Backup Hard Disk operation

Hard Disk > Create an image of hard disk…

4.4.6.3 Contents of the disk image

Hard Disk Manager uses the knowledge of the structure of the DOS partitioning scheme to recognize partitions and their parameters. In the case of all contents are selected to be imaged, the program stores the entire 1st track of the hard disk, the complete information about the layout of all partitions and all contents of all partitions.

Partitions of unknown types are saved in the sector-to-sector copying mode. Partitions of known file system types are stored in the fast copying mode.

With each partition, Hard Disk Manager completely stores the bootable code (if exists), the structure of directories, contents of all files, information about files allocation, all file attributes including security information, encryption, compression and access quotas (if available).


4.5 Burn hard disk images on CD/DVD

This chapter explains how to burn backup images of hard disks directly on recordable and rewritable CD and DVD discs in Windows environment.

4.5.1 Overview

Generally, this function is similar to the function Burning partition images on CD/DVD . Hard Disk Manager supports the burning backup images to writable CD/DVD media. This feature is available only in Windows environment.

Note that in Windows 95, 98 and ME this function is not practically applicable to the system and locked hard disks. The reason is that Hard Disk Manager requires rebooting into DOS to process locked partitions in Windows 95/98/ME, but the burning hardware is generally unavailable in DOS environment.

In Windows NT, 2000 and XP Hard Disk Manager is able to burn images of both unlocked and locked hard disks. In the case of processing the system or locked hard disk, Hard Disk Manager uses the BlueScreen Component to complete the operation on the locked hard disks (see the section Backup locked Hard Disks ).

4.5.2 Initiating the operation

The actions you should be made are very similar to ones required for initiating the Backup Hard Disk operation.

Step 1. Select the hard disk you want to store on CD/DVD

There are two variants:

· Select the hard disk in the Tree Layout panel or in the UDP Layout panel.

· Or select any partition that belongs to the hard disk of interest.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Hard disk > Burn an image of hard disk to CD

· In the case of the hard disk is selected, call the popup menu for the selected partition in any of layout panels (click right mouse button)
then select the menu item

Burn an image of hard disk to CD

· In the case of the hard disk is selected, press Burn button on the Main Toolbar.

Step 3. Define parameters of the operation

Assign properties of the Burn image operation. You can control:

· compression level

· encryption

· archive description

· usable CD burning drive

· the part of contents disk to be saved

Initially the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.5.3 Description of the Burn Image parameters

Parameters of the Burn Image operation are similar to the parameters of the backup operation (see Description of parameters ). There are only two differences:

· The image should be located on some CD/DVD burning device

· The user cannot change the splitting parameters.

4.5.3.1 Common parameters of the Burn Image operation

The general parameters of the Burn Image operation are described in details in the chapter Burning partition images on CD/DVD .

Generally, the parameters for this operation coincide with the same parameters of the Backup Partition operation. See the chapter Description of the Backup parameters for the detailed explanation.

Encryption settings
Enable encryption |  | Set the checkmark ON to enable ciphering image contents and protect accessing to the image by the password.
Enter password Confirm password |  | With enabling the encryption, provide the password to be used to access the image. Note: the program does not allow "empty" passwords.
Compression settings
Compression level |  | Change the compression level, in the case of you wish to use the value other than the default one.
Archive label
Archive label |  | You can associate a short descriptive text with the image. It may be helpful when selecting backup images.
Hard disk
All | Hard Disk Manager will store all contents of the hard disk.
MBR | Hard Disk Manager will store only the Master Boot Record of the hard disk.
First track | Hard Disk Manager will store only the 0th track of the hard disk.
Image location
Image file | Enter the filename of the backup image. The default filename contains the disk number and the drive letter (or the partition number).
Drive | Select the writable CD drive that should be used to burn discs. The pull-down list contains available CD/DVD-R(W) devices.

4.5.4 Running the Burn Image operation

Generally, the performance of the Burn Image of hard disk operation is same as the performance of the Burning images of partitions operation.

After assigning all parameters to desired values press the OK button bottom the dialog Burn an image of hard disk.

4.5.5 Comments

The BlueScreen Component of Hard Disk Manager that is used in Windows NT, 2000 and XP supports the Burn Image of hard disk operation. The operation is described in the chapter Burn Image of locked and system hard disks .

4.5.6 Burn Image of locked and system hard disks

Generally, Hard Disk Manager needs to reboot the computer in the single-tasking mode to complete the operation of Burning an Image of the locked or system hard disk. As it mentioned in the chapter Executing operations , Hard Disk Manager uses the Startup Bluescreen service in Windows NT, 2000 and XP. In Windows 95 and 98, the program uses the "true" DOS session. In Windows ME, the program requires to reboot the computer from the DOS bootable diskette.

Unfortunately, Hard Disk Manager cannot use CD/DVD burning hardware in DOS. For this reason, you are unable to use the Burn Image function for the locked and system hard disks in Windows 95, 98 and ME.

In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called startup Bluescreen service to operate the locked hard disks. Generally, the execution of the operation is very similar to the burning an image of the Extended Partition (see About processing locked Extended Partitions ).


4.6 Restore Partition from Backup Image

This chapter explains how to restore data from previously made backup images under various conditions.

4.6.1 Overview

Restoration from image is another primary function of the Hard Disk Manager that is complementary to the Backup operation (see Backup separate partitions ).

The backup image includes contents of all files and file system metadata. The program keeps all information associated with files including the exact structure of directories, location of files on the disk, security information, access quotas and so on. After the restoration, the partition becomes in the pre-backup state.

Take into account that new data added to the partition after making the backup image, will be lost after the partition restoration.

The implementation of this function varies in some cases:

1. In Windows, the operation differs for unlocked and locked (system) partitions. To process locked partitions, the program need to reboot the computer.

2. The processing of locked partitions differs for Windows 95/98, Windows NT/2000/XP and Windows ME.

4.6.1.1 Restrictions

1. Hard Disk Manager allows restoring the image over the existing partition. In this case, the following constraint should be taken into account: Hard Disk Manager is unable to use the image that is located (or holds some of its volumes) on the partition being restored.

2. The program does not allow restoring the image of the hard disk over the partition or over the block of free space.

To inspect the image type and the image contents, use the function Show Archive Info .

4.6.2 Initiating the operation

Previous versions of Hard Disk Manager traditionally expect that a user chooses a partition or a block of free space and then selects an operation for a chosen object.

Current version of Hard Disk Manager allows also initiating the Restore function as an operation over a backup image. Sections below describe both procedures.

4.6.2.1 A traditional procedure of restoration over a partition or free space

Step 1. Select a place for the partition to be restored.

Select some partition or a block of free space in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions.

If the block of free space is selected, Hard Disk Manager can fit the restored partition within the bounds of the selected block only.

If the partition is selected, Hard Disk Manager can fit the restored partition within the bounds of the selected partition plus right and left adjacent blocks of free space.

See the section How Hard Disk Manager evaluates space available for restoration of partitions for more details.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Restore partition from image…

· Call the popup menu for the selected partition, then select the menu item:

Restore partition from image…

· Press Alt+R key combination

· Press Restore button on the Main Toolbar.

Step 3. Select an image that contains the required partition

Just after calling the Restore operation the Open File dialog appears. Select some backup image to restore the partition from.

You are able to select any file from any mounted local drive or mapped network drive. In addition, you can select files on unmounted partitions on local hard drives.

In the case of the image of hard disk is selected, the program generates the error message about the inappropriate image type (see Restrictions section). Use the Selective partition restore function to restore a single partition from the image of hard disk or the image of the Extended Partition.

By default, the program displays only .PBF-files that are the primary files of the referential backup archives. Generally, there is the ability to restore selected partitions from the multi-partition archives (such as hard disk images and Extended Partition images). The preferred way is to use the function Selective partition restore. However, you are able to use the referring to above Restore partition function for this purpose:

1. Change the filtered files type in the Files of type pull-down list from "Hard Disk Manager Image (*.pbf)" to "All files (*.*)". The list of files should display all files.

2. Select files having the type (i.e. file extension) .P00, .L00, .E00. These files correspond to partitions that are included to the multi-partition archives:

o        .P00 refer to the stored Primary partition.

o        .L00 refer to the stored Logical partition.

o        .E00 refer to the stored Extended partition.

Step 4. Define more accurately the future location and size of the restored partition

1. First, Hard Disk Manager checks the image type. In this function, the program admits only images of single partitions and images of Extended Partitions. In the case of incorrect image type, the error message appears.

2. Next, Hard Disk Manager checks that the selected image does not contain any of its volumes on the targeted hard disk. The error message appears in the case of violation this restriction.

3. In this situation, one should either select another image or move volumes of the image to another partition, another hard disk or to removable media.

4. Next, Hard Disk Manager evaluates disk space available for restoration of the selected image (see How Hard Disk Manager evaluates space available for restoration of partitions ). In the case of the selected location and selected partition do not meet the requirements; Hard Disk Manager displays the error message.

You should select another image to restore on the selected partition.

5. Next, the program displays the Restore partition dialog. This window displays parameters of a partition being saved in the selected backup image.

In the Archive info section, the program displays: file system type, capacity, used & free space, archive label.

In the Set size and position of new partition section, the program displays the future location of the restored partition. Here, you are able to change the final location and size of the restored partition.

The functionality available in the Restore partition dialog is described in the section Defining the location and size of the restored partition . The rules that Hard Disk Manager uses to estimate the available disk space are described in the section How Hard Disk Manager evaluates space available for restoration of partitions .

4.6.2.2 An alternative procedure of restoration of an image

An alternative way to initiate the function is to perform the Restore operation over a selected backup image. The program keeps the database of recently used backup images.

Step 1. Select a backup image to be restored

Select some image of a partition in the List of Backup Images. The program displays a type of an image in the first column.

Step 2. Select the operation to perform

Call the popup menu for the selected image, and select the menu item:

Restore archive…

Step 3. Select a location the image should be restored over

The program displays the window "Select target object to restore from archive". This dialog allows selecting destination hard disk and partition for the restoration operation:

The Disk pull-down list allows selecting a hard disk where the image should be restored to.

The UDP control placed below displays the current layout of the selected hard disk; it can be used for selecting a desired location for the restored partition. The List of Partitions on the bottom duplicates this functionality.

After selecting a location, press OK button to continue restoration.

Step 4. Define more accurately the future location and size of the restored partition

Step 5. Apply the operation

Last two steps are the same as in the first case. See the previous section A traditional procedure of restoration for the detailed explanation.

4.6.3 Defining the location and size of the restored partition

The Restore partition dialog provides the ability to fully control the resulting position and the size of the restored partition. The program determines the range of disk space available for placing the restored partition. Briefly:

· In the case of a block of free space was targeted, Hard Disk Manager allows to locate the restored partition within the bounds of the selected block of free space.

· In the case of a partition was targeted, Hard Disk Manager allows to locate the restored partition over the partition and the enveloping blocks of free space. In this case, the initial location of the restored partition coincides with the location of the targeted one.

In any case, the capacity of the restored partition must not exceed the size of the selected range of disk space.

New Size, Free Space Before, Free Space After

You can move the restored partition and change its size either by using the UDP control that is located in the window or by using three spinner controls placed on the bottom:

· The Free space before spinner control defines the position (in Mb) of the restored partition relative to the beginning of the available range of disk space.

· The New size spinner control defines the size (in Mb) of the restored partition.

· The Free space after spinner control defines the amount of trailing free space (in Mb) at the end of the available range of disk space.

The restrictions the program takes into account are those:

· The partition must totally fit in the range of available disk space.

· The partition size must be greater than the amount of used space.

The UDP control and spin controls are synchronized, the changing of any of these elements affects on all other ones.

How the spin controls behave:

Free space before | Moves the beginning of the partition (left edge), preferably with keeping the partition size.
New Size | Changes the size of the partition, preferably with keeping the starting position (left edge).
Free space before | Moves the end of the partition (right edge). On increasing the value, it (preferably) keeps the partition size. On decreasing the value, it (preferably) keeps the starting position (left edge) so that the partition expands.

There are rules that take effect in the partition resizing.

4.6.4 Running the restore operation

After assigning all parameters to desired values press the OK button bottom the dialog Restore partition from image:

· The operation will be immediately executed, in the case of disabling the virtual operations

· Otherwise, the operation will be placed to the List of Pending Operations for future execution.

The feature is described in the section Executing operations .

To immediately execute pending operations, just press the Apply button on the Virtual Operations Toolbar. To permanently enable/disable the virtual execution of operations, change the program Settings .

During the real execution of the operation, the Operation Progress window appears. The program displays the detailed statistics of the operation.

For the Restore partition operation, the suboperation is the reading one volume of the image. In the case of using the single-file image, no suboperation statistic is displayed.

In the case of using multivolume image, the program may pause and display the Open File dialog to ask the user for the next volume filename and location.

Note: this is not the usual behavior of the program. The program pauses the restoration only in the following cases:

· some volumes of the image were moved or renamed

· volumes are located on removable media

4.6.5 Comments

4.6.5.1 How Hard Disk Manager evaluates space available for restoration of partitions

The Restore partition dialog provides the ability to fully control the resulting position and the size of the restored partition. The program determines the range of disk space available for placing the restored partition:

1. In the case of a block of free space was aimed for placing the restored partition, Hard Disk Manager allows to locate the target partition within the bounds of the selected block of free space only. The capacity of the restored partition must not exceed the size of the selected block of free space. In addition, in this case the program selects the beginning of the free block as the initial location of the restored partition.

2. In the case of an existing partition was aimed, Hard Disk Manager includes to the available range the selected partition, the left adjacent block of free space (if exists), and the right adjacent block of free space (if exists). The capacity of the restored partition must not exceed the size of the summary range of disk space. The initial location of the restored partition coincides with the beginning of the selected partition (if the restored partition can fit to the range). Otherwise, Hard Disk Manager moves forward the initial location.

3. The range of available disk space should be greater than the initial size of the restored partition. It is the primary condition of the ability of restoration.

4.6.5.2 How to avoid bad sectors during the restoration

In the case of restoring data to the bad sectors, the resulting partition may become corrupted. To avoid loosing data because of bad sectors, select the surface test to the value other than None.

(menu) General > Settings… > (page) General > Surface test

In this case, the program performs the surface test prior to the data restoration over the range of disk space that will be occupied by the restored partition. In the case of detecting bad or unreliable sectors, the program will mark them bad and will not place data to those sectors.

The additional surface test noticeably increases the overall time required to complete the operation, also the algorithm that bypasses bad sectors significantly slows down the performance. Use this feature only in the case you suspect that there are bad sectors in the location you have chosen for the partition restoration.

4.6.6 Restoration of locked partitions

Hard Disk Manager allows restoring the image over the existing partition. As the matter of fact, Hard Disk Manager deletes the existing partition prior to the real restoration of data. Still, there could be a situation when the targeted partition is modified by another program, e.g. some file is edited. In this case, Hard Disk Manager is unable delete partition or uniting the old partition structure being restored with the new data.

To avoid the damage of data consistency, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

4.6.6.1 Restoration over locked partitions in Windows NT, 2000 and XP

In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase to operate the locked partitions:

1. Before starting the operation, the program checks whether partition is locked or not.

2. If the partition appears is the locked one, the program asks for reboot the system. Press OK button to reboot the system and complete the operation, press Cancel button to abort the operation.

By default, the program pauses the execution until the user makes the choice.

3. The program silently schedules the BlueScreen Component to run at next Windows startup and to execute the required operation.

4. Then the program reboots the computer.

5. At the next system boot-up, the Bluescreen Component executes the operation in place of the Windows-based version. The BlueScreen Component will display the operation progress in the console-like style.

6. In the case of using the multivolume image having some volumes:

o        moved to another location

o        placed on removable media (such as CD/DVD-ROM)

7. the program may fail to find automatically the sequel of the multivolume image. In this case, the program asks the user for the filename of the next volume. The most bottom lines of the console output will be the following:

Get new filename of the file for subsequent reading.
(Type exit to cancel operation.)
D:\Img_1_8.p01

8. You should choose one of the following actions::

o        Change the filename to proceed with another filename.

o        Or clear the filename and type the word "exit" to abort the operation.

9. By default, Hard Disk Manager suggests the filename that is registered in the archive. But the problem is that the program has failed to open the volume (otherwise it would continue working without pausing). At this moment, the user must guess right the filename to continue with the restoration.

10. After the BlueScreen Component completes the operation, the Windows session begins and the Windows-based version of Hard Disk Manager comes up.


4.7 Selective partition restore

The function of Selective partition restore provides the ability to restore one or several partitions from multi-partition images in one operation.

4.7.1 Overview

The Selective partition restore is only the extended variant of the function Restore Partition from an Image function. The only difference is that it provides more convenient mechanism of multiple partitions restoration from multi-partition images: a user can restore several partitions in one operation, and each restored partition can be resized during the restoration. In fact, the Selective Restore function consists of multiple restoration suboperations.

Take into account that Hard Disk Manager does not combine new data with restored ones. It irrevocably destroys the existing partition that is targeted for the selective restoration of saved partitions.

4.7.1.1 Restrictions

Hard Disk Manager allows restoring the image over the existing partition. In this case, the following constraint should be taken into account: Hard Disk Manager is unable to use the image that is located (or holds some of its volumes) on the partition being restored.

4.7.2 Initiating the Selective Restore operation

Step 1. Select a block of free space to restore partitions to

For the Selective Restore function, either a block of free space or an existing partition can be targeted as the future location of restored partitions. The targeted space can be selected either in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. See the section How Hard Disk Manager evaluates space available for restoration of partitions to understand the rules Hard Disk Manager follows.

Step 2. Select the operation to perform

Variants:

· Select from the main menu:

Partition > Selective partition restore

· Select from the main menu:

Hard disk > Selective partition restore on Hdd

· Call the popup menu for the targeted partition and select the menu item:

Selective partition restore

Step 3. Select an image that contains required partitions

After calling the Selective Restore operation, the Open File dialog appears. Select some backup image to restore a partition.

The Selective Restore function is applicable to images of hard disks, Extended Partitions and single partitions. You are able to select backup images from mounted local drives, mapped network drives and unmounted partitions on local hard drives.

After the image has been selected, the program opens the Selective Partition Restore dialog. It displays the layout of partitions included in the selected image, indicates most common parameters of partitions (type, size and file system) and provides the functionality of image checking and exploring, restoring partitions, changing size and location of restored partitions. The functionality of the dialog is described in the section Description of the Selective Partition Restore dialog functionality .

Step 4. Select a partition being restored

Select the desired partition in the Archive section (either in the Tree Layout, or in the UDP Layout, or in the List of Partitions). The Archive Tree Layout and Archive List of Partitions display only partitions and skip blocks of free space. The UDP Layout demonstrates the real structure of stored partitions.

Step 5. Select a desired location for restored partition

First, select a block of free space in the Destination section (either in the UDP Layout or in the List of Partitions).

If the selected partition can be restored to the selected block of free space, the button Restore partition becomes enabled. Otherwise, this button remains disabled (the button label remains grayed and recessed).

Press the Restore partition button to schedule the restoration of the selected partition in the to-do list.

Step 6. Change the size and location of the restored partition

You are allowed to resize and move the restored partition(s) within the available range of disk space:

· Either use drag-&-drop technique in the Destination UDP Layout.

· Or select a restored partition in the Destination List of Partitions and then press the button Resize/Move Partition in the bottom of the window.

This functionality is described in the section Description of the Selective Partition Restore dialog functionality .

Step 7. Repeat two previous steps for other restored partitions

The program allows restoring multiple partitions within the single operation. The steps 5 & 6 should be repeated for each partition to be restored .

Note: You must definitely select both the partition to be restored (in the Archive panel) and the targeted block of free space (in the Destination panel).

4.7.3 Description of the Selective Partition Restore dialog functionality

The Selective Partition Restore dialog displays the layout of partitions included in the selected image and indicates most common parameters of partitions such as type, size and file system type.

The window is divided in two sections:

The Archive section reveals the layout of stored partitions with three panels: the Archive Tree Layout, the Archive UDP Layout and the Archive List of Partitions. You can check the archive integrity, browse contents of imaged partitions and select partitions to be restored.

The Destination section displays the future layout of restored partitions with its own Destination UDP Layout and Destination List of Partitions. The section provides re-partitioning functionality that may be appropriate: the restored partitions may be deleted, resized and moved within the available range of the disk space.

In fact, the Selective Partition Restore function consists of multiple suboperations, so it supports the own list of suboperations. The Destination section provides the ability to edit this list.

4.7.3.1 The functionality of the Selective Partition Restore dialog

All the dialog functionality is available through operation buttons (the redistribution of restored partitions functionality is also available through drag-&-drop technique, see UDP control activity ):

Archive panel: Check archive integrity

Press this button to validate the backup image. The function is described in the chapter Check archive integrity .

Archive panel: Browse archive

Press this button to run the built-in tool named Image Explorer. The utility allows to browse the backup image, including the browsing contents of separate partitions having types FATxx, NTFS or Ext2/3 with the ability to extract separate files and directories from the backup image.

The features and functionality of the Image Explorer utility is described in the chapter Supplementary utilities.

Archive panel: Restore partition

Press this button to schedule the restoration of the partition that is selected in the Archive panel to the block of free space that is selected in the Destination panel.

Note: this button is enabled only in the case of the user really selects in both Archive panel and Destination panel.

Destination panel: Resize/Move partition

Press this button to open the Resize/Move dialog for the selected partition.

Note: the button is enabled only for restored partitions in the Destination panel. The partition must have the known file system type (see Known file systems for more details).

The functionality of the Resize/Move dialog is similar to the functionality of the Restore partition dialog. This dialog provides the ability to fully control the resulting position and the size of the selected restored partition.

The final capacity of the restored partition cannot exceed the size of the selected range of disk space and cannot be less than the amount of used space.

The program determines the range of disk space available for placing the restored partition (see How Hard Disk Manager evaluates space available for restoration of partitions ).

Destination panel: Delete partition

Press this button to delete the restored partition.

Note: The button becomes enabled only in the case of selecting some restored partition in the Destination panel.

As the matter of fact, this function simply removes the deletable partition from the list of restorable partitions – the program won't make idle actions of restoration and further deletion of a partition.

Destination panel: Create Extended Partition

Press this button to create the Extended Partition within the range of available disk space.

Note: the function is available only under the following conditions:

· A user has selected a block of free space in the Destination panel.

· There is no Extended Partition on the targeted hard disk.

· The total amount of Primary partitions is less than four (4).

When the button Create Extended Partition is pressed the program creates the Extended Partition over the selected block of free space.

The last two conditions are the common limitations on the ability to create the Extended Partition.

The total amount of primary partitions is fundamentally limited to 4, and the creation of the Extended Partition allows placing more partitions on the hard disk.

Destination panel: Undo last

Press this button to cancel the latest operation that was scheduled in the Selective Partition Restore dialog. The function is similar to the Undo operation for the global List of Pending Operations (see the section Virtual operations ).

Destination panel: Undo all

Press the button to cancel the all operations that was scheduled in the Selective Partition Restore dialog. The function is similar to the Undo All operation for the global List of Pending Operations (see the section Virtual operations ).

4.7.4 Running the Selective Restore operation

After assigning all parameters to desired values, press the OK button bottom the dialog Selective Partition Restore.

For the Selective Partition Restore operation, the suboperation is the restoration of one partition from the image.

In the case of using multivolume image, the program may pause and display the Open File dialog to ask the user for the next volume filename and location. The program behaves in this fashion only in the case of locating volumes are on removable media or in the case of some volumes of the image were moved or renamed.

4.7.5 Comments

4.7.5.1 Conditions on the size of the block of free space

As it was mentioned in the section How Hard Disk Manager evaluates space available for restoration of partitions , Hard Disk Manager requires the partition being restored must fit the targeted range of disk space.

Concerning the Selective Partition Restore operation, in every iteration each restored partition must have the initial size less than the size of the targeted block of free space.

The picture placed below demonstrates such a kind of mistaken situations:

The selected FAT32 partition is almost empty, and it is less than the overall size of the range of available space. Still, its size exceeds the size of currently selected block of free space.

In this situation, Hard Disk Manager cannot restore the selected FAT32 partition.

To bypass the limitation, one can change the order of restoration of partitions:

1. The FAT32 partition should be restored first. It also must be squeezed and moved to the end of the range of disk space.

2. Next, restore and move the Ext2 partition (its initial size meet the restoration conditions).

3. Restore and resize the NTFS partition (its initial size meet the restoration conditions).


4.8 Restore Hard Disk from Backup Image

This chapter explains how to restore hard disks from previously made backup images under various conditions.

4.8.1 Overview

In terms of Hard Disk Manager, a "restoration of hard disks" means retrieving all informational components of a hard disk: all partitions, the Partition Table and bootstrap code. During the operation, the program destroys all previous disk contents and replaces them with saved ones.

Any changes in the disk layout will be irreversibly lost after the disk restoration.

New data, which are added to any partition after making the backup image of the hard disk, will be irreversibly lost after the disk restoration.

Note, if your aim is only add partitions from a backup image to the currently used hard disk, with keeping some of its contents, you should use Selective Partition Restore function instead of Restore Hard Disk.

Hard Disk Manager supports several kinds of backup images:

· Images of single partitions,

which contain only data from one Primary or Logical partition.

· Images of multiple partitions,

e.g. images of Extended Partitions.
Such images include multiple subordinate images.

· Images of the 1st track of a hard disk,

which include only 1st track saved (most OS-independent boot managers occupy 1st track; with this option, it's possible duplicating boot managing software).

· Images of MBR sector,

which include only MBR sector saved.

· Images of entire hard disk.

These images include MBR, 1st track, Partition Table and all on-disk partitions. These images consist of multiple subordinate images.

In addition, the program displays type of contents for backup images, which are included in the List of Backup Images.

4.8.1.1 Restrictions

In the case of restoration the hard disk, the following constraint should be taken into account:

· Hard Disk Manager is unable to use the image that is located (or holds some of its volumes) on partitions, which belong the targeted hard disk.

4.8.2 Initiating the operation

Previous versions of Hard Disk Manager traditionally expect that a user chooses a hard disk and then selects an operation for a chosen object.

Current version of Hard Disk Manager allows also initiating the Restore function as an operation over a backup image. Sections below describe both ways.

4.8.2.1 A traditional procedure of restoration over a hard disk

With this way, the program allows restoring following objects:

· It can restore all disk contents from images of a hard disk;

· It can restore 1st track from images of 1st track;

· It can restore MBR bootstrap code from images of MBR

In the traditional restoration procedure, the program does not allow using images of partitions, in order to exhibit the behavior compatible with old versions of the program.

Step 1. Select the hard disk to be restored

There are two variants:

· select a hard disk in the Tree Layout panel or in the UDP Layout panel.

· select any partition that belongs a hard disk of interest.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Hard disk > Restore hard disk from image…

· Press the Ctrl+R key combination.

· In the case of a hard disk is selected, Press Restore button on the Main Toolbar.

· In the case of a hard disk is selected, call the popup menu for the selected partition in any of layout panels (click right mouse button)
then select the menu item

Restore hard disk from image…

Step 3. Select an image that should be used for hard disk restoration

The program displays the Open File dialog in order that a user selects an image to be used for restoration.

It is allowed selecting files from any mounted local drive, on mapped network drive and on unmounted partitions from local hard disks.

At this stage, the program can generate following error messages:

· In the case of the selected image is located on the hard disk that was selected for restoration, the program displays the error message.

· In the case of the selected image contains too much usable data, which cannot went into the selected hard disk, the program displays the error message.

In any of these cases, one should choose another image for disk restoration.

Step 4. Inspect contents of the hard disk image

The program displays the Restore Disk from Image dialog:

A user can see properties of saved hard disk configuration:

· amount of partitions

· type, file system and size for each partition

· image properties (compression, encryption, label etc)

· information about hard disk geometry.

4.8.2.2 An alternative procedure of restoration of an image

An alternative way is to perform the Restore operation over a selected backup image. The program keeps the database of recently used backup images (see the chapter Archives List Panel ).

With this way, the program allows restoring following objects:

· It can restore all or selective partitions from images of a hard disk;

· It can restore 1st track from images of 1st track;

· It can restore MBR bootstrap code from images of MBR;

· It can replace current disk layout by a single partition restored from images of partitions.

· It can replace current disk layout by selective partitions restored from multi-partition images

Step 1. Select a backup image to be restored

Select an image in the List of Backup Images. The program displays a type of an image in the first column.

Step 2. Select the operation to perform

Call the popup menu for the selected image, and select the menu item:

Restore archive…

Step 3. Select an object that should be restored from the image

The program displays the window "Select target object to restore from archive":

This dialog allows selecting destination object for the restoration. The detailed description is given in the next section Description of the dialog Select target object to restore .

Step 4. Inspect image contents and select ones to be restored

The program displays the Selective Partition Restore dialog in order a user is able customizing disk layout that should be restored.

The functionality of this dialog is same with the Selective partition restore function.

4.8.2.3 Description of the dialog Select target object to restore

Disk

This pull-down list allows selecting a hard disk, which contains a targeted object.

The UDP control and the List of Partitions, which are placed below, display contents of the selected hard disk that can be restored from the selected backup image. Either of these controls can be used for selecting a restorable object.

The table below exhibits rules, which Hard Disk Manager follows:

Image type | Which disk components:
 | Are displayed | Can be restored
HDD | · Hard disk · Partitions | · Entire hard disk · Selective partitions
Partition | · Hard disk · Partitions | · A disk with single partition · A selected partition
First Track | Hard disk | 1st track of the selected hard disk
MBR | Hard disk | MBR of the selected hard disk

4.8.3 Description of Restore Hard Disk dialog

In fact, the Restore Hard Disk dialog is very similar to the Show Archive Info one. It provides the following functionality:

· Confirm or cancel the operation

· Explore properties of saved objects

· Check integrity of the selected image

· Explore contents of saved partitions

Hereafter the brief description of available functionality:

Check archive integrity

Press this button for immediate performing the Check Archive Integrity operation.

This option allows making certain about usability of the selected backup image prior the real execution of the operation.

Browse archive

Press this button to browse the archive contents with using the Image Explorer built-in tool.

Image Explorer allows exploring files and directories from partitions, which are saved in the image, opening files in the read-only mode and extracting separate directories and files from the backup image.

Archive label and archive options

The grayed controls exhibit information about the selected archive: the descriptive text (Archive Label), whether or not Compression, Encryption, Splitting were implemented to the archive.

The upper part of the window

contains the group of panels (List of Partitions, UDP, Tree-Layout), which represent the layout of disk contents saved in the selected image. Each of these panels can be used for selecting disk contents in order to inspect its properties.

The lower part of the window

displays properties of the selected object:

· In the case of a "hard disk" object is selected, the program displays properties of a saved hard disk (commonly named hard disk geometry see Glossary for more details):

Cylinders | Amount of Cylinders on the saved hard disk
Heads | Amount of Heads on the saved hard disk)
Sectors/Track | Amount of Sectors per Track on the saved hard disk
Total Sectors | The total amount of sectors on the saved hard disk

· In the case of a "partition" object is selected, the program displays properties of a selected partition:

File system | File system that is placed on the selected partition
Drive letter | --- not available for partitions from backup images ---
Volume label | Volume label of the selected partition; can be used for distinguishing partitions in the case of Selective Partition Restore.
Sectors/boot | Amount of sectors reserved for the bootable code on the selected partition. In fact, this information of least importance for most users.
Sectors/Cluster | Cluster Size value expressed in Sectors. Halve this value to get the Cluster Size value in Kbytes.
Size (capacity) | Capacity of the selected partition in bytes and Mbytes
Used space | Amount of usable data on the selected partition, percentage and the real value in Mbytes
Free space | Amount of free space on the selected partition, percentage and the real value in Mbytes

4.8.3.1 Restoring multivolume archives

Multivolume images consist of multiple files, which can be placed in different directories, on different disks and removable media.

When creating an image, the program saves information about location of volume of an image. Alternatively, during the restoration from a multivolume image, the program searches volumes on their original location for completing the process without user's intervention.

In the case of some files were renamed or moved to another location, the program pauses working and displays the Open File dialog in order to a user points next volume location manually.

Note: this is not a usual behavior of Hard Disk Manager. The program pauses the restoration only in the following cases:

o        some volumes of the image were moved or renamed

o        volumes are located on removable media

The program will automatically restore multivolume image in "unattended" fashion, in the following cases:

· All volumes of the image remain on their original locations, and all of them are placed on local hard disk(s).

· All volumes of the image are picked up in the same directory on a local hard disk.

4.8.4 Comments

4.8.4.1 How Hard Disk Manager evaluates the disk space required to restore the image of the hard disk

Hard Disk Manager uses the following rules of image appropriateness in the Restore Hard Disk function:

1. The program calculates the overall size of all primary partitions and the Extended Partition (if exists) that are saved in the image of the hard disk. Let's name it image size in this section.

2. The primary constraint is that the summary image size must not exceed the capacity of the targeted hard disk. Otherwise the program immediately cancels the operation:

3. If the targeted hard disk is larger than the one saved in the image, the program restores the hard disk from the image with keeping intact the position and size of all on-disk partitions. The residual disk space remains unpartitioned.

See the illustration below: the larger disk (Disk #1, 3.0Gb) is restored from the image of the smaller disk (Disk#2, 2.4Gb). The last 600Mb of disk space remains unpartitioned (i.e. this space does not belong to any partition):

4. If the targeted hard disk is less than the one saved in the image, but greater than the summary image size, the program restores the hard disk from the image with keeping intact only the relative order and size of all on-disk partitions. The blocks of free space will be proportionally squeezed.

See the illustration below: the smaller disk (Disk#2, 2.4Gb) is restored from the image of the larger disk (Disk #1, 3.0Gb). Primary partitions and the Extended Partition keep their sizes. The structure of the Extended Partition remains. Blocks of free space between primary partitions and the Extended Partition are squeezed with keeping the size proportion:

4.8.5 Restoration of locked hard disks

Hard Disk Manager allows restoring the image over the partitioned hard disk. This operation is very similar to the restoration of locked partitions (see the section Restoration of locked partitions ).


4.9 Copy Partition

This chapter explains how to copy single partitions that are placed on local hard disks under various conditions.

4.9.1 Overview

Copy is another primary function of Hard Disk Manager. The copying of partitions can be used for:

· Cloning "sample" partitions

· Making backup copies of working partitions

One can duplicate partitions to protect oneself from downtime in case of system malfunction. The partition can be copied back to the original place within a few minutes or can be used simply for copying separate files.

Hard Disk Manager allows to copy partitions of any type. Partitions of unknown file system types are always copied in the sector-to-sector copying mode, and both the copy and the original have the same size.

As for partitions of known file system types , the program provides the ability to copy them either in the fast copying mode or in the sector-to-sector mode. In addition, the possibility is given to automatically change the partition size during the copying process.

Hard Disk Manager duplicates all usable partition data including files, the exact structure of directories and file system metadata: location of files, security information, access quotas and so on.

The implementation of the Copy Partition function varies in some cases:

1. In Windows, the operation differs for unlocked and locked (system) partitions. To process locked partitions, the program needs to reboot the computer.

2. In turn, the processing of locked partitions differs for Windows 95/98, Windows NT/2000/XP and Windows ME.

4.9.1.1 Where original and duplicate partitions can be located

Currently, Hard Disk Manager only allows copying partitions that are located on non-removable local hard disks. Hard disks should be connected to IDE, SCSI or RAID controllers and should be available in the operating system (see Comments for more details).

The program allows copying partitions within the single hard disk and between local hard disks of types mentioned above in any combination. In particular, it is possible to copy partitions from IDE to SCSI disks and vice-versa.

The program allows copying primary partitions into the Extended Partition (so that a primary partition becomes a logical one). In addition, logical partitions can be copied outside the Extended Partition (so that a logical partition becomes a primary one).

4.9.1.2 Restrictions

Limitations in supported media

· The current version of Hard Disk Manager does not support removable hard disks such as USB, PCMCIA or LPT hard disks or FLASH cards.

· The program cannot copy partitions on remote hard disks. LAN, USB, LPT/COM and other type connections are not supported.

· Finally, the program does not allow to copy contents of formatted removable media as separate partitions on hard disks.

In addition, the significant restriction of the current version of Hard Disk Manager is that it supports only DOS partitioning scheme (see Glossary ).

Functionality limitations

Hard Disk Manager allows to copy partitions only to blocks of free space.

To copy a partition over another one, use the following method:

1. Delete the targeted partition

2. Select the partition that should be copied

3. Copy the selected partition to the block of free space.

4.9.2 Initiating the operation

The Copy Partition operation can be initiated in several ways that differ in their user friendliness and flexibility. According to your aims, you can choose either the fast method based on the drag-&-drop technique or the accurate method based on entering parameters in the Copy Partition dialog.

4.9.2.1 Using the drag-&-drop technique

The drag-&-drop technique is available only in case the virtual execution of operations is enabled in the Smart and Virtual Execution modes (see chapter Virtual operations ).

The drag-&-drop technique for the Copy Partition operation is supported in all layout panels (the Tree Layout panel, the UDP Layout panel and the List of Partitions):

· Select the partition you want to copy

· Press and hold the primary (=left) mouse button

· Then press and hold the Ctrl keyboard key

· Drag a partition to a block of free space

· Drop it to the desired position.

During the dragging a partition, the program indicates the availability of the operation for the current position:

The program is able to copy the partition to this place:

The program cannot copy the partition to this place:

See the Comments for more details about copying rules and constraints.

4.9.2.2 Drag-&-drop copying limitations

The drag-&-drop copying is only enabled in the Virtual Execution mode. See the section Virtual operations for more details. Remember, you can switch on/off the Virtual Execution mode from the program's Settings:

(menu) General > Settings… > (page) Virtual operations > Enable virtual operations

The drag-&-drop copying allows to copy a partition without changing its size (within the single operation).

4.9.2.3 Using the Copy Partition dialog

The Copy Partition dialog provides the full functionality of the Copy function: one can copy a partition to any available disk, set accurately any admittable position for the duplicate partition and define precisely its final size.

The actions you should make are similar to ones required for initiating other operations.

Step 1. Select the partition you want to copy

Select a partition in the Tree Layout panel or in the UDP Layout panel, or in the List of Partitions. In any case, the partition will be highlighted in all three panels. The function is not available for blocks of free space.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Copy partition…

· Call the popup menu for the selected partition in any of layout panels (click the right mouse button) then select the menu item:

Copy partition…

· Press the Alt+C keyboard combination

· Press the Copy button on the Main Toolbar.

Step 3. Define parameters of the operation

In the Copy Partition dialog, you can define the properties of the duplicate partition: targeted disk, position and size of the duplicate partition. The section Description of the parameters contains the detailed description of the dialog's functionality.

4.9.3 Description of the parameters

4.9.3.1 Copy partition dialog

Disk

Select the hard disk on which the duplicate partition should be placed.

After selecting the targeted hard disk, the program displays the current disk layout in the UDP control that is located in the Copy Partition dialog. The List of Available Places placed below contains only the list of free blocks (on the selected disk) that match the constraints on the disk space for copying partitions .

Initially, the List of Available Places includes only blocks of free space that are larger than or equal in size of the original partition.

If the List of Available Places remains empty, there is no appropriate place to copy the selected partition. Choose another hard disk for duplicating the partition.

Allow resize/move

Set this checkmark to allow the program to simultaneously change the size of the duplicate partition during the copying process. In Hard Disk Manager , this feature is named autoresize.

The state of the checkmark affects the List of Available Places and the available functionality of executing the operation (see Comments for more details).

If the checkmark is marked, the List of Available Places includes blocks of free space that are larger than the amount of data on the selected partition (see the picture below). The partition can fit additional free blocks in case it performs partition shrinking.

On the picture: the 2nd partition was selected to copy. Initially, it can be copied only to the logical block of free space. After resize/move enabling, the selected partition can also be copied to the primary block of free space (because this free block is larger than the amount of on-partition data).

Place at beginning of free block
Place at end of free block

These radio buttons allow fast aligning of the partition to the right or the left edge of the selected block of free space.

When the Allow resize/move checkmark is deactivated, the position of the duplicate partition is selected.

In case the Allow resize/move checkmark is marked, the program ignores the state of these radio buttons but uses the Resize/Move Partition dialog for defining the position and size of the duplicate partition.

The List of Available Places

Finally, select an item in the List of Available Places. The program will copy the partition to the selected block of free space.

4.9.3.2 Resizing & moving the duplicate partition

In case the Allow resize/move checkmark is marked, the program automatically runs the Resize/Move Partition dialog to accurately define the position and size of the duplicate partition.

Use three spinner controls or the drag-&-drop technique over the UDP control to locate and change the size of the duplicate partition.

The UDP control and spin controls are synchronized, and thus when changing any one of these elements it affects all other ones as well.

Behavior of spin controls:

Free space before | Moves the beginning of the partition (left edge), preferably maintaining the partition size.
New Size | Changes the size of the partition, preferably maintaining the starting position (left edge).
Free space before | Moves the end of the partition (right edge). On increasing the value, it (preferably) maintains the partition size. On decreasing the value, it (preferably) maintains the starting position (left edge) so that the partition expands.

There are rules that affect the partition resizing. See the section How Hard Disk Manager evaluates space available for partition copying for more details.

4.9.4 Comments

4.9.4.1 How Hard Disk Manager evaluates space available for partition copying

In case of copying a partition without changing its size, the program uses the following rules when placing the duplicate partition:

For partitions that are copied in the sector-to-sector mode:

1. The program always keeps the partition size. The resizing is not available.

2. The starting position of the partition (the left edge) is aligned to the boundary of the corresponding cylinder, in accordance with the rules of the DOS partitioning scheme.

3. The ending edge remains "as is". In particular, it can become unaligned to the boundary of the corresponding cylinder (for example, after copying the primary partition to the Extended Partition or after copying the logical partition outside the Extended Partition).

For partitions of known types that are copied in the fast copying mode:

1. The beginning and ending edges of the duplicate partition are aligned in accordance with the rules of the DOS partitioning scheme:

ð Ending positions of all partitions are aligned to the end of corresponding cylinders.

ð Starting positions of logical partitions are aligned to the second track (track #1) of corresponding cylinders.

ð The beginning of the most first primary partition, which begins from the cylinder#0, is aligned to the track #1.

ð Starting positions of other primary partitions are aligned to beginning of corresponding cylinders.

In case of copying a partition without changing its size, the program keeps the amount of cylinders that a partition holds. So that:

ð Primary partitions are slightly reduced when they have been copied to the Extended Partition.

ð Logical partitions are slightly expanded when they have been copied outside the Extended Partition.

In case of copying a partition and simultaneously changing its size, the program uses the following rules for placing the duplicate partition:

1. The partition boundaries are aligned in accordance with the rules of the DOS partitioning scheme.

2. The size of the partition can be selected between the following values:

ð It cannot exceed the size of the selected block of free space

ð It must be larger than the on-partition used space.

ð The used space is estimated as the summary size of clusters that are used by files, directories and file system metadata.

The program tries to keep important partition parameters such as the File system Type and the Cluster Size intact where possible.

Thus, the program does not change these partition properties for NTFS and FAT32 partitions within the large range of partition size values.

This is not so with FAT16 partitions: the doubling of the partition size usually requires the Cluster Size doubling. Hard Disk Manager automatically performs a cluster size modification when changing the partition size.

In addition, the size of FAT16 partitions is limited to the value of 2GB. Windows NT 4.0 supports FAT16 partitions up to 4GB in size (in this case the Cluster Size value is 64K). Unfortunately other operating systems do not support 64K cluster size. Hard Disk Manager supports the 64K cluster size (see Settings overview ).

4.9.4.2 Converting FAT16 to FAT32 during the automatic resizing

FAT16 partitions are limited to the value of 2GB (see comments above). Nevertheless, Hard Disk Manager enables the expanding of FAT16 partitions over the 2GB boundary. In fact, the program can automatically convert the FAT16 file system to FAT32. In case such conversion is required, the program displays the warning message.

There is the ability to inhibit this warning (see chapter Settings overview, section General settings ):

(menu) General > Settings… > (page) General > (checkmark) Convert FAT16 to FAT32 automatically

In this case, the program automatically converts FAT16 partitions to FAT32 without warning.

4.9.5 Copying locked and system partitions

Hard Disk Manager allows to copy locked and system partitions. In case other software or the operating system modifies contents of the partition being copied, the program stops the operation as it cannot make the valid duplicate. To complete the copying of a locked/system partition, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

See the section Working with locked/system partitions and hard disks for more details.

4.9.5.1 Copying locked partitions in Windows NT, 2000 and XP

In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase to operate the locked partitions:

1. Before starting the operation, the program checks whether the partition is locked or not.

2. If the partition appears to be locked, the program requests a system reboot. Press the OK button to reboot the system and complete the operation. Press the Cancel button to abort the operation.

By default, the program pauses the execution until the user makes the choice.

3. The program silently schedules the BlueScreen Component to run the next Windows startup and to execute the required operation.

4. Then the program reboots the computer.

5. At the next system boot-up, the Bluescreen Component executes the operation in place of the Windows-based version. The BlueScreen Component will display the operation progress in a console-like style.

4.9.5.2 Copying locked partitions in Windows 95 and 98

Windows 95 and 98 include the limited version of the MS-DOS 7. The "true" DOS environment is available after booting to the DOS session (do not confuse this with the DOS prompt in the Windows session).

1. Initially, the program tries to copy the partition without rebooting to DOS. The operation continues until the end or until another software writes to the original partition.

2. When the original partition has been modified, the program asks for a reboot of the system. Press the OK button to reboot the system and complete the operation, press the Cancel button to abort the operation.

3. The application passes the task unnoticeable for the user to the DOS-based version of the Hard Disk Manager . Then the Windows-based application simply runs the DOS-based program.

4. The DOS-based version of the Hard Disk Manager is configured (through the .PIF-file) to run in the true DOS session. Windows should reboot to the DOS session.

5. The DOS-based program works in the unattended mode displaying the operation progress and statistics.

6. When the operation has been completed, the program reboots the computer.

4.9.5.3 Using the Hard Disk Manager diskette in Windows ME

The diskette-based version of Hard Disk Manager can work either in the interactive mode or in the batch mode. In both cases, it can copy partitions as in the Windows-based version.

There are some functionality limitations of the diskette-based version of Hard Disk Manager. These limitations arise from the unavailability of some services in the DOS environment that are available in Windows:

· In the unattended mode, the program unconditionally aborts the operation in case bad sectors are detected, missing the image file or similar problems. To obtain a user-friendly behavior of Hard Disk Manager, run the program in the interactive mode.

· The diskette-based version may not work with SCSI and RAID controllers that do not have their own BIOS.

· Remember that DOS may fail to access large partitions. For instance, MS-DOS does not work with partitions that are larger than 8GB.

· Your computer must have the ability to boot from floppy.

The preferred solution is to use the Paragon Recovery CD instead of the bootable diskette.


4.10Copy Hard Disk

This chapter explains how to copy contents of local hard disks to other ones under various conditions.

4.10.1 Overview

Hard Disk Manager provides the ability to copy not only separate partitions but also entire hard disks.

During the hard disk copying process, the program moves controlling records of used partitioning scheme, the bootstrap code and on-disk partitions. The Hard Disk Copying operation cannot be substituted by simply copying all on-disk partitions.

Generally, Hard Disk Manager allows the user to copy hard disks that are partitioned with any partitioning scheme, in the sector-to-sector copying mode (see Fast copying algorithm ). For disks that use DOS partitioning scheme, the program provides many functional extensions for the disk copying operation:

· Hard Disk Manager supports the fast copying mode for partitions of known file system types . This functionality significantly reduces the elapsed time for disk copying because the program transfers only the usable data.

· In case the disk contains partitions of both known and unknown file system types, the program automatically switches between fast copying and sector-to-sector modes.

· Hard Disk Manager provides the ability of automatic proportional resizing of all partitions, which have known file system types, during the operation. This functionality extension may be very useful in upgrading hard disk(s) to larger ones.

· Finally, Hard Disk Manager supports selective copying of partitions. Some partitions can be skipped, others can be copied more than once, changing their size, relative order and position.

Hard Disk Manager duplicates disks in a way that allows successfully migrating boot managing software to another hard disk. For example, standard bootstrap code, Paragon Boot Manager and LILO can successfully work on cloned hard disks without re-installation.

i

By using the Copy Hard Disk operation, the program irreversibly destroys old contents of the targeted hard disk, replacing them with new data and the new layout of partitions.

4.10.2 Initiating the operation

Select in the main menu:

Wizards > Copy Disk

After the Copy Disk Wizard opens its first page.

This page informs the user what kind of tasks the wizard is able to assist with. Click on the “Next” button to continue.

The second page of the Wizard displays the local disks layout allowing a user to select a hard disk to be copied. Available disks and their partitions are represented with UDP elements which allow estimating introduced changes. Here the user sees the following partition parameters:

· a hard disk number assigned by the operating system,

· the hard disk model,

· a file system type,

· the volume of used space on each partition

· the free disk space.

The selected disk is shaded with diagonal hatch.

Click on the Next button to continue working with the Wizard.

On the third page the user is able to see the layout of disks where the selected disk would be copied. The page contains every fixed hard disk available in the system, except for the source hard disk.

By default, the 1st hard disk in the list is selected. Be careful when changing the targeted hard disk, if you do not intend to overwrite all the contents of Disk#0.

i

All information on a disk, which is selected as a target by you will be destroyed.

Select a destination disk and then click on the Next button.

The fourth page is attended for setting the parameters of the copy operation. The parameters are subdivided into three sections:

· Copy options

· Resize options

· Verification options

Each section contains one or more checkboxes. To switch an option simply tick the corresponding checkbox.

Copy options

This section contains the option that allows setting the so-called sector-to-sector copy mode .

Resize options

This section allows switching on two useful options:

· Remove free blocks between partitions. If this option is active, the program does not keep blocks of free space between partitions on the targeted hard disk.

· Copy data and resize partitions proportionally. If this option is active, the program changes the size of partitions in the same proportion keeping their relative order intact. The option can be useful when upgrading a hard disk to a larger one.

Verification options

This section allows the user to define a set of fault detection tests including the Surface test and the Writing Verification test.

By clicking on the Next button the Revise operation result page appears. The page allows you to revise the planning changes of the disk layout. A user can compare states of the disk structure before and after the Wizard job. The information is represented in the graphical (UDP representation) variant. If all the changes are acceptable please click on the “Next” button to continue or correct the operation parameters.

By clicking on the “Next” button you accept the planned changes and start the copying process.

When the operation finishes, the last page will open which informs you about completing the planned actions.

4.10.3 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The program displays information concerning the operation performance.

The program treats the copying of each partition as a suboperation, and the program displays suboperation statistics.

The operation is lengthy. The true performance fundamentally depends on the hardware and the operating system being used.

4.10.4 Comments

4.10.4.1 Cloning the system hard disk in Windows 2000 and XP

Hard Disk Manager is frequently used for cloning or distributing system hard disks. In case of performing this action with Windows 2000/XP system disk, a specific procedure is required in order to avoid problems with the duplicate hard disk.

1. Connect both source and destination disks to the computer. Boot the computer and run Hard Disk Manager (any version for any platform).

2. Using Hard Disk Manager , clone the source disk to the destination one.

3. (!) Shutdown the computer.

4. (!) Disconnect (physically) the source hard disk.

(!) Boot the computer from the destination hard disk. No problems should occur during the startup process.

After completing these actions, you can use both hard disks separately or together on the same computer without any problems.

Consider that Windows 2000 and XP keep information of all mounted and dismounted partitions on all hard disks that have been connected to the system in a special database. Partitions are identified by the hard disk serial number and the relative partition's order. The database of partitions is periodically updated. During cloning hard disks, this database is duplicated on the destination disk.

Usually, users do not perform two last steps, i.e. they remain the source hard disk connected at the initial startup of the destination disk. At startup, Windows finds the old hard disk, retrieves the drive letters of its partitions from the old records, adds new drive letters for partitions on the destination disk, and updates the database.

After the source disk has been disconnected, the single destination disk becomes unusable: Windows is unable to boot from this disk because essential system data is associated with absent drives.

4.10.5 Working with locked and system hard disks

The Copy Hard Disk operation requires that both source and destination hard disks are to be unlocked (see Glossary ):

· The program needs to destroy contents of the destination disk at the beginning of the operation. If a partition on the destination disk is locked, an operating system or other applications are still able to use this partition. The untimely deletion of disk contents may violate functionality of other software.

· The program requires the contents of the source disk to remain unchanged during the data copying process. If some partitions on the source disk are locked, other software can modify the disk contents. In this case, the program cannot copy disk contents securely.

To complete the disk copying of/to a locked/system hard disk, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

Generally, the copying of locked hard disks is like copying locked partitions.


4.11Create Partition

This chapter explains how to create new partitions by using Hard Disk Manager, in addition, it contains the description of partitioning rules and limitations.

4.11.1 Overview

Hard Disk Manager provides the ability to create new partitions on partitioned hard disks by using the DOS partitioning scheme (see Glossary).

4.11.1.1 Restrictions

1. The program allows creating new partitions only within blocks of unpartitioned space. It cannot "convert" a free space on an existing partition to a new partition!
The procedure for creating a new partition from a free space on an existing partition is described in the section How to make a new partition from a free space in another partition.

2. Do not use the Create Partition function in order to undelete the last deleted partition. Use the Undelete Partition function instead.

3. The program cannot create new partitions on Dynamic Disks. The current version of the program supports only hard disks that use the DOS partitioning scheme (in Windows 2000 and XP these disks are named Basic Disks).

4. Empty hard disks are automatically partitioned with the DOS partitioning scheme, creating a partition of any type.

5. New partitions are aligned to the boundaries of the beginning and ending cylinders in accordance with the rules of the DOS partitioning scheme (see Partition alignment rules).

6. According to rules of the DOS partitioning scheme, some combinations of partitions cannot be created:

ð Two (2) Extended Partitions on the hard disk cannot be created.

ð Five or more Primary partitions on the hard disk cannot be created.

ð In case the Extended Partition is on the disk, only three (3) Primary partitions are allowed on the hard disk.

ð In case four (4) Primary partitions are already present on the disk, the Extended Partition cannot be created.

However, the number of Logical Partitions is not limited.

4.11.2 Initiating the operation

The actions you should make are similar to the ones required for initiating other operations.

Step 1. Select a location of a new partition

Select a block of free space (unpartitioned disk space) in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. The newly created partition will be located within the selected free block.

The program differentiates between Primary free space and Logical free space:

· Within the Logical free space, only Logical partitions can be created

· Within the Primary free space, Primary partitions or the Extended Partition can be created only when the partitioning rules are not violated (see Limitations of the DOS partitioning scheme)

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Create …

· Call the popup menu for the selected block of free space in any of layout panels (click right mouse button), then select the menu item:

Create…

· Press the Alt+N keyboard combination

· Press the Create button on the Main Toolbar.

Step 3. Assign properties of a new partition

After selecting a free block, the Create Partition dialog appears.

The Create Partition dialog allows the user to assign the accurate position and size of a new partition. In addition, there is the ability to format a new partition after it has been created.

4.11.3 Description of the parameters

Create partition as …

Select the desired kind of new partition in this pull-down list. As a matter of fact, the available alternatives fundamentally depend on the type of the selected block of free space:

· Within the Logical free space, only Logical partitions can be created

· Within the Primary free space, Primary partitions or the Extended Partition can be created, in case the partitioning rules are not violated (see Limitations of the DOS partitioning scheme)

New Size, Free Space Before, Free Space After

The capacity of the new partition must not exceed the size of the selected block of free space. You can freely define the position and size of the new partition within the targeted block of free space by using the UDP control that is located in the window:

In addition, you can use three spinner controls placed on the bottom:

· The Free space before spinner control defines the position (in MB) of the new partition relative to the beginning of the block of free space.

· The New size spinner control defines the size (in MB) of the new partition.

· The Free space after spinner control defines the amount of trailing free space (in Mb) at the end of the new partition.

How the spin controls behave:

Free space before | Moves the beginning of the partition (left edge), preferably by maintaining the partition size.
New Size | Changes the size of the partition, preferably by maintaining the starting position (left edge).
Free space before | Moves the end of the partition (right edge). On increasing the value, it (preferably) keeps the partition size. On decreasing the value, it (preferably) keeps the starting position (left edge) so that the partition expands.

The UDP control and spinners are synchronized, changing any of these elements affects all other as well.

For real partition creation, the program will approximate these values to accommodate user-defined values to the partitioning rules that are effective for the DOS partitioning scheme so that the final values may slightly differ from the entered ones.

Format new partition

The program allows the user to fill the new partition with a file system.

Activate this checkmark in order to immediately format the newly created partition. Otherwise, the partition will remain unformatted (so that it will not be ready for usage).

The program allows defining parameters of a file system that will occupy the new partition by calling the Format Partition dialog (see the next section).

4.11.3.1 Formatting a new partition

The appearing Format Partition dialog is identical to the one described in the chapter Format Partition .

The simple form of the dialog allows the user to select the File system Type and define the so-called Volume Label for the partition.

The advanced form of the dialog allows the user to define important file system properties such as Cluster Size (Sector/Cluster spinner control) and amount of sectors per boot code (Sector/Boot spinner control). For FAT16 file system, the amount of Root Entries can be changed as well.

4.11.4 Comments

4.11.4.1 How to make a new partition from free space of another partition

Hard Disk Manager does not provide a function like "pick-up free space from existing partition(s) and create one more partition". One must manually define a sequence of resize/move operations on existing partitions in order to free disk space and gather it into a single block of unpartitioned space.

Example

Suppose you have one primary and one logical partition on the hard disk, and you need to create one more primary partition for the isolated installation of another operating system at the expense of unused space on the Logical Partition.

The original disk layout is shown below:

Step 1. Resize or Move the Logical Partition

Move the starting edge of the Logical Partition "forward" so that disk space is freed:

Step 2. Resize or Move the Extended Partition

Move the starting edge of the Extended Partition "forward". The block of unpartitioned space is moved outside the Extended Partition, so that the newly created partition will become the primary one:

Step 3. Create the new Primary Partition

Create the new Primary Partition in the block of unpartitioned space:

4.11.4.2 Limitations of the DOS partitioning scheme

The current version of Hard Disk Manager fully supports the DOS partitioning scheme. The program follows the limitations of the DOS partitioning scheme when creating new partitions.

Practical limitations

· Only one Extended Partition can be created on a hard disk.

· Only four Primary Partitions can be created on a hard disk, or three Primary Partitions and one Extended Partition.

· The number of Logical Partitions within the Extended Partition is not limited.

· All newly created partitions are aligned in accordance with rules of the DOS partitioning scheme and the current disk geometry (see the section Partition alignment rules of the DOS partitioning scheme).

· The program does not change the order of entries in the Partition Table for existing partitions (see the section Order of Partitions).

4.11.4.3 General structure of the DOS partitioning scheme

The DOS partitioning scheme keeps the information of partitions located on the disk in the Partition Table. The Partition Table consists of elements which describe partitions: location, size, file system type and "Active" flag. These elements are usually named entries or slots of the Partition Table.

The first sector of the hard disk (sector #0) is occupied with the Master Boot Record (MBR). It contains the primary part of the Partition Table and the so-called bootstrap code – a very small program responsible for the initiation of the boot-up process.

Primary Partitions

The primary part of the Partition Table contains only four entries. The partitions that are registered in these records are named Primary Partitions. It is only possible to have a maximum of four primary partitions on the disk.

The specific property of primary partitions is that the standard bootstrap is able to initiate operating systems from them.

Extended Partition

One of the primary partitions can be marked as the Extended Partition.

The Extended Partition is used to expand the Partition Table in order to provide the ability of allocating many partitions. The Extended Partition begins with the extension of the Partition Table, which sometimes is named Extended Partition Table (EPT).

Logical Partitions

Partitions that are registered in the Extended Partition Table are named Logical Partitions. All Logical Partitions must be nested within the Extended Partition. The number of logical partitions is not limited.

4.11.4.4 Partition alignment rules of the DOS partitioning scheme

While creating new partitions, Hard Disk Manager follows common partition alignment rules that are compatible with all operating systems and disk management utilities.

Alignment rules

1. The ending edge of every partition is aligned to the end of the appropriate cylinder.

2. The Primary Partition, which is located at the beginning of the hard disk, starts from the 1st Track of the 0th Cylinder. The 0th Track is occupied by the MBR and boot managing software.

3. Other Primary Partitions start from the beginning of the appropriate cylinders.

4. Logical Partitions start from 1st Tracks of appropriate cylinders. The 0thtracks of these cylinders are occupied by the EPT records.

5. The Extended Partition should start from the beginning of the first cylinder that it occupies. In case the Extended Partition is located at the beginning of the disk, it starts from the 1st Cylinder (see the picture below) because the beginning of the 0th Cylinder is occupied by MBR.

An unused part of the 0th Cylinder potentially can be used for the creation of a small Primary Partition.

4.11.4.5 Order of Partitions

The order of partitions may affect the partition accessibility and the assignment of drive letters in various operating systems: DOS, Windows and Linux are among them. The creation of a new partition can change their relative order and violate references to partitions.

Partitions can be enumerated by their natural location on a disk, or by the index of respective entries in the Partition Table. Generally, these enumerations are not identical: the order of entries coincides with the natural order of partitions for Logical Partitions, however, this is not true for Primary Partitions.

From here on problems may occur:

· Linux enumerates partitions according to the order of entries. The creation of a new partition in front of existing partitions changes references to sequent partitions on the disk. These changes are taken in effect at the system reboot.

Disk | Partition | Symbolic name in Linux
1st | 1st primary | /dev/hda1
 | 2nd primary | /dev/hda2
 | 1st logical | /dev/hda5
2nd | 1st primary | /dev/hdb1
 | 1st logical | /dev/hdb5

· Windows 95, 98 and ME use a rather intricate algorithm for assigning drive letters to partitions of supported type. A creation of a new FAT16/FAT32 partition on any of hard disks may shift drive letters after the system reboot. This operation does not only affect drive C:.

· Generally, Windows NT, 2000 and XP save the physical location of all partitions in the Registry and use this information for assigning drive letters. The creation of a new partition does not violate drive letters of mounted partitions.

There is another problem with Windows NT, 2000 and XP. The OS loader (NTLDR in these systems) enumerates primary partitions by the number of respective entry in the Partition Table. Partitions numbers are used by NTLDR for locating the Windows System Partition during the startup. The creation of a new primary partition may rarely lead to the inability to start Windows NT/2000/XP. It is impossible to observe all probable scenarios, but the creation a new primary partition before the system partition is a potentially dangerous operation!

In addition, the problem of changing the order of primary partitions can be solved by editing the BOOT.INI system file that is responsible for configuring NTLDR (see Glossary).

Hard Disk Manager does not change the order of entries in the Partition Table. Such logic allows avoiding the problem mentioned above in many cases.

The other side of the problem is that Windows Disk Administrator system utility automatically re-sorts entries in the Partition Table according to the natural order of partitions, without making corrections in system files. When new primary partitions are created with the Windows Disk Administrator, and in case of alternate use of both Hard Disk Manager and Windows Disk Administrator, Windows bootable files may be left disorganized.


4.12Format Partition

This chapter explains how to format existing or newly created partitions with Hard Disk Manager; in addition, it discusses some file system limitations related to the Format function.

4.12.1 Overview

A partition should contain some file system to be used for keeping data; a partition itself is only a continuous range of disk space that is marked as "exploitable" in the Partition Table (see Glossary).

The process of installing a file system is commonly known as formatting. There are a large variety of file systems have been developed. Hard Disk Manager can format partitions of the following file systems:

· FAT12 & FAT16

· FAT32

· NTFS

· Ext2

· Ext3

· ReiserFS

· Linux Swap v. 2

· HPFS

4.12.1.1 Restrictions

The current version of Hard Disk Manager creates NTFS ver. 1.2 (it corresponds to abilities of Windows NT 4.0). For this reason, the feature Access Quotas is not available on NTFS partitions formatted with Hard Disk Manager . To obtain the Access Quotas feature, use the Windows 2000/XP FORMAT tool instead.

4.12.2 Initiating the operation

The actions you should make are similar to the ones required for initiating other operations.

Step 1. Select a partition to be formatted

Select an existing Primary or Logical partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. The operation is not enabled for the Extended Partition and for blocks of free space.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Format…

· Call the popup menu for the selected partition, then select the menu item:

Format…

· Press the Alt+F keyboard combination

· Press the Format button on the Main Toolbar.

Step 3. Assign format properties

After selecting the operation, the Format Partition dialog appears (see Description of the parameters).

The Format Partition dialog allows the user to define the label of the partition and to choose the file system type, which should be placed on the partition.

In addition, there is the ability to control important parameters of the installed file system such as cluster size, amount of entries in the Root directory and size of the on-partition boot area.

4.12.3 Description of the parameters

The program provides the Simple and the Advanced forms of the Format Partition dialog.

The Simple form allows the user to select the file system type and define the volume name:

Volume Name

Enter the Volume Name for the selected partition in this textual field. The Volume Name is an unimportant parameter of a logical drive that can be used for drive identification. See the chapter Glossary for more details on Volume Name.

System type

Select the desired file system type from this pull-down list. By default, the program suggests keeping the File system Type and the Volume Name.

The program allows the user to create the following file systems:

· FAT12 & FAT16

· FAT32

· NTFS

· Ext2

· Ext3

· ReiserFS

· Linux Swap v. 2

· HPFS

In fact, the program displays only file systems that can be correctly placed to the selected partition, taking the capacity of the selected partition into account. For example, the program will not allow FAT16 file system for partitions that are larger than 2GB, or FAT32 for partitions that are less than 128MB. Look at section Capacity limitations for different file systems for more details.

Surface test

Set this checkmark so that the program performs the surface test on the formatted partition. In this case, the program will find bad and unreliable sectors and mark them unusable in the file system metadata.

The program supports several levels of surface test thoroughness (see the description of the Surface test option in chapter Settings overview, section General settings):

Surface Test used during format | Surface Test level in the Settings | Description
Normal | None | No surface test
Normal | Normal | Single-pass read test
Extreme | Extreme | Three-pass read & write test

Advanced (button)

Press this button to access advanced format features. The Advanced form of the Format Partition dialog allows the user to control important parameters of the installed file system:

· Cluster Size

· Amount of entries in the Root Directory

· Size of Boot Area

Sectors/Boot

This parameter is available exclusively for FAT16 and FAT32 file systems.

Set the number of sectors to be reserved for the boot area on the partition in this spinner control. The program relies on the rules of FAT file systems when the available range and default value for this parameter are to be determined.

Root entries

This parameter is available exclusively for FAT16 file system.

Set the maximum amount of files/directories to be placed in the Root Directory on the FAT16 partition. The program relies on the rules of FAT16 file system when the available range and default value for this parameter are to be determined.

In FAT12 and FAT16 file systems, the Root Directory is the essential directory. The capacity of the Root Directory cannot be changed until the partition has been re-formatted.

For example, you have formatted FAT16 partition so that the capacity of the Root is 64. Then, if you populate this partition with files, you are unable to place more than 64 files in the root of the volume. The only way to place more files in the root is to create directories and place files inside these. Nevertheless, you are still unable to make more than 64 directories in the Root directory.

Sectors/Cluster

This parameter is available for all known file systems (excepting HPFS and Linux Swap 2).

Define the Cluster Size for the formatted partition in this spinner control. The program relies on the rules of these file systems when the available range and default value for this parameter are to be determined.

Hard Disk Manager reports the Cluster Size value as the Sectors per Cluster ratio. To get the Cluster Size in KB, simply divide this value into half.

The important file system parameter: the Cluster Size affects significant characteristics such as the input-output performance of file operations on the volume, the waste space percentage and so on. In Windows 2000 and XP, some advanced features of the NTFS file system are only available in case the Cluster Size is 4KB or less.

Restore default (button)

Press this button to reset to the default values of the Cluster Size, Amount of Root Entries and Size of Boot Area parameters.

Short (button)

Press the button to return to the Simple form of the Format Partition dialog. This form includes the Format Partition function, which applies the default values for the Cluster Size, Amount of Root Entries and Size of Boot Area parameters for the partition being formatted.

4.12.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The formatting takes only a few seconds: it simply makes clean file system metadata and an empty Root Directory.

However, the Surface Test suboperation can take some time. The real value of the elapsed time fundamentally depends on the size of the new partition, hardware performance and the software platform being used.

On modern disk models, the Normal surface test may take 0.5 - 2 minutes per 1GB of capacity. For the Extreme surface test, the elapsed time is approximately 6 times more.

4.12.5 Comments

4.12.5.1 Capacity limitations for different file systems

The maximum capacity varies for each file system. The maximum capacity is derived from the maximum cluster size available in the file system and from the maximum amount of clusters. The last value depends on the bit capacity of cluster index in the file system.

File system | Max Cluster | Max amount of clusters | Max partition capacity
FAT16 | 32K | 216 | 2 GB
FAT32 | 32K | 228 | 8 TB
NTFS | 32K | 264 | ~6*108 TB
Ext2/Ext3 | 4K | 232 | 16 TB
ReiserFS | 8K | 264 | ~1.5*108 TB

4.12.5.2 Default Cluster Size values

Capacity | NTFS |  | FAT32
< 512 MB | 0.5 K | (1 sector/cluster) | 4K
< 1 GB | 1 K | (2 sectors/cluster) | 4K
< 2 GB | 2 K | (4 sectors/cluster) | 4K
< 4 GB | 4 K | (8 sectors/cluster) | 4K
> 4 GB | 8 K | (16 sectors/cluster) | 4K
> 8 GB | 16 K | (32 sectors/cluster) | 8K
> 16 GB | 32 K | (64 sectors/cluster) | 16K

Windows 200 and XP provide advanced services for NTFS partitions such as contents compression and encryption. These services are available only on partitions that have a cluster size of 4KB or less.

In case NTFS partitions are formatted with Hard Disk Manager, take care to change the cluster size from the default value to 8 sectors / cluster in order to use advanced capabilities of NTFS partitions.

The table above exhibits default Cluster Size values for partitions of different size. NTFS partitions, which require manual diminishing of cluster size to enable advanced features of NTFS, are yellow-shaded.

4.12.6 Formatting locked and system partitions

Hard Disk Manager allows to format locked and system partitions. This operation requires the computer to be rebooted before completion. The partition formatting unconditionally destroys an existing on-partition file system, so that it violates any unfinished read-write activity.

To avoid the damage of data consistency, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

As a matter of fact, the formatting of a partition, which is in use, may seem illogical (e.g. you are using a partition and want to destroy it at the same time). It is recommended to re-check your actions to avoid the destruction of usable data.


4.13Delete Partition

This chapter explains how to delete existing partitions with Hard Disk Manager.

4.13.1 Overview

Hard Disk Manager allows the user to delete partitions on hard disks that have been partitioned with the DOS partitioning scheme (see Glossary). The program removes references to the partition from the Partition Table, so that information from the deleted partition becomes inaccessible. The freed disk space can be used to create more partitions or can be added to an existing partition.

Information from the deleted partition can be retrieved, in case the block of disk space remains unpartitioned. Hard Disk Manager provides a convenient and powerful function called Undelete Partition that allows the user to find and restore deleted partitions within blocks of unpartitioned space.

Data from the deleted partition do not disappear from the disk but merely are unavailable in the operating system. Specially designed software allows to retrieve an entire partition or separate files from it. In particular, confidential information can be analyzed and retrieved from deleted partitions.

4.13.1.1 Restrictions

The current version of Hard Disk Manager works exclusively with the DOS partitioning scheme.

4.13.2 Initiating the operation

These actions are very similar to ones required for initiating other operations.

Step 1. Select a partition to be removed

Select a single existing partition of any kind (Primary, Logical or Extended Partition) in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. The selected partition will be deleted.

i

In case the Extended Partition is selected, all Logical partitions within the Extended Partition will also be removed.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Delete…

· Call the popup menu for the selected partition, then select the menu item:

Delete…

· Press the Alt+D keyboard combination

· Press the Delete button on the Main Toolbar.

Step 3. Confirm the partition deletion

After selecting a partition, the Delete Partition dialog appears.

With the Delete Partition dialog, Hard Disk Manager asks to confirm the partition removal. In addition, the program can wipe the partition during the deletion process.

4.13.3 Description of the parameters

You are deleting partition:

This text contains the current value of the Volume Label of the selected partition. In case the partition has no the Volume Label assigned to it, the "NO NAME" text will be displayed.

The Volume Label is used for additional deletion confirmation from the user.

Enter the volume label to confirm deleting:

To confirm the deletion of the selected partition, enter its Volume Label. The actual Volume Label value is displayed above.

When no Volume Label has been assigned to the partition, enter the text "NO NAME".

Generally, this confirmation is used to give the user a chance to rethink his actions.

Do not ask volume label next time

Mark this checkmark to inhibit the confirmation of partition deletion. This option is similar to the option in the program's settings (see chapter Settings overview, section General settings).

In fact, Hard Disk Manager minimizes the hazard of an occasional deletion of a partition. The virtual deletion can be undone; in case partition has been physically removed, the Undelete Partition function enables the user to retrieve the partition.

4.13.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The deletion of a partition takes only a fraction of a second. However, the program waits until Windows accommodates the modification of the disk layout. This operation may take 5-20 seconds in Windows 2000 and XP.

4.13.5 Comments

A deletion of partition(s) may disorganize the drive letters assigned to each partition in DOS and in Windows 95, 98, ME.

In Windows NT, 2000 and XP, a deletion of a primary partition, which was located in front of the Windows system partition, may lead to the inability to boot Windows. This problem can be solved by editing the BOOT.INI system file.

4.13.6 Deleting locked and system partitions

Hard Disk Manager allows the user to delete locked and system partitions. This operation requires the computer to be rebooted before completion. Deleting a partition disables the accessibility of the partition, so that it violates any unfinished read-write activity. In turn, this may lead to severe problems in the functionality of other software.

To avoid these kinds of problems, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

As a matter of fact, the deletion of a partition being in use may seem illogical (e.g. you are using a partition and want to destroy it at the same time). It is recommended to re-check your actions to avoid the destruction of usable data.


4.14Undelete Partition

This chapter explains how to return to occasionally deleted partitions with Hard Disk Manager.

4.14.1 Overview

Hard Disk Manager provides the ability to find and recover deleted partitions. This function is usually known as "undelete". The undelete feature minimizes the hazard of occasional partitions deletion.

When deleting a partition, disk management software only removes the references to a partition in the Partition Table (see chapter Delete Partition ) so that a previously deleted partition can still be recovered (in case of valid restoration of the record in the Partition Table). A restored partition will be fully functional, as long as other partitions were not created, moved or exceeded the disk space occupied by the partition. For this reason, the program enables the Undelete Partition function only for blocks of free space.

To find a partition, the program scans sectors to detect service structures of a file system, which were installed on a deleted partition. The program is able to find and correctly restore only Primary and Logical partitions of known file system types (see the section Restrictions ).

Hard Disk Manager identifies deleted partitions by the initial fragments of a file system. There have been situations when the program finds "phantom" partitions, i.e. spaces that only seem to be deleted partitions. A user can undelete a partition and then check a file system or browse its contents (using Hard Disk Manager ) to see whether it is a real partition or not.

Usually, Phantom partitions do not pass the file system integrity check because their "contents" appear to be corrupted. A user can simply delete a phantom partition and make a new attempt.

4.14.1.1 Restrictions

· The current version of Hard Disk Manager allows restoring one partition per Undelete Partition operation. To undelete several deleted partitions, multiple undelete sessions are required.

· The current version of Hard Disk Manager only supports DOS partitioning scheme. In Windows 2000 and XP, these disks are named Basic Disks. Deleted partitions on Dynamic Disks cannot be restored!

· The program allows the restoration of partitions for the following types:

o        FAT16 & FAT32

o        NTFS

o        Ext2 & Ext3

o        ReiserFS

· The program cannot un-delete partitions, which include a corrupted boot sector.

· Hard Disk Manager is unable to retrieve partitions that have been wiped-&-deleted with Hard Disk Manager, Disk Wiper or similar software especially designed for complete and irreversible destruction of data.

4.14.2 Initiating the operation

Select in the main menu:

Wizards > Undelete partitions

The Undelete Partition Wizard commences with its first page.

This page informs the user of the kind of tasks the wizard is able to assist.

Click on the “Next” button to continue.

The second page of the Wizard displays a tree-like list of available disks and their partitions. Click on a node of a hard disk allows the user to open or close the list of its partitions. To restore deleted partitions a block of free disk space in the list is to be found and then marked. The chosen item will be highlighted and a prompt (under the list) will display the summary size of the analyzed partition.

The checkbox “I want to choose file system and search criteria” is to be marked when the partition to be un-deleted has been selected. However, this implies a good knowledge of the hard disk structure (see description below ). Click on the “Next” button to start searching with the widest search parameters. It will take longer but will provide intricate analysis of the selected free space block.

During the search process, the Wizard displays a progress bar with values of the analyzed space boundary sectors. Here the user has the possibility to stop the search at any time by clicking the corresponding button “Stop search”. The search results are displayed in a table placed under the progress bar. Here the following parameters of found partitions are displayed:

File system | File system type
Type | The partition type
Capacity | The absolute partition's capacity. In fact, this value is a little greater than the file system capacity.
Used space | Includes files, file system metadata and reserved space.
Used | Amount of used space (by percent)

When the process is completed, the Wizard displays the location of each partition that has been found. It helps to distinguish whether partitions intersect each other or not. Note: the program can undelete only one of intersected partitions.

To undelete a partition the user needs to mark the corresponding checkbox and click on the “Next” button. The next page of the Wizard displays detailed information on the un-deleting operation. The future actions of the program are represented at this stage – these actions may be canceled by the user. If necessary, the user can go back to previous pages of the Wizard and correct the task.

By clicking on the “Next” button the user accepts the modifications that are to be made to the disk layout. On the next page the user is able to complete preparations and start the un-deleting process by clicking on the Finish button.

4.14.2.1 Search criteria

The Wizard is able to find a deleted partition more quickly when a its file system type and the criteria for such a search have been defined. To define these parameters the user marks the checkbox “I want to choose file system and search criteria” which is located under the list of free disk space to be searched (the second wizard page).

By clicking on the Next button the user is directed to the list of known file system types.

When the user chooses one of file system types the program prompt displays additional information concerning the user’s choice at the bottom of the page. By default, the “All known file systems” item is selected. To choose another variant deactivate the marked checkbox to cancel the default setting. After this the user is able to choose a file system type of the deleted partition by marking the corresponding checkbox.

The next page allows the user to define the search criteria:

Scan all sectors

Set this checkmark to allow an extensive search of deleted partitions. This feature finds deleted partitions that do not meet the rules of partition alignment in the DOS partitioning scheme.

This option significantly slows down the search process. In addition, it can lead to the detection of phantom partitions.

Use all available criteria

All the criteria displayed below will be used for the search. To specify parameters please unmark this option.

Check boot sector

Choosing this option forces the program to take into account the information of the disk layout which is kept in the boot sector. For example, similar information can contain the mentioned partitioning scheme being used and the starting records of the Partition Table.

Check boot sector copies

Several disk software tools create copies of the boot sector. Similar copies can also be useful in the course of the search process.

Check Master File Table

If you are looking for deleted NTFS partition, do not forget to select this option. The Master File Table (MFT) is a catalogue of all partition files in a NTFS file system, thus a search and analysis of the MFT offers the program valuable information about deleted partitions.

To apply the selected criteria and start the search please click on the “Next” button. The following steps will be the same as it were described in the previous section.

4.14.3 Comments

4.14.3.1 Alignment of undeleted partitions

When undeleting partitions, Hard Disk Manager only updates records in the Partition Table, so that an undeleted partition becomes available. The program does not perform additional actions to adjust the starting position and capacity of a partition to the actual hard disk geometry. The partition alignment rules are discussed in the section Create Partition > Partition alignment rules of the DOS partitioning scheme , the hard disk geometry is discussed in the Glossary . This feature allows to un-delete partitions, which have allocations that mismatched the partition alignment rules.

This feature substantially extends the class of retrievable partitions. Such a functional flexibility is of value for users:

· who use multiple operating systems on the single computer.

· who frequently switch a hard disk over multiple computers.

It is to be considered that partition alignment rules rely on hard disk geometry. On modern systems, the hard disk geometry is not the native feature of a device but only a firmware dependable (or a software programmable) representation of hard disk parameters. The same hard disk can have a different geometry on various computers and even in different operating systems on the same computer. A partition may appear misaligned in the actual system if it was created (or modified by Hard Disk Manager) under other conditions.

Hard Disk Manager allows the user to detect and retrieve deleted partitions even when a mismatching of the actual hard disk geometry occurs with the one used to create the partition. Most of the modern operating systems and disk managing tools can successfully work with misaligned partitions.

4.14.3.2 Known problems with Undeleting misaligned partitions

When deleted partitions are being searched, Hard Disk Manager retrieves information from a boot sector of a found partition in order to distinguish its type (Primary or Logical). Formally, Logical Partitions are located within the Extended Partition, and Primary Partitions are outside. However, in case a user manages to changethe capacity of the Extended Partition this rule may be violated.

Primary and Logical partitions meet different alignment requirements (see the section Create Partition > Partition alignment rules of the DOS partitioning scheme ), so that an un-deleting of a logical partition outside the Extended Partition, as well as an un-deleting of a primary partition inside the Extended Partition makes a retrieved partition misaligned. The following sections mention known problems with misaligned partitions.

4.14.3.3 Undeleting a Logical Partition outside the Extended Partition

This operation is can be used securely, a Logical Partition can be retrieved outside the Extended Partition without any problems which results in a Primary partition. Modern operating systems will recognize and successfully access such partitions. Old versions of MS-DOS can fail to recognize partitions of this kind.

4.14.3.4 Undeleting a Primary Partition inside the Extended Partition

Under some conditions, this operation can damage an undeleted partition. Conditions are as follows:

· Searching deleted partitions within the Extended Partition,

· A deleted Primary partition is found,

· It is located behind an existing Logical Partition,

· It is aligned to the beginning of an appropriate Cylinder (valid for primary partitions, but not for logical ones).

In this case, the program is unable to undelete the partition correctly. After completing the operation, the undeleted partition becomes "unformatted".

To solve this problem, use the following procedure:

1. Move boundaries of the Extended Partition in order to exclude the location of the deleted primary partition from the Extended Partition.

2. Run the Undelete Partition operation again

3. Search deleted partitions. The program will find this partition once again.

4. Restore this partition as a Primary one.

The partition will be restored correctly.


4.15Wipe Partition

This chapter explains how to wipe contents of separate partitions and disk space on local drives.

4.15.1 Overview

Wipe Partition function allows irreversibly destroying all contents of a partition by overwriting all of its sectors with unusable data.

This function can be usable, if a user intends:

· destroying on-partition data without an ability of restoration any of their parts;

· reselling or renting a workable hard disk;

· surely exclude any traces of old data on a newly formatted partition;

· destroying non-standard protection/registration/deactivation hidden marks made by some software;

Usually, operating systems and disk management software just remove references to a partition from the Partition Table when deleting a partition. Specially designed software allows retrieving deleted partitions back, with complete restoring data accessibility. For example, Hard Disk Manager supports Undelete Partition function.

When implementing Wipe Partition function, the program overwrites all sectors of a partition with non-interpretable information, so that it's impossible recovering previous contents.

The program allows safely wiping following objects:

· single partitions of any type

· blocks of free space

· entire Extended Partition

· entire Hard Disk (see the chapter Wipe Hard Disk )

· an unused space on partitions of known file system type (see the chapter Clear Free Space ).

The program allows multi-pass wiping and post-operation checking of a wiped space for clearance. The program supports only a simplified edition of Wipe function: the program chokes up partition space with a single character.

4.15.2 Initiating the operation

The actions you should make are similar to ones required for initiating other operations.

Step 1. Select an object you want to wipe

Select an object you want to wipe (see below), in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, it will be highlighted in all three panels.

The function is available for:

· partitions of any type

· blocks of free space

· the Extended Partition

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Wipe partition…

· call the popup menu for the selected partition and select the item:

Wipe partition…

· Press Alt+W keyboard combination.

Step 3. Define parameters of the operation

You are able assigning following parameters:

· Amount of wiping passes

· A character that will be used for filling an object

· Enable post-operation clearance check.

Initially, the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.15.3 Description of the Wipe Partition parameters

Hex mask

The program wipes disk space by filling with the single 8-bit character.

The Hex mask spinner control allows defining the two-figure hexadecimal presentation of the character being used. The default value is "00" (that is corresponds to the hexadecimal value 0x00). The available range is from "00" to "FF".

This value is synchronized with the ASCII mask value.

ASCII mask

The program wipes disk space by filling with the single 8-bit character.

The ASCII mask spinner control allows defining the symbolic presentation of the character being used. The default value is zero character (character #0).

This value is synchronized with the Hex mask value.

Number of passes

Set the amount of wiping passes here. The default value is 1, the available range is 1 to 100.

Check

Set this checkmark ON in order to perform post-operation check of wiped disk space for "clearance" – this feature just allows ensuring in wiping.

Percentage to check

The program allows checking for "clearance" all or just a part of wiped disk space.

Set percentage of disk space to be checked in this spinner control. The available range is from 0% to 100%, the default value is 0%.

Percentage | Action
100% | All sectors are checked
0% | Nothing is checked
1-99% | The program checks random sectors over the selected range of disk space.

4.15.4 Comments

4.15.4.1 How the program wipes Extended Partition

When the Extended Partition is selected for wiping, the program destroys:

· All contents of all logical partitions.

· Information about location and type of Logical Partitions.

· The Extended Partition Table, which keeps information about Logical Partitions.

As a result, the Extended Partition becomes empty.

4.15.4.2 If a wiping session was interrupted

In case of Wipe Partition operation is interrupted by a user, some data may remain non-destroyed. However, usually these data are of least chance to retrieve, because the program destroys system information in first place.

· If a single partition was selected, the program destroys information about structure of directories and information about allocation of files and directories. An operating system will treat this partition as "unformatted", and there is no chance to "undelete" files and directories. However, contents of some files can be found with special tools, which allow scanning sectors of a hard disk.

· If the Extended Partition was selected, the program destroys information about layout of Logical Partitions. First Logical Partition(s) can be destroyed partially or fully, too. However, Logical Partitions, which are located at the end of the Extended Partition, remain unharmed. These partitions can be restored back with using the Undelete Partition function.

4.15.5 Wiping locked and system partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary ). Destruction contents of locked partitions is potentially dangerous action, it can lead an operating system to malfunction.

The program requires rebooting the system to a single-tasking environment in order to complete the Wipe Partition operation, in case of a locked partition is selected.


4.16Wipe Hard Disk

This chapter explains how to wipe contents of entire hard disks.

4.16.1 Overview

Wipe Hard Disk function allows irreversibly destroying all contents of all partitions on a hard disk by overwriting all sectors with unusable data.

When implementing Wipe Hard Disk function, the program overwrites all sectors of a disk with non-interpretable information, so that it's impossible recovering previous contents.

4.16.2 Initiating the operation

The actions you should make are similar to ones required for initiating other operations.

Step 1. Select a hard disk you want to wipe

Select a hard disk you want to wipe in the Tree Layout panel or in the UDP Layout panel. In any case, the hard disk will be highlighted in both panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Hard Disk > Wipe hard disk…

· call the popup menu for the selected hard disk and select the item:

Wipe hard disk…

· Press Ctrl+W keyboard combination.

Step 3. Define parameters of the operation

You are able assigning following parameters:

· Amount of wiping passes

· A character that will be used for filling sectors

· Enable post-operation clearance check.

Initially, the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.16.3 Description of the Wipe Hard Disk parameters

Generally, parameters of this operation are same with ones of the Wipe Partition operation. See the section Description of the Wipe Partition parameters for more details.

Hex mask

The program wipes disk space by filling with the single 8-bit character.

The Hex mask spinner control allows defining the two-figure hexadecimal presentation of the character being used. The default value is "00" (that is corresponds to the hexadecimal value 0x00). The available range is from "00" to "FF".

This value is synchronized with the ASCII mask value.

ASCII mask

The program wipes disk space by filling with the single 8-bit character.

The ASCII mask spinner control allows defining the symbolic presentation of the character being used. The default value is zero character (character #0).

This value is synchronized with the Hex mask value.

Number of passes

Set the amount of wiping passes here. The default value is 1, the available range is 1 to 100.

Check

Set this checkmark ON in order to perform post-operation check of wiped disk space for "clearance" – this feature just allows ensuring in wiping.

Percentage to check

The program allows checking for "clearance" all or just a part of wiped disk space.

Set percentage of disk space to be checked in this spinner control. The available range is from 0% to 100%, the default value is 0%.

Percentage | Action
100% | All sectors are checked
0% | Nothing is checked
1-99% | The program checks random sectors over the selected range of disk space.


4.17Clear Free Space

This chapter explains how to clear unused space of formatted partitions on local drives with using Hard Disk Manager.

4.17.1 Overview

Clear Free Space function allows wiping unused space of a formatted partition by overwriting contents of unused clusters.

This function can be usable, if a user intends:

· surely exclude any traces of deleted files and directories, without destroying usable data placed on the selected partition;

· destroying non-standard protection/registration/deactivation hidden marks made by some software.

Usually, an operating system just removes references to deleted files and makes no actions to really erase their contents. Specially designed software allows retrieving information from deleted files and directories, fully or partially. Restored information can be analyzed, thieved and used against user's confidentiality.

When implementing Clear Free Space function, the program overwrites all unused clusters with non-interpretable information, so that it's impossible recovering previous contents.

The operation Clear Free Space is available only for Primary and Logical Partitions of known file system types . The program uses knowledge about filesystem structure to distinguish between used and unused clusters.

i

The operation is not allowed for the Extended Partition and blocks of free space. To wipe the Extended Partition or a block of free space, use the function Wipe Partition .

The program allows multi-pass wiping and post-operation checking of a wiped space for clearance. Hard Disk Manager supports only a simplified edition of wiping: the program chokes up disk space with a single character.

4.17.2 Initiating the operation

The actions you should make are similar to ones required for initiating other operations.

Step 1. Select a partition you want to clear free space

Select a primary or logical partition in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Clear free space…

· call the popup menu for the selected partition and select the item:

Clear free space…

Step 3. Define parameters of the operation

You are able assigning following parameters:

· Amount of wiping passes

· A character that will be used for filling unused clusters

· Enable post-operation clearance check.

Initially, the program suggests some consistent values for all parameters. In most cases, you just need to press OK button to confirm the operation.

4.17.3 Description of the Clear Free Space parameters

Hex mask

Hard Disk Manager wipes unused clusters by filling with the single 8-bit character.

The Hex mask spinner control allows defining the two-figure hexadecimal presentation of the character being used. The default value is "00" (that is corresponds to the hexadecimal value 0x00). The available range is from "00" to "FF".

This value is synchronized with the ASCII mask value.

ASCII mask

Hard Disk Manager wipes unused clusters by filling with the single 8-bit character.

The ASCII mask spinner control allows defining the symbolic presentation of the character being used. The default value is zero character (character #0).

This value is synchronized with the Hex mask value.

Number of passes

Set the amount of wiping passes here. The default value is 1, the available range is 1 to 100.

Check

Set this checkmark ON in order to perform post-operation check of wiped disk space for "clearance" – this feature just allows ensuring in wiping.

Percentage to check

The program allows checking for "clearance" all or just a part of wiped disk space.

Set percentage of disk space to be checked in this spinner control. The available range is from 0% to 100%, the default value is 0%.

Percentage | Action
100% | All free space is checked
0% | Nothing is checked
1-99% | The program checks random sectors within free space.

4.17.4 Comments

4.17.4.1 Hard Disk Manager does not destroy files in the Recycle Bin

Modern operating systems use two-level scheme of files deletion known as Recycle Bin: an operating system moves "just deleted" files to a special system folder, with keeping information about initial location. Files are kept in the Recycle Bin, until they will be restored by a user or finally deleted either by a user or by an operating system.

Recycle Bin folders have predefined filenames depending on the filesystem type:

File system | Recycle Bin directory
FAT16/FA32 | RECYCLED
NTFS | RECYCLER
Ext2/Ext3, ReiserFS | lost+found

Files, which are kept in the Recycle Bin, aren't truly deleted ones, they legally hold disk space on a partition. Hard Disk Manager does not wipe these files. To clear contents of files in the Recycle Bin, one should remove them from the Recycle Bin, and then perform the operation Clear Free Space.

4.17.5 Clearing free space on locked partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary ).

The program cannot clear free space on locked partitions, because this operation may interfere disk input-output activity of an operating system or other applications.

Hard Disk Manager requires rebooting the system to a single-tasking environment in order to complete the Clear Free Space operation, in case of a locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.18Merge Partitions

The chapter explains how to merge two NTFS, FAT or FAT32 partitions with Hard Disk Manager.

4.18.1 Overview

The program allows to merge two partitions, provided when the following requirements:

· Partitions must have the same border, i.e. they must be adjacent;

· Partitions must have the same file system (NTFS, FAT or FAT32). If you merge two NTFS partitions then NTFS versions on both partitions must coincide.

· Partitions must have the same cluster size;

4.18.2 Initiating the operation

Select in the main menu:

Wizards > Merge partitions

Then the Merge Partition Wizard opens its first page.

This page informs the user of the kind of tasks the wizard is able to assist.

Click on the “Next” button to continue.

The second page of the Wizard displays the local disks layout allowing the user to select a partition to be expanded. Available partitions are represented with UDP elements which allow to estimate introduced changes. The following partition parameters are displayed:

· hard disk number assigned by the operating system,

· the hard disk model,

· a file system type,

· the volume of used space on every partition,

· and the free disk space that is available for distributing.

The selected partition is shaded with diagonal hatch. When selecting the partition please take the requirements described above into account.

Click on the Next button to continue with the Wizard.

At the top part of the third window displays the disk layout represented by UDP elements. The previously selected partition is colored black. The partitions, which can be merged with the selected one, are blue-colored (this color is reserved by the program for NTFS partitions). Based on this data the user should select a partition to merge with the previously selected.

The textual field “Folder Name” allows the user to define a name for the directory where the merging partition data will be placed. All the file structure of the adding partition will be saved. The data will move to the directory located in the root of the disk.

After defining all the parameters click the “Next” button.

The fourth page allows the user to revise the modifications to be made to the disk layout. Here the user can compare the states of the disk structure before and after the Wizard job. The information is represented in graphical (UDP representation) variant. If all the changes are acceptable please click on the “Next” button to continue, or go back to correct the operation parameters.

Considering the importance of the performing actions the Wizard asks you to confirm the changes. By default the program suggests to reconsider the planned operation parameters. It helps to preserve an accidental starting of the operation. The “Next” button will remain disabled until the variant “Yes, apply the changes physically” has been selected.

4.18.3 Running the operation

When the user confirms the changes, the “Next” button at the foot of the page is enabled. By clicking it the user applies the changes.

The next page of the Wizard displays progress of the operation. The first progress bar displays a sub operation progress, the second one the overall progress of the operation. Each step in the Wizard includes a record in the “Operations details” list.

In case the operation finishes successfully the Wizard displays its last page. To close the Wizard the user clicks the “Finish” button.

4.18.4Update MBR

allows overwriting the current bootable code in the MBR by the standard bootstrap code.

This feature allows repairing bootable code on a hard disk from corruption due to various reasons such as "boot virus" attacks or malfunction of a boot managing software.

4.18.4.1Running the operation

Step 1.Select a hard disk that requires updating MBR

There are two variants:

·select a hard disk in the Tree Layout panel or in the UDP Layout panel.

·select any partition that belongs the hard disk of interest.

Step 4.Select the operation to perform

Alternatives:

·Select in the main menu:

Hard disk è Update MBR

·In case of the hard disk is selected, call the popup menu for the selected hard disk in any of layout panels (click right mouse button)
then select the menu item:

Update MBR

·Press Ctrl+E keyboard combination

Step 5.Executing the operation

supports only the Immediate execution for the Update MBR operation. The program always performs this operation immediately after the initiation, no matter, which execution mode is active.

4.18.4.2Comments

·This operation irreversibly destroys the boot managing software that occupies the MBR.

·Contents of the Partition Table keep intact.

·A partition, the system has been started from at the last time, remains active, so that the system will start from this partition next time.


4.19Resize & Move Partition

This chapter explains how to change the size and location of existing partitions by keeping data intact, using Hard Disk Manager.

Hereafter the operation,, which changes the partition size is referred to as resizing (resize).

4.19.1 Overview

The Resize & Move Partition function allows the user to arbitrarily change the size and position of partitions on the disk. By combining the functions to resize and move several partitions, enables the user to solve tasks such as:

ð Redistribution of disk space between existing partitions

ð Releasing disk space for creating new partitions

ð Adding extra space to existing system partition(s)

Resizing partitions

Common disk management tools are supplied by the given operating systems; these only offer the destructive method of changing partition size: the old partition has to be deleted, a new one which has other capacity needs to be created and formatted. These actions irreversibly destroy all data previously located on a partition.

Instead, Hard Disk Manager can resize the partition, i.e. it allows the user to change the partition capacity without destroying data. When this operation is being performed, the program analyzes the current allocation of files and evaluates the resulting allocation of files on the changed partition. Then, the program moves data to the new location and finally, corrects the system information about the partition properties.

Moving partitions

A partition can be re-located (i.e. moved) as a whole. Again, common disk management tools provide only the destructive method of changing a partition's position: the old partition has to be deleted, a new one with another location needs to be created and formatted. These actions irreversibly destroy all data previously located on a partition.

Hard Disk Manager can move the partition without destroying data. When performing this operation, the program simply moves the usable sectors of a partition to a new location and updates the system information of the partition properties.

Combined Resize & Move operation

This version of Hard Disk Manager integrates both the Resize and Move operations into a single operation called Resize & Move Partition, which is more convenient for users. The program uses the combined algorithm that allows the free modification of both capacity and location of a partition.

The combined Resize & Move operation submits to both resizing and moving terms, which are described in the following text.

4.19.1.1 Supported file system types

Hard Disk Manager only supports the Resizing for partitions of known file system types: FAT16, FAT32, NTFS, Ext2, Ext3, ReiserFS.

The program uses the knowledge of the internal structure of file systems to change its size correctly. Unknown and unformatted partitions are not acceptable!

Instead, Moving is supported for partitions of any type. The program always uses the sector-to-sector copying algorithm for unknown and unformatted partitions (see the section Functionality Overview > Fast copying algorithm). Known file systems can be processed in both sector-to-sector and fast copying modes.

In the fast copying mode, the program copies only usable sectors. This feature significantly diminishes the time required to complete the operation. In this case, the program accepts only valid partitions, which have no file system errors.

In the sector-to-sector copying mode, the program ignores the file system information and simply copies all sectors. This method is slower than the fast copying mode, however, it enables the moving of any partition.

4.19.1.2 Limitations on the new partition capacity and location

Hard Disk Manager allows resizing and moving a partition only within blocks of unpartitioned space that are contiguous with the selected partition. The program does not allow the modified partition to overlap nor "skip over" other partitions.

In particular, the program does not allow the user to expand the selected partition at the expense of free space on other partitions in a single operation. This procedure consists of several steps and is described in the section How to expand a partition at the expense of free space from another partition.

The picture below summarizes these constraints:

· The selected partition is FAT16 (green-colored __).

· Disk space, which is available for moving a partition, and which can be added to the partition during the resizing, is marked with green arrows.

· Disk space, where the selected cannot be moved, and which cannot be added to the partition, is marked with red arrows.

In addition, this theme is discussed in the section How Hard Disk Manager evaluates space available for relocating and resizing of a partition.

4.19.2 Initiating the operation

The Resize & Move Partition operation can be initiated in several ways that differ in their user-friendliness and flexibility. According to the user’s aims, one can choose either the fast method based on the drag-&-drop technique or the accurate method based on entering parameters in the Resize & Move Partition dialog.

4.19.2.1 Using the drag-&-drop technique for Resizing a Partition

The drag-&-drop technique is available only in case of enabling virtual execution of operations; in the Smart and Virtual Execution modes (see the chapter Virtual operations).

The drag-&-drop technique for the Resize Partition operation is supported only in the UDP Layout panel:

· select a partition you want to resize in the UDP control

· position the mouse cursor over its right or left edge

· press and hold the primary (=left) mouse button

· drag an edge of the partition to an adjacent block of free space

· and drop it to the desired position.

Remember, the program is only able to expand a partition to an adjacent block of free space (see Limitations of the Resize & Move operation).

While dragging a partition's edge, the program indicates the availability of the operation for the current position:

Initial layout of partitions:

The program is able to expand the partition:

The program cannot expand the partition:

The mouse cursor is dragged over another partition. Nevertheless, partitions cannot overlap.

See the section Comments for more details about Resize & Move rules.

4.19.2.2 Using the drag-&-drop technique for Moving a Partition

The drag-&-drop technique is available only when the virtual execution of operations is enabled in the Smart and Virtual Execution modes (see the chapter Virtual operations).

The drag-&-drop technique for the Move Partition operation is supported in all layout panels (the Tree Layout panel, the UDP Layout panel and the List of Partitions):

· select a partition you want to move

· position the mouse cursor within a colored bar representing the partition

· press and hold the primary (=left) mouse button

· drag a partition to an adjacent block of free space

· and drop it to the desired position.

Remember, the program is only able to expand a partition to an adjacent block of free space.

During the dragging a partition, the program indicates the availability of the operation for the current position:

Initial layout of partitions:

The program is able to move the partition to this place:

The program cannot move the partition to this place:

The moved partition overlaps with another partition, which would be a violation.

See the section Comments for more details about Resize & Move rules.

4.19.2.3 Using the Resize & Move Partition dialog

The Resize & Move Partition dialog provides the full functionality of the Resize & Move function: one can accurately set any admittable position for the partition and precisely define its final size.

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition to be Moved and/or Resized

Select a partition to be moved or resized in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, the partition will be highlighted in all three panels. This function is not available for blocks of free space.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Resize/Move…

· Call the popup menu for the selected partition in any of the layout panels (click the right mouse button), then select the menu item:

Resize/Move…

· Press the Alt+Z keyboard combination

Step 3. Define parameters of the operation

In the Resize & Move Partition dialog, the user can define a new location and the size of the partition. The section Description of parameters contains a detailed description of the dialog's functionality.

4.19.3 Description of parameters

The Resize/Move partition dialog provides the ability to fully control the resulting position and size of the selected partition. The program determines the range of disk space available for the partition to be place in (see the section How Hard Disk Manager evaluates space available for relocating and resizing of a partition). Hard Disk Manager allows re-locating and re-sizing the partition within the range of disk space that includes the partition and the enveloping blocks of free space.

The user can move the partition and change its size either with the UDP control that is located in the window or the three spinner controls located at the bottom:

Free Space Before

The Free space before spinner control defines the position (in MB) of the partition relative to the beginning of the available range of disk space.

New Size

The New size spinner control defines the size (in MB) of the partition.

Free Space After

The Free space after the spinner control defines the amount of trailing free space (in MB) at the end of the available range of disk space.

The restrictions the program takes into account are:

· The partition cannot be enlarged beyond the range of available disk space.

· The partition cannot be reduced to an amount less than the used space.

The UDP control and spin controls are synchronized, so that the changing of any of these elements affects all other ones as well.

How the spin controls behave:

Free space before | Moves the beginning of the partition (left edge), preferably maintaining the partition size.
New Size | Changes the size of the partition, preferably maintaining the starting position (left edge).
Free space before | Moves the end of the partition (right edge). On increasing the value, it (preferably) keeps the partition size. On decreasing the value, it (preferably) keeps the starting position (left edge) so that the partition expands.

There are rules that affect the partition resizing. See the section Comments for more details.

4.19.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

Resize&Move is a lengthy operation, and usually requires a lot of memory. Its real performance fundamentally depends on the amount of files, branching and nesting of directories, the hardware and operating system being used.

4.19.5 Comments

4.19.5.1 How Hard Disk Manager evaluates space available for relocating and resizing partitions

Hard Disk Manager uses the following rules to determine the available range of disk space and to resize and move partitions:

1. The program includes to the available range:

ð the selected partition

ð the left adjacent block of free space (if available)

ð and the right adjacent block of free space (if available).

2. The moved (resized) partition must completely have enough room within the available range of disk space. The program does not allow the user to expand a partition over other partitions.

3. In case of miniaturizing a partition, the resulting partition size cannot be less than the amount of used space stored on this partition.

4.19.5.2 Conversion of FAT16 to FAT32 during the resizing

FAT16 partitions are limited to the value of 2GB. However, Hard Disk Manager allows the user to expand FAT16 partitions over the 2GB boundary by converting FAT16 file systems to FAT32.

In this case, the program displays the following warning message.

The program allows this warning to be deactivated (see chapter Settings overview, section General settings):

(menu) General > Settings… > (page) General > (checkmark) Convert FAT16 to FAT32 automatically

In this case, the program automatically converts FAT16 partitions to FAT32 without any warnings.

4.19.5.3 Resizing & moving the Extended Partition

Hard Disk Manager provides a limited functionality in changing size and location of the Extended Partition:

· The Extended Partition cannot be moved as a whole.

· When resizing the Extended Partition, only its starting and ending edges can change position. Logical and primary partitions stay intact.

In fact, edges can move within adjacent blocks of free space. The picture below illustrates these rules:

4.19.5.4 How to expand a partition at the expense of the free space of another partition.

According to the Hard Disk Manager strategy, partition-related operations should modify only one partition at a time.

In fact, the procedure of redistributing space between partitions affects two or more partitions, so that it should be executed in multiple steps. Each of these steps is resizes or moves a partition.

Resize & Move is a lengthy operation. For this reason, it is convenient to activate the Virtual Execution of operations (see the section Settings Overview > Operations settings). In the Virtual Execution mode, the user can quickly "construct" a new disk layout in the program's GUI, and then leave the program to complete all pending operations (see chapter Virtual operations for a delayed execution of virtual operations).

Example 1: Transferring space between neighboring partitions

Initial state: there are three partitions on the disk, the NTFS partition has insufficient free space, while the Ext2 partition has a lot of free space:

Our aim is to "transfer" some free space from the Ext2 to the NTFS partition.

Step 1. Diminish Ext2 partition

At first, the partition with plenty of free space needs to be diminished. In our example, the starting edge of the Ext2 partition must be moved away from the NTFS partition:

The released disk space is adjacent to the NTFS partition, so that it can be added to that partition.

Note: although the program supports visual drag-&-drop technique for the Resize & Move Partition operation, the using of Resize & Move dialogs can be more convenient because they allow an accurate definition of the amount of released space and its new location.

Step 2. Expand NTFS partition

Next, the NTFS partition should be expanded to the adjacent block of free space by moving its ending edge towards the Ext2 partition:

Step 3. Applying pending operations

Finally, one should complete the physical execution of pending operations by pressing the Apply button on the Virtual Operations Toolbar (see the chapter Interface Overview > Virtual Operations Toolbar).

Example 2: Gathering free space from several Logical Partitions and adding it to a Primary Partition.

This example is a little bit more complicated. In addition to Example 1, it demonstrates the technique of "transferring" disk space over the boundaries of the Extended Partition.

Initially, the 1st Primary Partition (NTFS, drive F:) has insufficient amount of free space, while the 1st Logical Partition (FAT32, drive H:) and 2nd Logical Partition (FAT16, drive G:) have sufficient free space. Additionally, a block of free space is located behind the Extended Partition:

The goal is to pick up all unpartitioned free space and most of unused space (e.g. 50-80%) from all logical partitions, and add it to the Primary Partition.

Potentially, this task can be completed in several ways. This is the optimal one: an outer block of free space must be included in and "lead through" the Extended Partition (by moving logical partitions). During the process of moving logical partitions, it is possible to additionally reduce them in size in order to gather unused disk space into a single block of free space. The free block will be extracted to the opposite side of the Extended Partition.

Step 1. Include the last block of free space to the Extended Partition

Expand the ending edge of the Extended Partition to the free block in order to include the free space in the Extended Partition:

Now the block of free space can be re-positioned within the Extended Partition.

Step 2. Diminish and move the last logical partition

The last logical partition should be reduced and then moved to the end of the Extended Partition:

Now the free block is larger, and is able to obtain unused space from the logical partition situated ahead.

Using the Resize/Move dialog provides a more optimal sequence of the operations:

· Using the Resize/Move dialog, step 1 can be realized within one Resize / Move operation. Within the dialog, only the parameter Free Space Before needs to be changed.

· Using the drag-&-drop technique, two isolated operations are required to be run separately in order – Resize Partition and Move Partition,.

Step 3. Diminish and move next logical partition

Similarly to the previous step, each logical partition should be moved towards the end of the Extended Partition:

Step 4. Exclude the block of free space from the Extended Partition

Move the starting edge of the Extended Partition towards logical partitions in order to extract the free block outside the Extended Partition:

Now the free block is located behind the primary partition and can be joined together.

Step 5. Expand the Primary Partition

Now the Primary Partition is able to obtain free space:

Step 6. Applying pending operations

Finally, the user should complete the physical execution of pending operations by pressing the Apply button on the Virtual Operations Toolbar (see chapter Interface Overview > Virtual Operations Toolbar).

4.19.5.5 About interruption of the Resize/Move operation

Both resizing and moving actions temporarily distort the original file system information in order to adapt data to the new partition layout. A breaking of the Resize & Move operation usually makes a processed partition damaged and unusable.

However, it is possible to avoid data loss by executing the Resize&Move operation in the fail-safe mode, which can be activated in the program's Settings (see the section Settings overview > General settings > Data loss protection). In this mode, the program is able to continue operations, which were interrupted by hardware malfunction, power break or operating system failure.

A common procedure of resuming operations in the fail-safe mode is described in the section Executing operations in the fail-safe mode.

i

In case an operation was interrupted by a user, the program will not provide the ability to resume the operation, even when in the fail-safe mode. Remember, an interruption of the Resize & Move operation usually leads to the irrevocable corruption of a processed partition.

4.19.5.6 Memory requirements

The Resize & Move operation requires a large amount of memory for the execution, primarily for building up the map of data that should be moved to another location.

Here are the evaluation formulas:

File system | Memory requirements
FAT16/FAT32, Ext2/Ext3 | 12 bytes per used cluster (maximum between the original and resulting file system states)
NTFS | 0.5 bytes per used cluster (maximum between the original and resulting file system states)

4.19.6 Resizing and moving locked and system partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary).

Hard Disk Manager requires the exclusive control of a partition being moved or resized. The Resize & Move Partition operation is incompatible with any other data activity because the program temporarily distorts file system data in order to successfully complete the operation.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Resize & Move Partition operation, when a locked partition has been selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.20Redistribute Free Space

This chapter explains how to enlarge a partition volume at the expense of free disk space redistribution with Hard Disk Manager.

4.20.1 Overview

The Redistribute Free Space function allows to arbitrarily change the size of free space on the hard disk, distributing it to available local partitions.

Standard disk management tools provide a destructive method of changing the size of free space – a user should delete enlarged partitions and create new ones, which are larger in size. These actions irreversibly destroy all data previously located on a partition.

However, Hard Disk Manager can add new disk space to a partition, i.e. it is able to change a partition capacity without destroying data. In the course of performing this operation the program analyzes the current allocation of files and evaluates their resulting allocation on the changing partition. Next, the program moves data to the new location and finally, corrects the system information about the partition properties.

4.20.2 Initiating the operation

Select in the main menu:

Wizards > Redistribute free space

The Redistribute Free Space Wizard opens its first page.

This page informs the user of the kind of tasks the wizard is able to assist.

Click on the “Next” button to continue.

The second page of the Wizard displays the local disks layout. Available partitions are represented with UDP elements, which allow estimating inserted changes. Here the following partition parameters are displayed:

· a hard disk number assigned by the operating system,

· the hard disk model,

· a file system type,

· the volume of used space on each of partitions

· the free disk space that is available for distributing.

To receive more information on disk partitions the user clicks on “the question-sign”. In this case the Wizard displays the values of the parameters of the chosen partition as:

· the partition type (Primary or Logical),

· the file system type (for the known file system types),

· a serial number,

· the summary capacity,

· the used space of the partition,

· free space,

· sectors per cluster,

· the first physical sector,

· and the last physical sector.

Based on the represented disks layout the user chooses a partition that is to be enlarged at the expense of the free disk space redistribution. Click on the “Next” button to proceed.

The third page allows the user to select a block of free space that will be distributed to the partition. There is also the possibility to define the added volume with a slider at the lower section of the page. At the top of this section the current size of distributed space is displayed. On the left side of the slider the minimal value of space volume that can be distributed is displayed, on the right side – the maximal value of the parameter. Moving the slider changes the volume of the disk space.

Click on the “Next” button to proceed.

The fourth page allows the user to revise the changes to be made to the disk layout. Here the user can compare the states of the disk structure before and after the Wizard job. The information is represented both in graphical (UDP representation at the middle of the page) and in textual variants (at the lower section). If all the changes are acceptable please click the “Next” button to continue.

The Wizard considers the importance of the performing actions, asking the user to confirm the changes. By default the possibility is given to reconsider the planned operation parameters. It helps to preserve the occasional initializing of the operation.

When the user confirms the changes, the “Next” button at the foot of the page is enabled. By clicking the button the user starts applying the changes.

The next page of the Wizard displays the progress of the operation. The first progress bar displays a sub operation progress, the second shows the overall progress of the operation. Each step of the Wizard includes an explaining record in the “Operations details” list.

In case the operation finishes successfully, the Wizard displays its final page. To close the Wizard the user clicks the “Finish” button.


4.21Mount Partition

This chapter describes how to assign drive letters (mount) and dismount partitions in Windows NT, 2000 and XP with Hard Disk Manager.

4.21.1 Overview

Hard Disk Manager allows the user to assign or change drive letters to existing formatted partitions. This function is available exclusively in Windows NT, 2000 and XP.

i

This functionality is not available in DOS and Windows 95, 98 and ME because these operating systems do not support customizing the assignment of drive letters.

Operating systems require a name (e.g. drive letter), which is assigned to a partition. DOS and Windows 95, 98, ME automatically assign drive letters to all partitions of supported file system types during the startup. These operating systems do not allow drive letters to be altered.

Instead, Windows NT, 2000 and XP allows the drive letters to be freely changed, deleted or the ability of adding letters to partitions that are supported by these operating systems. Windows provides the Windows Disk Administrator utility for assigning and changing drive letters. Instead, Hard Disk Manager can be used for this purpose.

4.21.2 Initiating the operation in the Windows-based version

The actions are similar to ones required for initiating other operations.

Step 1. Select an existing partition

Select any Primary or Logical partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

The operation is not available for the Extended Partition.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Mount…

· Call the popup menu for the selected partition, then select the menu item:

Mount…

Step 3. Assign or change drive letter

After selecting a partition, the Mount Partition dialog appears.

The Mount Partition dialog allows assigning, changing or deleting a drive letter that is associated with a partition.

4.21.3 Description of the parameters

Partition

This text contains a brief description of the selected partition. It is used for notification purposes only.

Assign drive letter

Set this radio button to assign a drive letter to a non-mounted partition, or to change a drive letter for already mounted partition.

The pull-down list contains unused drive letters that can be associated with the selected partition.

Do not assign a drive letter

Set this radio button to remove the drive letter associated with a partition from the system. By default, the program suggests this action for mounted partitions. The action of drive letter removal is also named dismounting.

4.21.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The mounting/dismounting of a partition takes several seconds: the program waits until Windows accommodates the changing of the disk layout. This operation may take 5-20 seconds in Windows 2000 and XP.

4.21.5 Comments

4.21.5.1 Mounting partitions with unsupported file system types

Hard Disk Manager allows the user to mount partitions of any file system type, including ones not supported by an operating system. In this case, a partition has a drive letter assigned; but when trying to explore the partition's contents, a user receives the error message:

4.21.5.2 Manipulating drive letters in Windows 95, 98 and ME

DOS and Windows 95, 98 and ME automatically assign drive letters to partitions during the system startup. These operating systems scan partitions in the predefined order, which cannot be changed, and successively assign drive letters to unhidden FAT16 and FAT32 partitions. In case IFS drivers for other file systems are installed, Windows can additionally mount partitions of other types.

The order in which Windows scans through partitions is as follows:

1. The active partition on the first hard disk takes the drive letter C:

2. Windows scans the first primary partitions on all other hard disks.

3. Windows scans all logical partitions on the first hard disk, then it adds logical partitions on the second hard disk, and so on.

4. Finally, it adds residue primary partitions on all hard disks.

The legal way of "dismounting" partitions in DOS and Windows 95, 98 and ME is to Hide unnecessary partitions. Disadvantages of this method are as follows:

· Other partitions may change their drive letters.

· A system reboot is required to apply changes.

4.21.6 Dismounting locked partitions

Hard Disk Manager allows the user to dismount locked partitions. Locked partitions are used by other software. An untimely dismounting of locked partitions may lead to unpredictable results.

To avoid the mentioned problems, Hard Disk Manager reboots the system to a single-tasking environment in order to eliminate the interference of other programs. In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

As a matter of fact, the dismounting of a partition being used may seem illogical (e.g. using a partition and trying to cancel its accessibility at the same time). It is recommended to re-check you’re the made actions to avoid the corruption of usable data.


4.22Convert File system

This chapter explains how to change the file system type of existing partitions by keeping data intact with Hard Disk Manager.

Hereafter, the operation of non-destructive changing of the file system type is referred to as file system conversion.

4.22.1 Overview

It is known that various operating systems have different stacks of supported file systems, and file systems vary significantly in their provided features, such as filename standards, security standards and many other properties. In addition, file systems differ in performance of input-output operations and in maintenance costs.

A user may have want to change the file system type on a partition in the following cases:

· Getting advanced file system features (security, compression, encryption etc).

· Getting better performance of file managing operations.

· Getting better fault tolerance

· Allowing access to an on-partition data from multiple operating systems.

Common disk management tools and operating systems usually provide only a destructive method of changing file system type by re-formatting a partition to another file system. Unfortunately, this action destroys all the data located on a partition (only exclusion is the CONVERT utility provided with Windows NT, 2000 and XP; its performance is discussed in the section The CONVERT utility from Windows NT, 2000 and XP).

Hard Disk Manager provides the ability of file system conversion, i.e. the program can change the file system type without destroying data.

4.22.1.1 Supported file system types

Hard Disk Manager allows the following file system conversions:

Original file system | Resulting file system | Comments
FAT16 | NTFS | Allows changing the Cluster Size to a smaller value
 | FAT32
FAT32 | NTFS
 | FAT16 | A partition should meet FAT16 file system requirements (size<2GB, amount of files/clusters<65530)
NTFS | FAT16
 | FAT32 | Files should be less than 4GB in size. Keeps the original Cluster Size value
Ext2 | Ext3 | Adds the journal metadata

When performing the Convert File system operation, the program checks the current file system consistency and then verifies that the on-partition data meet the requirements of the resulting file system. If the selected partition passed testing, the program re-organizes the file system metadata and user files (see the chapter Glossary).

4.22.1.2 Primary Conversion constraints

The primary constraint of the file system conversion is that the data placed on the selected partition needs to meet requirements of the chosen resulting file system. These requirements are briefly listed in the table:

Conversion | Conditions
FAT16 > NTFS FAT32 > NTFS FAT16 > FAT32 | Available for all partitions having consistent file system.
NTFS > FAT32 | Available for following consistent partitions: · Capacity < 8000 GB · Amount of files and folders < 256 million · Each file is less than 4GB · Each folder contains less than 65530 files and subfolders.
NTFS > FAT16 FAT32 > FAT16 | Available for following consistent partitions: · Capacity < 2 GB · Amount of files and folders < 65530 · Amount of clusters < 65530
Ext2 > Ext3 | Available for all partitions having consistent file system.

4.22.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition you want to change the file system type

Select a primary or logical partition formatted to FAT16, FAT32 or NTFS file system, in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Convert…

· Call the popup menu for the selected partition and select the item:

Modify > Convert…

Step 3. Define parameters of the operation

The user is able to assign the following parameters:

· Selecting a resulting file system type (see the table in the section Overview).

· Choosing a new Cluster Size (within a limited range of values).

Initially, the program suggests converting FAT to NTFS, or NTFS to FAT32, without changing the Cluster Size value.

After choosing the desired operation parameters, press the OK button to confirm the operation.

4.22.3 Description of parameters

4.22.3.1 "Convert file system" dialog

The dialog allows the user to observe the current properties of the selected partition and choose a new file system type. When converting FAT16/FAT32 to another file system, the program also allows the user to change the Cluster Size value.

Convert to:

The pull-down list contains the file systems to which the selected partition can be converted. The program considers the current parameters of the selected partition and file system limitations. Unavailable conversion variants are not displayed. See section Comments and Format Partition > Comments for more details.

Sectors/Cluster

This tracker control allows additional modification of the Cluster Size property of the converted partition. This feature has some limitations:

· This function extension is available only for FAT16>NTFS and FAT32>NTFS conversion.

· The Cluster Size can only be reduced in this function extension.

The operation Change Cluster Size allows full control of the Cluster Size parameter, changing it to any valid value.

In addition, following fields are used to display the partition properties:

Partition | Displays the number of the partition on the hard disk
Hard disk | Displays the hard disk number that contains the selected partition
Drive letter | Displays drive letter that is assigned to the selected partition. Non-mounted partitions contain "*:" in this field
Current type | Displays a partition type (Primary or Logical)
Current file system | Displays the current file system placed on the selected partition

4.22.3.2 "Confirm locale settings" dialog

This dialog can appear before the real execution of the Convert File system operation. It provides the ability of customizing locale settings (regional settings), which should be used by the program during the file system conversion (see the section Comments for more details).

Default locale settings are defined in the program's Settings (see the section Settings overview > Locale Info settings). This dialog allows custom settings in particular cases.

Time zone

This pull-down list allows the user to select the time zone parameter.

This value is used for valid correction of file timestamps in cases of conversion NTFS>FATxx or FATxx>NTFS (see the section Comments for more details).

Filename language

This pull-down list allows the user to select the code page parameter.

This value is used for the valid translation filenames from Unicode to ANSI (or OEM) coding and vice versa, in cases of conversion NTFS>FATxx or FATxx>NTFS (see the section Comments for more details).

Do not show this dialog again

Set this checkmark in order to deactivate the "Confirm locale settings" dialog. In this case, the program will use the default locale settings (see the section Settings overview > Locale Info settings).

This option duplicates the program's setting "Convert FAT16 to FAT32 automatically".

4.22.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

Convert File system requires a lot of memory, in some situations it may take some time to complete the operation. Its real performance fundamentally depends on the amount of files, branching and nesting of directories, the hardware and operating system being used.

4.22.5 Comments

4.22.5.1 Using locale settings in file system conversion

Regional settings (or locale settings) are important when converting NTFS to FAT and FAT to NTFS. FAT family file systems (FAT12, FAT16, FAT32) and NTFS use different standards to save file names and file timestamps.

File timestamps

FAT and NTFS keep Creation time, Last Modification time and Last Accessed time timestamps for every file and directory.

In the FAT file systems, the timestamps, which are saved in referring servicing records, simply duplicate the appropriate values of the local time.

In the NTFS file system, the timestamps, which are saved in referring servicing records, are stored in GMT (Greenwich Mean Time). An operating system calculates the values, which are usually saved in the file timestamps, by using the time zone value from Regional Settings.

Hard Disk Manager is able to not only use the current time zone from Regional Settings, but offers an arbitrary selecting of this value.

In case the time zone value is assigned incorrectly, all on-partition files and directories on the converted partition are "younger" or "older" to the fixed time value, which can vary within ±24 hours.

Filename Language

FAT and NTFS keep two filenames for every file and directory. The first one is named long filename (LFN), and the second is named short filename (or DOS alias).

The LFN can be up to 254 characters long, and is able to include characters in multiple languages. In both FAT and NTFS, long filenames are kept in the Unicode character encoding standard.

The short filename must meet the so-called 8.3 filename standard, originated from the old MS-DOS systems. Old software does not support long filenames; it use short filenames to access files.

Unfortunately, FAT keeps short filenames in ANSI encoding standard, while NTFS uses Unicode for this purpose.

Hard Disk Manager uses information about filename language for the correct conversion of non-Unicode filenames into Unicode filenames or vise versa.

The incorrect assigning of filename language may lead to problems while accessing files with non-English filenames on partitions that have been converted from NTFS to FAT16/FAT32.

4.22.5.2 The CONVERT utility from Windows NT, 2000 and XP

Windows NT, 2000 and XP provide a command-line CONVERT utility that allows converting FAT16 and FAT32 partitions to NTFS without destroying on-partition data.

Unfortunately, this utility has some disadvantages:

· It does not allow a backward conversion from NTFS to FAT.

· It does not perform a file system integrity check at the conversion, so that it can corrupt a partition having minor file system errors.

· It unconditionally changes the Cluster Size value to the minimum value of 1 Sector per Cluster, which noticeably slows down the performance of the disk subsystem.

4.22.5.3 Memory requirements

The Convert File system operation requires a large amount of memory for the execution, primarily for building the map of data that is to be moved to another location.

Here are the evaluation formulas:

File system | Memory requirements
FAT16 <=> FAT32 | 12 bytes per used cluster (maximum between the original and resulting file system states)
NTFS <=> FAT | 4.5 bytes per used cluster (maximum between the original and resulting file system states)

4.22.5.4 About interruption of the Convert File system operation

The Convert File system operation temporarily distorts the original file system information in order to adapt data to the new partition layout. An interruption of the Convert File system operation usually damages a processed partition and makes it unusable.

However, it is possible to avoid data loss when executing the Convert File system operation in fail-safe mode, which can be activated in the program's Settings. In this mode, the program is able to continue operations that have been interrupted by hardware malfunction, power break or operating system failure.

A common procedure for resuming operations in the fail-safe mode is described in the section Executing operations in the fail-safe mode.

i

When an operation has been interrupted by the user, the program will not provide the ability to resume the operation, even when in the fail-safe mode. Remember, an interruption of the Convert File system operation usually leads to the irrevocable corruption of a processed partition.

4.22.6 Converting File system of locked partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary).

Hard Disk Manager requires the exclusive control of a partition when changing file system type. The Convert File system operation is incompatible with any other data activity because the program temporarily distorts the file system data in order to successfully complete the operation.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Convert File system operation, when a locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.23Change Cluster Size

This chapter explains how to change the Cluster Size parameter without re-formatting a partition with Hard Disk Manager.

4.23.1 Overview

The Cluster Size is a one of the important parameters of a file system (see the chapter Glossary for more details).

The Cluster Size parameter affects implicitly on the performance of file input-output activity because it defines the size of file system metadata. In addition, it is responsible for the effectiveness of disk space usage: the so-called waste space factor depends on the Cluster Size value.

Briefly, the Cluster Size affects on the disk subsystem properties as follows:

· The diminishing of the Cluster Size reduces the waste space factor, but slows down the file activity performance.

· The increasing of the Cluster Size accelerates the file activity performance and reduces maintenance requirements, but reduces the effectiveness of disk space usage.

The user may want to change the Cluster Size value on a workable partition for the following reasons:

· To improve the file activity performance (in this case, the Cluster Size should be increased).

· To improve the effectiveness of disk space usage (in this case, the Cluster Size should be decreased).

· To get an ability of using advanced features of the NTFS file system such as compression and encryption. The thing is that these features are available only for NTFS partitions having Cluster Size of 4KB or less.

Common disk management tools and operating systems provide only a destructive method of changing the Cluster Size value by re-formatting a partition with another file system parameters. Unfortunately, this action destroys all data located on a partition.

Instead, Hard Disk Manager provides the ability to change the Cluster Size to any legal value in a non-destructive manner.

4.23.1.1 Supported file system types

The Change Cluster Size functionality is provided for following file systems:

File system | Cluster size (in Sectors per Cluster) | Comments
FAT16 | 1* to 64 (0.5K to 32K) | * The minimum value essentially depend on the actual capacity of the partition
FAT32 | 1 to 64 (0.5K to 32K) |
NTFS | 1 to 128** (0.5K to 64K) | ** Windows cannot boot from NTFS partition having 64K Cluster Size.

When performing the Change Cluster Size operation, the program checks the current file system consistency. If the selected partition passes the consistency test, the program reorganizes the on-partition data.

4.23.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition to change the cluster size parameter

Select a primary or logical partition in the Tree Layout panel, or in the UDP Layout panel, or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Change cluster size…

· Call the popup menu for the selected partition and select the item:

Modify > Change cluster size…

Step 3. Define parameters of the operation

The user is able to assign a new value for the Cluster Size property.

Hard Disk Manager takes the current parameters of the selected partition and file system limitations into account, in order to determine the available range of the Cluster Size value.

Initially, the program displays the actual value of the Cluster Size property. After choosing desired values, press the OK button to confirm the operation.

4.23.3 Description of parameters

The dialog displays the selected value of the Cluster Size parameter and the available range for this value.

Sectors/Cluster

This spinner control contains the selected value of the Cluster Size file system's parameter. The text on the right side displays the available range of values.

The Cluster Size value is expressed in Sectors Per Cluster. To obtain the Cluster Size in Kbytes divide this into half.

Volume

This text contains a drive letter that is assigned to the selected partition. It is only used for notification purposes. Whenno drive letter is assigned, the text "*:" is displayed.

4.23.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

Change Cluster Size requires a lot of memory. In case the Cluster Size value is increased, the operation usually takes some time to complete. Its real performance fundamentally depends on the amount of data, branching and nesting of directories, the hardware and operating system being used.

4.23.5 Comments

4.23.5.1 Memory requirements

The Change Cluster size operation requires a large amount of memory for the execution, primarily for building the map of data that is to be moved to another location.

Here are the evaluation formulas:

File system |  | Memory requirements
FAT16, FAT32 |  | 12 bytes per used cluster (maximum between the original and resulting file system states)
NTFS | Increasing | = (<clus_amo> * 3/8) bytes + 4MB where clus_amo is the original amount of clusters
 | Decreasing | = (<clus_amo> /8 (1+ 2 * new / old)) bytes + 4MB where clus_amo is the original amount of clusters new and old are new and old Cluster Size values, respectively

The Change Cluster Size operation temporarily distorts the original file system information in order to adapt data to the new partition layout. An interruption of the operation usually damages a processed partition and makes it unusable.

4.23.5.2 About interruption of the Change Cluster Size operation

The Change Cluster Size operation temporarily distorts the original file system information in order to adapt the data to the new partition layout. An interruption of the Change Cluster Size operation usually damages a processed partition and makes it unusable.

However, it is possible to avoid data loss when executing the Change Cluster Size operation in fail-safe mode, which can be activated in the program Settings.

4.23.6 Changing Cluster Size on locked and system partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary).

Hard Disk Manager requires the exclusive control of a partition when changing the Cluster Size value. The Change Cluster Size operation is incompatible with any other data activity because the program temporarily distorts the file system data in order to successfully complete the operation.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Change Cluster Size operation, when a locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.24Change Primary Slot

This chapter explains how to change the enumeration of Primary Partitions in the Partition Table with Hard Disk Manager.

The operation of changing the enumeration of Primary Partitions is referred to as Change Primary Slot.

4.24.1 Overview

The enumeration of partitions according to the order of appropriate records in the Partition Table is used in the DOS partitioning scheme (see chapter Glossary for more details). Operating systems use this kind of partitions enumeration in the following manner:

Using the enumeration of partitions in Linux

In Linux, every partition has a special symbolic name that encodes a hard disk containing a partition, and a partition itself. Partitions are addressed and accessed by using their symbolic names.

Symbolic names are automatically generated by Linux, in accordance with the order of hard disks in BIOS and the order of partition records in the Partition Table.

The changing of primary partitions enumeration can lead to the changing of paths to some important resources.

Using the enumeration of partitions in Windows NT, 2000 and XP

Windows NT, 2000 and XP distinguish partitions by their starting position on a hard disk and usually ignore partitions’ enumeration. However, there have been cases when Windows relies on the partitions’ enumeration:

1. The NTLDR (NT loading module) distinguishes partitions by their enumeration. It reads the number of the Windows system partition from the configuration file BOOT.INI.

2. The changing of primary partitions enumeration can lead to the inability of Windows NT/2000/XP to boot.

3. Windows NT/2000/XP uses the enumeration of partitions when automatically assigning drive letters to partitions on a hard disk which is initially connected to the system.

4. The changing of primary partitions enumeration affects the drive letters assignment in this case.

Using the enumeration of partitions in DOS and Windows 95, 98 and ME

Windows 95, 98 and ME and the last versions of MS-DOS use a rather sophisticated algorithm for drive letters assignment. A drive letter, which is assigned to a partition, depends on the order of records in the Partition Table.

The changing of primary partitions enumeration affects the drive letters assignment. In early versions of MS-DOS, it can even lead to the unavailability of a partition.

In any case, the user may want to change the enumeration of primary partitions.

Common disk management tools do not provide the ability to change partitions’ enumeration. Moreover, various utilities work in different manner, so that the possibility of messing the partitions’ enumeration by seemingly inoffensive actions is given.

Hard Disk Manager provides the ability to change the enumeration of primary partitions. This feature allows the user to fix problems concerning the inappropriate order of partitions. In particular, the program can restore the ability to start from a Windows bootable partition, in case settings of the boot configurations in the BOOT.INI file mismatch.

4.24.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a hard disk, where the enumeration of partitions should be changed

Select a hard disk in the Tree Layout panel or in the UDP Layout panel. The selected disk will be highlighted in both panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Hard disk > Change primary slot…

· Call the popup menu for the selected hard disk and select the item:

Change primary slot…

Step 3. Change the order of records in the Partition Table

The user is able to change the enumeration of Primary Partitions and the Extended Partition.

Initially, the program displays the actual state of the Partition Table. After making the desired changes, the user can press the OK button to confirm the operation.

4.24.3 Description of the dialog functionality

4.24.3.1 Layout

The dialog displays the actual enumeration of Primary Partitions in the Partition Table (it exhibits the order of appropriate records, which refer to primary partitions in the primary part of the Partition Table referencing records. See chapter Glossary for more details about the structure of the DOS partitioning scheme).

The top part of the dialog displays the enumeration order of partitions with the parameters that can help to distinguish partitions:

Slot | The current position of the record, which refers to the selected partition, in the Partition Table
Error | No – the selected partition has parameters consistent with the hard disk geometry and parameters of other partitions Yes – the selected partition
Filesystem | The filesystem that is placed on the selected partition
Volume label | The Volume Label of the selected partition
Start Sector | The starting position of the partition on the hard disk (expressed in Sectors, in the hexadecimal form)
End Sector | The ending position of the partition on the hard disk (expressed in Sectors, in the hexadecimal form)

The bottom part displays additional information about a selected partition:

ð Filesystem type

ð Serial Number

ð Volume Label

ð Assigned Drive Letter

ð Capacity

ð Used Space (value and percentage to the Capacity)

ð Free Space (value and percentage to the Capacity)

ð Cluster Size (Sectors per Cluster)

ð Size of Boot Area (Sectors per Boot)

4.24.3.2 Usage

There are two buttons on the right of the list of primary partitions, which allow the user to move a selected partition up and down within the primary part of the Partition Table:

· Select a partition, which needs its number changed.

· Click the "Up" button to move the selected partition one position up. If the upper position is occupied with another partition, the records switch places.

· Click the "Down" button to move the selected partition one position down. If the lower position is occupied with another partition, these records switches places.

The program allows the re-positioning of a partition's record to any of four available positions.

4.24.4 Running the operation

During the real operation execution, the Progress Information window appears.

The Change Primary Slot operation takes a fraction of a second. However, the program should waiting while the operating system accommodates the changes in the Partition Table. This action may take 5-20 seconds in Windows 2000 and XP.

4.24.5 Comments

4.24.5.1 Partition enumeration rules in Linux

Linux lists detected hardware and resources in the /dev directory. All detected hard disks and partitions are included in this list as specifically named entries (see also the section Order of Partitions ).

Hard disks are listed in the following manner:

· The 1st hard disk in the system is named /dev/hda

· The 2nd hard disk in the system is named /dev/hdb

· The 3rd hard disk in the system is named /dev/hdc

· And so on

Partitions have symbolic names that encode both the hard disk number and the relative number of a partition on a disk:

· A first primary partition, which is referred to by the 1st used record in the Partition Table, is named:

ð /dev/hda1 – on the 1st hard disk

ð /dev/hdb1 – on the 2nd hard disk etc

· A second primary partition, which is referred to by the 2nd used record in the Partition Table, is named /dev/hda2 (on the 1st hard disk), other primary partitions are named in similar manner.

· A first logical partition is always named /dev/hda5 (on the 1st hard disk), regardless of the actual number of primary partitions.

· Then the logical partitions are named in similar manner, in accordance with their position: /dev/hda6, /dev/hda7 ... /dev/hdb5 …

4.24.5.2 Partition enumeration rules in Windows NT, 2000 and XP

Windows NT, 2000 and XP use enumeration rules that are similar with ones used in Linux, except for a few minor differences.

In Windows, hard disks are enumerated in accordance with BIOS standards. In fact, Windows generates a symbolic name for each hard disk that includes the disk number. These symbolic names can be used in Windows-based programs to directly access the disk contents. However, they are useless for PC users.

Partitions are enumerated separately for each hard disk, in the following manner:

· A first primary partition, which is referred to by the 1st used record in the Partition Table, is indexed with 1.

· A second primary partition, which is referred to by the 2nd used record in the Partition Table, is indexed with 2, other primary partitions are indexed in similar fashion.

· Logical partitions continue indexing of partitions.

As already mentioned, Windows NT, 2000 and XP take the enumeration of partitions only in specific situations into account:

· In case the very first connection of a hard disk, to automatically assign drive letters to new partitions.

· At the Windows startup, NTLDR uses the partition's number to select the Windows system partition.

4.24.5.3 Fixing problems concerning incorrect settings in the BOOT.INI file

Operations of creating, deleting, restoring, copying and undeleting of primary partitions in Hard Disk Manager may lead to a change in the number of the Windows system partition, which in turn may prevent Windows to startup successfully. The same problems can occur in cases of using the standard disk managing tools such as FDISK or Windows Disk Administrator.

This problem can be solved either by editing the BOOT.INI file or by using the Change Primary Slot function in Hard Disk Manager (see also chapter Glossary ).

BOOT.INI is the textual configuration file for NTLDR, a boot-managing module in Windows NT, 2000 and XP. This file contains the reference to the Windows system partition among other parameters.

The section [operating systems] of the BOOT.INI file lists bootable partitions, in the following manner:

[operating systems]

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect

C:\="Microsoft Windows"

The combination

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS

defines the Windows system partition.

In case the number of the Windows system partition has been assigned incorrectly, the following error message appears after choosing the Windows boot configuration:

Windows could not start because the following file is missing
or corrupt:
<Windows root>\system32\hal.dll.
Please re-install a copy of the above file.

To solve the problem by editing the BOOT.INI,

the user should change the number of the Windows system partition (a fragment partition(x)).

Another (and better) solution is to add an alternative bootable configuration, which contains another partition number, simply copy the boot configuration line around the original one, and change the partition number in the fragment partition(x) to another value. From this time, the startup menu will contain multiple boot configurations, so that another boot configuration is available in case the first one fails.

To solve the problem by using Hard Disk Manager ,

Run the program, select the Windows system partition and change its position in the Partition Table by using the function Change Primary Slot.


4.25Make Logical / Make Primary

This chapter explains how to change a type of a partition (Primary to Logical or vise versa) with Hard Disk Manager.

4.25.1 Overview

Hard Disk Manager provides the ability to include a Primary Partition in the Extended Partition, or exclude a Logical Partition from the Extended Partition, without duplicating a partition. This feature can be used for re-organization of the disk layout, swapping or changing the number of Primary Partitions.

Formally, any primary partition can be copied inside the Extended Partition, or a logical partition can be copied outside the Extended Partition (so that its duplicate becomes a primary one). The disadvantage of this method is that a hard disk must contain enough unallocated free space to fit a duplicate of a partition.

The function Make Primary / Make Logical allows the user to move a partition inside or outside the Extended Partition without creating a duplicate. The function is available only for partitions that are adjoining the boundaries of the Extended Partition.

Converting a logical partition to a primary one:

On the picture:

· logical partitions, which can be "converted" to primary ones, are marked by green-colored running men

· logical partitions, which cannot be "converted" to primary ones (at least for now), are marked by red-colored standing men

Converting a primary partition to a logical one:

· primary partitions, which can be "converted" to logical ones, are marked by green-colored running men

· primary partitions, which cannot be "converted" to logical ones at this time, are marked by red-colored standing men

4.25.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition, which needs a changing of the partition type

Select a Primary or a Logical partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

The rules, which Hard Disk Manager uses to change a partition type, are explained in the section Rules of changing partition type .

Briefly, Hard Disk Manager is able to:

· change the first and the last Logical Partitions to Primary ones

· change Primary Partitions, which are adjacent to the Extended Partition, to Logical ones (i.e. including them in the Extended Partition).

Step 2. Select the operation to perform

Variants:

For Logical Partitions:

· Select in the main menu:

Partition > Modify > Make primary

· Call the popup menu for the selected hard disk and select the item:

Modify > Make primary

For Primary Partitions

· Select in the main menu:

Partition > Modify > Make logical

· Call the popup menu for the selected hard disk and select the item:

Modify > Make logical

The function Make Primary/Logical does not require assigning of any parameters other than selecting the targeted partition.

4.25.3 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The time required to complete the operation Make Primary / Make Logical depends on the parameters of a processed partition. Usually, it takes several seconds to make the changes in the Partition Table and wait for accommodating changes in an operating system.

However, in some cases the operation requires additional time to make changes in size and the starting position of the processed partition. In this case, the operation takes some time to process, which fundamentally depends on the partition properties (file system type, used space and data distribution).

4.25.4 Comments

4.25.4.1 Rules of changing partition type

The selected partition should adjoin to borders of the Extended Partition. The program permits a block of free space between the partition and the border of the Extended Partition:

· The first Logical Partition can be changed to a Primary one, which will be located before the Extended Partition.

(!) The operation is available only in case of the actual amount of Primary Partitions is less than 3 (three).

· The last Logical Partition can be changed to the Primary one, which will be located right after the Extended Partition.

(!) The operation is available only in case the actual number of Primary Partitions is less than 3 (three).

· The Primary Partition, which is adjacent left to the Extended Partition, can be changed to a Logical one. It will become the first Logical Partition.

· The Primary Partition, which is adjacent right to the Extended Partition, can be changed to the Logical one. It will become the last Logical Partition.

· In case there is no Extended Partition on a disk, a Primary Partition can still be converted to a Logical one. The program shrinks the selected partition, creates the Extended Partition and finally includes the selected partition in the Extended Partition.

Hard Disk Manager takes the rules of the DOS partitioning scheme into account (see chapter Glossary for more details).

1. The total amount of Primary Partitions plus the Extended Partition should not exceed four (4). It is the fundamental limitation of the DOS partitioning scheme.

2. Hard Disk Manager follows the partition alignment rules that are effective in the DOS partitioning scheme. If required, the program makes corrections in the starting position and capacity of a partition.

The operation to convert a logical partition to a primary one usually takes some time because it only requires the modification of a few records in the Partition Table.

On the other hand, the operation of converting a primary partition to a logical one usually requires re-aligning a partition in accordance with the alignment rules of the DOS partitioning scheme. This action requires some time because the partition needs to be resized and moved.

4.25.4.2 Solving issues with misaligned primary partitions

Partitions, which were converted from logical to primary using Hard Disk Manager , have the starting positions not aligned to the beginning of the corresponding cylinders. This means that these partitions do not meet the accurate requirements of the DOS partitioning scheme.

In spite of this minor discordance with partitioning standards, operating systems usually detect and access such partitions without problems.

However, there can be situations, when an operating system fails to correctly access a misaligned primary partition. There is an easy solution to this problem: apply the Resize & Move Partition operation on the misaligned primary partition: its starting position should be displaced to any allowable value, even to the least admissible one.

Hard Disk Manager suggests only correctly aligned positions of partition's edges in the Resize & Move Partition operation. After completion of this operation the resulting partition will be aligned correctly.

4.25.5 Working with locked partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary ).

The program cannot complete this operation on locked partitions because it may interfere disk input-output activity of an operating system or other applications.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Make Primary/Logical operation, whena locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.26Changing Partition Attributes

This chapter explains how to change partition attributes ("Hidden" flag, "Active" flag, Partition ID, Volume Label) with Hard Disk Manager.

4.26.1 Set a Partition Active/Inactive

4.26.1.1 Overview

Hard Disk Manager allows selecting an active partition on a hard disk. A system will boot from an Active (or bootable) partition at startup (see Glossary for more details).

The Set active/Set inactive operation is available exclusively for Primary Partitions.

The "Active" flag is kept in entries of the Partition Table. The standard MBR bootstrap code uses this flag to define which primary partitions should be used to boot the system.

By changing an active partition, one can manage an operating system to be activated on the next reboot.

4.26.1.2 Initiating the operation

The operation can be activated from the main program's menu or from the partition's popup menu. For inactive partitions, only the Set active operation is available. For active partitions, only the Set inactive operation is available.

Step 1. Select a Primary Partition to be activated/deactivated

Select an existing primary partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

i

The Set Active/Set Inactive operation is enabled only for Primary Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Set active…

· Call the popup menu for the selected partition, then select the menu item:

Set active…

4.26.1.3 Comments

About setting active/inactive locked and system partitions

The Set Active/Inactive operation does not interfere with file input-output operations. No reboot is required to change the "Active" flag for locked partitions.

Multiple active partitions

Potentially, Hard Disk Manager allows setting all primary partitions inactive, or setting multiple primary partitions active. In the last case, the program displays a warning message.

Both situations may lead to problems which can occur at the next system reboot:

· In case there are no active partitions on a hard disk, the standard bootstrap is unable to continue the startup process. The error message will be displayed:

DISK BOOT FAILURE, INSERT SYSTEM DISK AND PRESS ENTER

· In case there are multiple active partitions on a hard disk, the standard bootstrap is unable to continue the startup process. The error message will be displayed:

Invalid partition table

8Gb boundary limitation

Another problem results from the standard bootstrap code limitation: the standard MBR code is unable to continue the startup process from primary partitions that begin beyond the 1023rd Cylinder. On most modern disk subsystems, the 1023rd Cylinder corresponds to approximately 8GB of disk space. This limitation is sometimes referred to as the "8GB boundary limitation".

In case the active partition starts beyond the 8GB from the beginning of the disk, the standard MBR code displays the error message:

Invalid partition table

4.26.2 Hide/Unhide Partition

4.26.2.1 Overview

Hard Disk Manager allows hiding and un-hiding partitions. Operating systems do not mount "hidden" partitions, preventing getting access to their contents (see Glossary for more details).

This function is available exclusively for Primary and Logical Partitions.

The function can be used in the following cases:

· Managing partitions availability in DOS, Windows 95, 98, ME, Windows NT and XP.

· Managing drive letters assigning in DOS and Windows 95, 98 and ME.

· Manual un-hiding of previously copied partitions.

4.26.2.2 Initiating the operation

The operation can be activated from the main program's menu or from the partition's popup menu. For hidden partitions, only the Unhide operation is available, For un-hidden partitions, only the Hide operation is available.

Step 1. Select a partition to hide/unhide

Select an existing partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Hide…

· Call the popup menu for the selected partition, then select the menu item:

Hide…

4.26.2.3 Comments

About hiding locked partitions

The Hide/Unhide operation does not interfere with file input-output operations. No reboot is required to change the "Hidden" flag for locked partitions.

Hiding bootable partitions

Potentially, Hard Disk Manager allows the hiding of bootable partitions. Unfortunately, most operating systems cannot boot from hidden partitions.

Hiding partitions in Windows 2000

Unfortunately, Windows 2000 and XP ignore the "Hidden" flag. These operating systems allow the mounting and accessing of hidden NTFS, FAT32 and FAT16 partitions. Windows 2000 and XP allow the user to mount partitions of any type through the intermediation of the internal programming interface (so-called WinAPI) within the current Windows session.

However, there is a method to prevent a partition from assigning drive letters automatically at Windows startup: the Partition ID should be changed to the of 0x12 or 0xDE value (see chapter Change Partition ID ). By the way, this method is recommended by Microsoft in the document "Windows XP OEM Preinstallation Kit, Design Notes".

About hiding the entire Extended Partition

This operation is disabled in Hard Disk Manager.

Windows 2000 and XP cannot process hidden Extended Partitions correctly. The system may crash at the stage of accommodating disk layout changes, or it may generate errors at the system startup.

4.26.3 Change Partition ID

The chapter explains how to change Partition IDs with Hard Disk Manager.

4.26.3.1 Overview

Partition ID is an identifier of a file system that is placed in the partition. Partition ID is saved in the Partition Table; it is used to quickly detect partitions of supported types.

By manually changing the Partition ID value, it is possible to manipulate the accessibility of partitions.

4.26.3.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition

Select an existing partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Change partition ID…

· Call the popup menu for the selected partition, then select the menu item:

Modify > Change partition ID…

Step 3. Assign new Partition ID value

After selecting a partition, the Change partition ID dialog appears.

With this dialog, the user is able to observe and modify the Partition ID value for the selected partition.

4.26.3.3 Description of parameters

System ID (hex)

The textual field contains a hexadecimal presentation of the Partition ID. Generally, the Partition ID should be presented as 1-2 digits hexadecimal number; only hexadecimal digits {0..9, A..F} are allowed to be used.

Volume

This parameter simply displays the Volume Label of the selected partition. This information is to notify the user.

Known ID List

The section simply provides information about some frequently used Partition IDs. This information is to notify the user.

4.26.3.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The operation takes several seconds: the program waits until Windows accommodates the changing of the disk layout. This operation may take 5-20 seconds in Windows 2000 and XP.

4.26.3.5 Comments

How operating systems use Partition ID

DOS and Windows 95, 98, ME, NT and XP rely on the Partition ID value when searching for partitions with supported file system types. These operating systems do not allow using partitions with unknown IDs.

Linux actually ignores the Partition ID value. Windows 2000 ignores this value (except for some special values).

The Partition ID value can be used for the following purposes:

· Hiding partitions in Windows 2000, by changing the Partition ID to 0x12 or 0xDE values.

· For simple conversion, e.g. converting Dynamic Disks back to the Basic ones. This option is available only for hard disks that were initially partitioned as Basic Disks, and then converted from Basic to Dynamic ones.

Changing Partition ID for locked partitions

This action does not require a reboot because the Changing Partition ID operation does not violate file input-output activity.

4.26.4 Set Label of a Partition

The chapter explains how to change the Partition Label parameter with Hard Disk Manager.

4.26.4.1 Overview

The Partition Label is a small textual field (up to 11 characters) that is located in the partition's boot sector. This value is detectable by any partitioning tool; it is used for notification purposes only.

4.26.4.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition

Select an existing partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Set Label…

· Call the popup menu for the selected partition, then select the menu item:

Modify > Set Label…

Step 3. Assign the new Partition Label

After selecting a partition, the Change partition label dialog appears.

With this dialog, the user is able to observe and modify the Partition Label value for the selected partition.

4.26.4.3 Description of parameters

Current label

This parameter simply displays the current Partition Label value of the selected partition. This information is for notification.

New label

Enter the new value of the Partition Label. The length of the Label is limited to 11 characters.

4.26.4.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The operation takes several seconds: the program waits until Windows accommodates the changing of the disk layout. This operation may take 5-20 seconds in Windows 2000 and XP.

4.26.4.5 Changing Label of locked and system partitions

Hard Disk Manager can change the Partition Label of locked and system partitions. This operation requires a rebooting of the computer to be completed.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.


4.27Supplementary functions

This chapter describes the supplementary functionality available in Hard Disk Manager.

4.27.1 Retest surface

4.27.1.1 Overview

Hard Disk Manager allows performing additional surface tests on existing partitions and blocks of free space.

This option allows the user to detect unreliable sectors on a hard disk. Unfortunately, the current version of the program does not support the retrieving of data located in bad sectors.

4.27.1.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

The operation is available for partitions of any type and for blocks of free space. It can be activated from the main program's menu or from the partition's popup menu.

Step 1. Select a Partition or a Block of Free space

Select a partition or a block of free space in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Retest surface…

· Call the popup menu for the selected partition, then select the menu item:

Retest surface…

4.27.1.3 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The Retest surface operation takes a long while; the actual value of elapsed time depends on the size of a partition (or a free block) being tested, hardware performance and the Surface test settings.

4.27.1.4 Comments

The primary purpose of this function is to detect bad and unreliable sectors on existing partitions. In case bad sectors are detected in a usable partition, exit the Hard Disk Manager session and use a standard disk-checking tool from the operating system in use (CHKDSK, SCANDISK, e2fsck and so on).

4.27.1.5 Retest surface on locked partitions

The program is able to test the surface of locked and system partitions. The operation requires a rebooting of the computer to be completed.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

4.27.2 Check File system Integrity

4.27.2.1 Overview

Hard Disk Manager can check the file system integrity on existing FAT16, FAT32 and NTFS partitions. This function can be used for detecting file system errors before applying other operations on a partition.

Most useful operations require the targeted partition to have a valid file system to be processed; otherwise the program cancels this operation and all consecutive virtual operations in the List of Pending Operations.

The advantage of Hard Disk Manager is that it can check many different types of both mounted and non-mounted partitions. Unfortunately, the current version of the program cannot fix file system errors, but can detect them.

4.27.2.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

The operation is available for primary and logical partitions, which are formatted to the following file system types: FAT16, FAT32, NTFS. The program can check both mounted and non-mounted partitions.

The function can be activated from the main program's menu or from the partition's popup menu.

Step 1. Select a Partition to be checked.

Select a formatted partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 3. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Check file system integrity

· Call the popup menu for the selected partition, then select the menu item:

Check file system integrity

4.27.2.3 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The Check file system integrity operation takes a long while; the actual value of elapsed time depends primarily on the amount of data being stored on the targeted partition.

4.27.2.4 Comments

The primary purpose of this function is the preliminary detection of erroneous partitions, since they cannot be handled by the program. In case file system errors are detected, exit the Hard Disk Manager session and use a standard disk-checking tool from an appropriate operating system (CHKDSK, SCANDISK and so on).

4.27.2.5 Check file system integrity on locked partitions

The program can check the file system on locked and system partitions. The operation requires a rebooting of the computer to be completed.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

4.27.3 Check archive integrity

4.27.3.1 Overview

The program provides an ability performing the archive integrity check for backup images. The function allows distinguishing between valid and corrupted images prior using them.

4.27.3.2 Initiating the operation

The Check archive integrity function is available only from application's interface, it does not support virtual execution. Either execution mode the program is switched to, the integrity check is always executed in the Immediate Execution mode.

The operation is available only for backup images listed in the List of Backup Images via the context menu. The program automatically appends the List of Backup Images at cases of creating new backup images and opening existing ones.

To perform the integrity check, select an image from the List of Backup Images and call the context menu. Select the item Check archive integrity.

4.27.3.3 Running the operation

During the operation execution, the Progress Information window appears (see the section Progress Information for more details).

The operation takes a long while. Real performance depends on:

· The integrity checking algorithm used during the image creation

· File input-output system performance.

4.27.4 Partition Defragmentation

The chapter explains how to de-fragmentize NTFS or FAT partitions with Hard Disk Manager.

4.27.4.1 Overview

An operating system can place different fragments of the same file into different location of the hard disk. While working with similar files the system will inevitably need some time to search and move between the file fragments. Deleting fragmented files leads to a further disk fragmentation because the vacated clusters will be used for the allocation of new files. The disk fragmentation degree is higher, while the file system performance is lower.

The program Hard Disk Manager provides the necessary tool for the de-fragmentation of disk partitions. The program allows the de-fragmentizing of NTFS or FAT partitions.

4.27.4.2 Initiating the operation

The operation can be activated from the main program's menu or from the partition's popup menu.

Step 1. Select a partition to de-fragmentize

Select an existing NTFS or FAT partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Defragmentation…

· Call the popup menu for the selected partition, then select the menu item:

Modify > Defragmentation…

Step 3. Define the operation parameters

After selecting the corresponding menu item the “Full defragmentation of partition” dialogue window will be opened. The following parameters are displayed:

· A logical drive letter assigned to the partition,

· The file system type.

This variant of the window simply informs the user about the parameters’ values and does not enable the user to affect the process of the planned operation. However, there is another variant of the window which can be accessed by clicking the “Advanced” button.

The advanced section includes three sliders, which allow the user to set the order of the fragmented files processing. Each slider corresponds to a certain criterion of file selection:

Criterion | Selecting files
Directories | The directory files
Large files | The large files
Modified files | The files with contents that rarely changes

The user can set the processing order for each of three file types –exactly when the similar files will be de-fragmentized – whether in the first or in the last position. Of course, the user should not select these file types and should maintain the state of the general processing.

Selecting values is to be guided for the following reasons:

· If a file is rarely used and/or it was created a long time ago, the probability of using such a file is very unlikely. It is advised to process the rarely used files at the beginning.

· The large files would be easy to de-fragmentize in the initial position because large disk space will be free after they have been processed.

· Directories are small sized files where fragmentation does not often occur. This can be seen as a reason to process them in the intial position as well.

Do not save the content of pagefile.sys and (or) hiberfil.sys

The program allows the contents of PAGEFILE.SYS and HIBERFIL.SYS system files on NTFS partitions to be ignored. These files are used temporarily in the operating system . They are re-initialized at the beginning of each Windows session and are unimportant between Windows sessions. Excluding these files from the process will save time.

The Short button allows the user to return to the short variant of the dialogue.

To start the de-fragmentation process the user clicks the “OK” button.

4.27.4.3 Comments

The necessity to reboot the system

To perform the de-fragmentation, the program has to have exclusive access to the processing partition. Windows is a multitask system and cannot provide a similar working environment for the program, thus the operation requires a rebooting of the computer to complete.

4.27.5 MFT De-fragmentation

The chapter explains how to de-fragmentize a $MFT file with Hard Disk Manager.

4.27.5.1 Overview

The Master File Table (MFT) is a well-organized catalogue of all files on a NTFS partition. The table keeps information about the allocation of each file, about its attributes and even the contents of small sized files. The MFT is kept as a system file – $MFT located in the special part of a NTFS partition (the so-called MFT zone). The $MFT file is inaccessible for standard de-fragmentation tools although it is subject to fragmentation as is the case for any other file. Taking the importance of the $MFT file into account, the Hard Disk Manager program offers its users a special tool to solve the problem of fragmentation.

4.27.5.2 Initiating the operation

The operation can be activated from the main program's menu or from the partition's popup menu.

Step 1. Select a partition to de-fragmentize

Select an NTFS partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > $MFT defragmentation…

· Call the popup menu for the selected partition, then select the menu item:

Modify > $MFT defragmentation…

If the $MFT file has not fragmented the user will be informed by the program.

4.27.6 View Partition/Hard Disk Properties

4.27.6.1 Overview

Hard Disk Manager can obtain general information about hard disks and partitions. The program displays not only the standard information, such as capacity, used space or file system type, but also has advanced information, such as hard disk geometry, Cluster Size, exact partition location, and so on. This information can be used to reveal erroneous situations, finding faults and so on.

4.27.6.2 Running the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select an interesting object (a disk or a partition)

Select a hard disk or a partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Call the popup menu for the selected object and select the item:

Properties

· Press the Properties button on the Main Toolbar.

· Select in the main menu:

Hard disk > Hard disk properties… (for hard disks)

Partition > Properties (for partitions)

· Press Alt+Enter to display the Partition properties.

· Press Ctrl+I to display the Hard Disk properties.

· Press the Copy button on the Main Toolbar.

4.27.6.3 Hard Disk Properties

Disk

This pull-down list allows the user to choose a hard disk to observe its properties.

The program displays the following information about a hard disk:

Serial number | This OEM information can be unavailable in DOS, Linux and in some cases in Windows 95/98/ME environments.
Model
Cylinders | These parameters constitute the actual Hard Disk Geometry. The program displays both the decimal and the hexadecimal representation of these values.
Heads
Sectors / Track
Physical Sectors | The maximum disk capacity value as reported by the hardware.
Total Sectors | The maximum disk capacity value as reported by the operating system. This value is actually derived from the Hard Disk Geometry: <Total Sectors> = <Cylinders> * <Heads> * <Sectors/Track>

4.27.6.4 Partition Properties

The Partition Properties window contains two tabs.

The first one includes general information about a partition that is usually available in Windows for mounted partitions.

This tab displays the file system type, volume label, capacity, amount of used and free space, the Cluster Size value, the size of the Bootable Area and the capacity of the Root Directory. The Root Directory capacity is only important to the FAT16 file system. The program displays no Root entries for other file systems.

The second tab contains advanced information about a partition:

Partition #, disk # | Includes the partition's index on a disk, and the disk index as reported by the operating system.
Volume label | Partition's Volume Label value, which is saved in the boot sector, available for FAT16, FAT32, NTFS and HPFS file systems
File system | File system type (only for known file systems )
Drive letter | Drive letter that is assigned to a partition in the operating system. In DOS, the program can fail to reveal drive letters for partitions being mounted by IFS drivers (such as NTFSDOS)
Serial number | Partition's Serial Number taken from the boot sector
Sectors / boot | The Bootable Area size
Sectors / cluster | The Cluster Size value
Size (capacity) | The absolute partition's capacity: <Capacity> = (<Last Sector> – <First Sector>) * <Sector Size> In fact, this value is a bit greater than the file system capacity.
Used space | Includes files, file system metadata and reserved space: <Used Space> = <Capacity> – <Free Space>
Free space | Amount of free space taken from the file system.
First physical sector | The address of the first partition's sector, expressed in both the C/H/S and the linear addressing formats
Last physical sector | The address of the first partition's sector, expressed in both the C/H/S and the linear addressing formats
HDD info | The actual Hard Disk Geometry of a disk holding the partition.

4.27.7 Show Archive Info

This chapter describes how to inspect contents of existing backup archives by using the Hard Disk Manager.

4.27.7.1 Overview

The function Show Archive Info allows preliminary inspecting backup archives for better recognizing their contents, finding images of required partitions or hard disks, browsing archived contents and verifying image integrity.

The program keeps a separate list of archives that were created or opened by the program. The Archives List panel displays archives placed in this list. By default, the program includes every successfully created archive in the List. In addition, the program includes each backup archive that is opened for the first time, by the following functions:

o        Show Archive Info

o        Restore Partition

o        Restore Hard Disk

o        Selective Partition Restore

o        Check archive integrity

o        Browse Archive

The list of archives can be edited manually; the popup menu for the Archive List panel includes Add archive and Delete archive items, which allow customizing the archive.

4.27.7.2 Inspecting archives listed in the Archives List panel

To inspect a listed archive, use the following routine:

Step 1. Select an interesting archive

Select an archive in the Archives List panel.

Step 2. Select the operation

Call the popup menu for the selected archive and then choose the item:

Show archive info…

After these actions, the Archive Info dialog should appear (see next sections for more details and its functionality explanation).

4.27.7.3 Inspecting arbitrary archives

To inspect an archive that is not included in the Archives List yet, use the following procedure:

Step 1. Select the operation

Select the menu item in the main program's menu:

General > Show archive Info

Step 2. Select an archive file

The program displays the advanced Open File dialog, which allows selecting files on:

· Mounted local volumes

· Mounted local removable media

· Mapped network drives

· Unmounted FAT16, FAT32, NTFS, Ext2 and Ext3 partitions

After these actions, the Archive Info dialog should appear (see the next section for more details and its functionality explanation).

4.27.7.4 Description of the Archive Info dialog

Hard Disk Manager supports multiple formats of backup archives:

o        Archives of a single partition

o        Archives of multiple partitions

o        Archives of hard disks

o        Archives of 1st track

o        Archives of MBR

The Archive Info dialog reveals contents of archives of any type in similar fashion. Archives of a hard disk are the most complex ones. The picture placed above displays layout of a hard disk archive.

The top section of the dialog contains the Tree Layout, UDP controls and the List of Partitions panels. They show the disk layout and basic properties of partitions.

When an object is selected in either of these panels, extended information about the selected object is displayed in the bottom section of the dialog.

In addition, the dialog provides the ability of performing some operation on the selected archive:

Check archive integrity

Press this button to perform the Check archive integrity operation on the selected archive.

Browse archive

Press this button to perform the Browse archive operation on the selected archive.

Comments

The bottom section of the dialog displays the following information about selected objects:

Partition

File system | File system that is placed on the selected partition
Drive letter | --- not available for partitions from backup images ---
Volume label | The partition's Volume Label. It can be useful for distinguishing between partitions in case of selective restoration of partitions.
Sectors/boot | The Bootable Area size.
Sectors/Cluster | Cluster Size value expressed in Sectors. Halve this value to get the Cluster Size value in Kbytes.
Size (capacity) | The partition's Capacity (in bytes and Mbytes)
Used space | Amount of usable data on the selected partition
Free space | Amount of free space on the selected partition

Hard disk, 1st Track, MBR

Cylinders | Reveals the Hard Disk Geometry
Heads
Sectors/Track
Total Sectors | The hard disk capacity expressed in Sectors

4.27.8 Show CD/DVD Burners Info

4.27.8.1 Overview

Hard Disk Manager allows obtaining the list of available CD and DVD writing drives that can be used in the function Burn partition image on CD/DVD . This function is available only in the Windows-based and the Linux-based versions of the program.

The DOS-based version of the program does not support CD and DVD burners. It does not provide an ability of burning archives on recordable CD/DVD discs.

In Windows environment, the program can use all CD/DVD burners supported by the Win32 ASPI service: these devices should be listed in the Device Manager, but they need not having drive letters assigned.

4.27.8.2 Initiating the operation

To obtain the list of available CD and DVD burning devices, select the menu item:

General > CD/DVD Burners…

The program will display the CD Burners Info window.

The program reveals the following information about burning devices:

Vendor | OEM code (Original Equipment Manufacturer code)
Product | The model name. This value is provided by the device drivers, so that it can differ from the device model in case of using generic and non-original drivers.
Type | Lists all supported media types. (in fact, this the only important information about a CD/DVD burning device).

4.27.9 Browse Partition

4.27.9.1 Overview

The windows-based version of Hard Disk Manager includes the Partition Explorer utility, which provides the ability to browse mounted and unmounted partitions of FAT16, FAT32, NTFS, Ext2 and Ext3 file system types.

The Partition Explorer utility is described in chapter Partition Explorer . Partition Explorer allows the user to browse, export and import files and folders from a partition, rename and delete files and folders, create new folders and open documents by associated applications.

4.27.9.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition to browse

Select an existing Primary or Logical partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. The operation is not enabled for the Extended Partition and for blocks of free space.

Step 2. Select the operation to perform

· Select in the main menu:

Partition > Browse partition

· Call the popup menu for the selected partition, then select the menu item:

Browse partition

After these actions, Hard Disk Manager will start the Partition Explorer utility to browse the selected partition.

See chapter Partition Explorer to learn more about using this utility.

4.27.10Browse Archive

4.27.10.1 Overview

The windows-based version of the program is integrated with the Paragon Image Explorer utility that provides the ability of browsing contents of partitions of FAT16, FAT32, NTFS, Ext2 and Ext3 file system type, which are saved in a backup archive.

The Image Explorer utility is described in the chapter Image Explorer . Briefly, Image Explorer allows browsing and exporting files and folders from an archive and opening documents by associated applications.

4.27.10.2 Initiating the operation

Step 1. Select an archive to browse

Select an archive presented in the Archives List panel .

In case of an interesting archive is not listed yet, add it to the Archives List by calling the popup menu for the Archives List panel and by selecting the item Add archive…

Step 2. Select the operation to perform

Call the popup menu for the selected archive, then select the menu item:

Browse archive

After these actions, the Hard Disk Manager will start the integrated Image Explorer utility for browsing the selected archive.

See the chapter Image Explorer to learn more about usage of the utility.

4.27.11 View Sectors

4.27.11.1 Overview

Hard Disk Manager includes a simple disk editing tool, which allows the user to directly access and edit disk sectors, save and restore sectors from files, navigate through file system metadata and so on.

The built-in Disk Editor is not an end-user tool. The current version of Disk Editor can be used primarily for troubleshooting.

4.27.11.2 Starting the Disk Editor

The View Sectors function can be applied exclusively to partitions and hard disks. Hard Disk Manager limits Disk Editor to navigate within sectors of a selected object: if a partition has been selected, the program will only explore the partition's sectors.

Step 1. Select an object to view its sectors

Select a partition or a hard disk, which needs to be explored, in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, the object will be highlighted in all three panels. The function is not available for blocks of free space.

Step 2. Select the operation to perform

If a hard disk is selected:

· Select the item in the main menu:

Hard disk > View sectors

· Call the popup menu for the selected hard disk, then select the item:

View sectors

If a partition is selected:

· Select the item in the main menu:

Partition > Modify > View sectors

· Call the popup menu for the selected hard disk, then select the item:

Modify > View sectors

After these actions, the View Sectors dialog appears:

4.27.11.3 Functionality description

The View Sectors window includes the following components:

1. The hexadecimal representation of the sector's contents, which are divided into lines, 16 bytes per line. Each byte is represented by the two hexadecimal digits (0..9, A..F). The left-most column contains the offset values of lines within the sector (expressed in hexadecimal numbers, 0x000 to 0x200).

The "hex numbers" text can be edited and written back to the disk.

2. The textual representation of the sector's content, which are divided into lines, 16 characters long. This text cannot be edited.

3. Controlling buttons:

Read | Re-read sector contents. All changes made in the editor are cancelled.
Write | Write changes to the disk.
<<Prev | Show to the "previous" sector. | The real step is defined in the Options.
Next>> | Show to the "next" sector.
Save… | Save a group of sectors (beginning from the current one), in a file.
Restore… | Overwrite a group of sectors (beginning from the current one), by contents of a file.
Options… | Define options of the Disk Editor.
Go… | Fast navigation between servicing structures (see below).

4. Fast navigation controlling menus.

The fast navigation menus are available only for sectors, which are "lookalike" servicing sectors of the DOS partitioning scheme or boot sectors of the FAT16, FAT32 or NTFS file systems.

The current sector is interpreted as a servicing one, and the program interprets its data as references to the most important elements of a file system or a partitioning scheme.

5. A group of controls that allow the user to navigate through sectors in the mode of the absolute addressing of sectors. In this mode, the index of a sector is independent from the actual Hard Disk Geometry.

6. A group of controls that allow navigating through sectors in the mode of C/H/S addressing of sectors. In this mode, the address of a sector fundamentally depends on the actual Hard Disk Geometry.

7. The group of the choice controls that alter the current addressing mode.

8. A group of buttons that allow the translating of a sector's address between the two addressing modes.

They do not alter the actual addressing mode, allowing only to inspect the sector's address in the other addressing model.

9. The textual box that allows the setting of the sector's address by the given formula.

Enter a valid arithmetic expression in this text box and press the ENTER key to jump to the appropriate sector.

10. The textual mark that displays the offset of the currently selected byte in the hexadecimal text (section (1)). When the textual cursor is moved through the hex numbers, this mark displays the actual position within the sector.

11. This control allows the user to manually enter the number of a sector to be displayed next. The pull-down list contains the list of favorite addresses. Press the Add sector button in order to add the number of the current sector to the list of favorite addresses.

4.27.11.4 Disk Editor Options

Use hex

Set this option ON in order to force the program to display the sector address value in hexadecimal format.

Enable write

Set this checkbox in order to be able to edit sector contents and restore sectors from files.

Confirm exit

If this option is activated, the program produces a confirmation message when exiting the Disk Editor tool. This feature simply prevents an occasional closing of the View Sectors window.

Set step in sectors for "Next" and "Prev" operations

This control allows the regulation of the number of sectors that will be skipped when jumping to the next or previous sector.

Font…

Press this button in order to select the font that will be used for displaying sector contents in the View Sectors dialog.

4.27.11.5 Fast navigation menu

The Fast navigation menu allows a quick positioning of the Disk Editor to a location on a disk or partition that contains system information.

The Fast navigation menu is activated by clicking the button Go.

Structure

FAT16 |  |  | Interpret the sector as the Boot Sector of a FAT16 file system
 | 1st FAT |  | Find the first copy of FAT (the 1st sector occupied by FAT)
 | 2nd FAT |  | Find the second copy of FAT
 | Root |  | Find the Root Directory
 | 2nd Cluster |  | Find the 2nd cluster of the FAT16 partition
 | Nth Cluster |  | Find the Nth cluster.
FAT32 |  |  | Interpret the sector as the Boot Sector of a FAT32 file system
 | 1st FAT |  | Find the first copy of FAT (the 1st sector occupied by FAT)
 | 2nd FAT |  | Find the second copy of FAT
 | Root |  | Find the Root Directory
 | 2nd Cluster |  | Find the 2nd cluster of the FAT16 partition
 | Nth Cluster |  | Find the Nth cluster.
NTFS |  |  | Interpret the sector as the Boot Sector of a NTFS file system
 | MFT |  | Find the 1st sector occupied by the MFT (Master File Table)
 | MFT mirror |  | Find the 1st sector occupied by the MFT-mirror (a servicing object, that is the backup copy of the MFT's 1st cluster)
 | Nth Cluster |  | Find the Nth cluster.
MBR |  |  | Interpret the sector as a Partition Table sector (MBR or EPT)
 | CHS |  | Use the C/H/S addresses of partitions
 |  | Slot 0 | Find a partition that is referenced by the Slot#0 of MBR/EPT
 |  | Slot 1 | Find a partition that is referenced by the Slot#1
 |  | Slot 2 | Find a partition that is referenced by the Slot#2
 |  | Slot 3 | Find a partition that is referenced by the Slot#3
 | Relative |  | Use linear addresses of partitions
 |  | Slot 0 | Find a partition that is referenced by the Slot#0 of MBR/EPT
 |  | Slot 1 | Find a partition that is referenced by the Slot#1
 |  | Slot 2 | Find a partition that is referenced by the Slot#2
 |  | Slot 3 | Find a partition that is referenced by the Slot#3

4.27.11.6 Navigating the Nth Cluster

When the item "Nth Cluster" of the Fast navigation menu is selected, the program places an arithmetic expression in the Formula Box (9):

The expression includes a character "N", which should be replaced manually by the desired number of a cluster.

4.27.12Generate scripts

4.27.12.1 Overview

The program provides the ability of the batch processing of disk management operations. The program includes separate command line utilities for working in the unattended mode, which are generally named Paragon Script Interpreter (PSI):

· The utility SCRIPTS.EXE is included to the Windows-based version

· The utility PSI.EXE is included to the DOS-based version

· The utility PSI. is included to the Linux-based version

These utilities take job tasks from so-called script files. A script file is just a textual file written in the Paragon Scripting Language, it contains the description of operations to be executed and program's settings that should be applied to these operations.

The interactive versions of the program provide the ability of generating a script file from accumulated virtual operations. The resulting script file can be used "as is", or it can be used as a template for building custom script files.

With using this feature, one can automate the disk/partition backup routines or cloning procedures of almost any complexity. The Paragon Scripting Language supports all operations that are available in interface-managed versions. In addition, it supports the conditional execution, subroutines, repeatable iterations, disk/partition properties analysis, errors management and even the controllable console-like input-output features.

4.27.12.2 Initiating the operation

Let's remind that the program generates scripts only from virtual operations that are accumulated in the List of Pending Operations.

Step 1. Switch on the Virtual Execution mode for all operations

Open the program's Settings and force the virtual execution for all operations (see the chapter Settings overview for more details):

(menu) General > Settings >
(tab) Operations > Virtual operations are enabled

Step 2. Execute required operations virtually

The next step is to emulate all operations that should be executed by the Script Interpreter in the automated mode. A user should execute these operations virtually in the Windows-based interactive application.

(!) Do not apply accumulated pending operations!

Step 3. Select the operation to perform

Select the following menu item:

General > Generate Script

This menu item remains disabled if there are no operations accumulated in the List of Pending Operations.

Step 4. Define parameters of the operation

The appropriate dialog appears.

A user is able customizing some supplementary features of the generated script file, such as including of error management, enabling or disabling interactivity with a user and so on. See the next section for more details.

Step 5. Select a filename for a newly created script

Finally, the program suggests choosing a filename for a new script file. The default file extension that is reserved for scripting files is .PSL. However, a script can be saved under any filename.

4.27.12.3 Description of parameters

This dialog allows controlling a script's code that will be generated.

Turn on confirmation

When this option is active, the program inserts the command:

confirmation on

This command enables to pause the script execution in order to acquire input information from a user. For example, the program will pause when creating a multivolumic archive (with the volume filenames generating option switched off), when the program needs erasing a non-empty rewritable CD and so on.

When the confirmation mode is switched off, the program does not pause the script execution. Instead, it behaves as if a user always selects a default answer to each question. In this mode, the program really does not need a user intervention. However, in some cases the program will simply abort operations.

Call Apply after each operation

When this option is active, the program inserts the apply all command after each disk management operation. Otherwise, the apply all command will be included only once, after the last operation.

The thing is that the script processing module works like the interactive application; it accumulates operations in its own List of Pending Operations. The script command apply all is similar to the Apply action in the interactive application, it forces executing all pending operations.

There is the difference between the applying of a large list of pending operations and the stepwise execution of multiple operations, e.g. in case of processing of locked partitions. See the Paragon Scripting Language Manual for more details.

Check for errors after each operation

When this option is active, the program inserts a code, which checks the status of a last executed operation and halts the script processing on errors of any kind.

This feature is useful, if a set of operations should be applied to the same partition. If some operation fails for any reason, the error checking code cancels sequent data modifications and prevents them from further corruption.

In some situations, this feature can be a drawback, if operations are independent from each other. For example, a backup operator wrote a script that creates an incremental backup of first two partitions of all hard disks, and he intends using this script for unattended processing of office computers. On computers having only single partitions on the 1st disk, this script wouldn't save contents of other hard disks. In case of switching off the error checking (at least between independent operations), the program will save all available partitions.

Put current settings into script file

When this option is active, the program inserts the actual program's settings to the settings ... endsettings section.

Otherwise, the program omits the settings ... endsettings section.

4.27.12.4 Comments

All versions of the Script Interpreter have similar usage rules. PSI supports several command line keys. To obtain the usage prompt, one should run the utility from the command line with –h parameter:

in Windows: | scripts.exe –h
in DOS: | psi.exe –h
in Linux: | psi –h

The program will display the prompt screen.

The Windows-based utility SCRIPTS.EXE

The SCRIPTS.EXE utility is located in the same directory with the Windows-based application. By default, it is the folder:

C:\Program Files\Paragon Software\Hard Disk Manager\WinHDMTL

The DOS-based utility PSI.EXE

The PSI.EXE utility is located in the scripts subfolder of the directory containing the DOS-based version of Hard Disk Manager. By default, it is the folder:

C:\Program Files\Paragon Software\Hard Disk Manager\DosHDMTL\scripts

The program is packed in the SRPTPACK.EXE self-extracting archive. Before using the utility, one should extract all contents of the SRPTPACK.

The Linux-based utility (PSI.)

The PSI. utility is located on the Linux-based bootable CD of Hard Disk Manager, in the folder:

/usr/local/bin

and in the original location on the bootable CD:

/mnt/cdrom/usr/local/bin

However, the on-CD Linux is configured so as a user can run the utility from any location.

How to execute scripts

All versions of the Script Interpreter are used in the same fashion:

3. Run an interactive version of Hard Disk Manager and prepare a script file as it described in the above sections.

4. Run the Script Interpreter from the command line in the following fashion:

In Windows: | <path>scripts.exe <path><script-file>
In DOS: | <path>psi.exe <path><script-file>
In Linux: | psi <path><script-file>

The Script Interpreter supports the silent and the verbose working modes. In the verbose mode, the program outputs the detailed report executed operations on the console. In the silent mode, no information is displayed.

However, in any of these modes the Script Interpreter produces the report file that is named PSI.OUT. In addition, the utility also keeps two log files, the STUBACT.LOG and the PWLOG.TXT.

4.27.13Change Root Size

This chapter explains how to change the capacity of the Root Directory of formatted FAT16 partitions by keeping data intact with Hard Disk Manager.

4.27.13.1 Overview

The maximum capacity of the Root Directory is an essential parameter of very old FAT12 and FAT16 file systems. On FAT12 and FAT16 partitions, the maximum capacity of the Root Directory is defined at the very moment of formatting the partition (see the Glossary ).

The user may want to change the capacity of the Root Directory:

· The Root Directory should be enlarged in order to place more files and directories in the drive's root.

· The Root Directory should be reduced in order to increase the common file space.

Common disk management tools and operating systems usually do not provide the ability to manage the capacity of the Root Directory.

Hard Disk Manager allows arbitrary assigning of the Root Directory capacity when formatting a FAT16 partition (see chapter Format Partition ). In addition, the program allows the user to change the capacity of the Root Directory without destroying existing data.

4.27.13.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a FAT16 partition to change the Root Directory size

Select a primary or logical partition formatted to FAT16, in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Change Root size…

· Call the popup menu for the selected partition and select the item:

Modify > Change Root size…

Step 3. Define parameters of the operation

The user is able to assign the maximum capacity of the Root Directory.

Initially, the program suggests to use the actual value of this parameter so that no changes in the partition's layout are to be made.

After choosing the desired operation parameters, press the OK button to confirm the operation.

4.27.13.3 Description of parameters

The dialog displays the selected value of the Root Directory capacity and the available range for this value.

Root entries

This spinner control contains the selected value of the Root Directory Size file system's parameter. The text on the right side displays the available range of values.

The program accommodates the Root Directory capacity to the FAT16 file system standards, so that the program approximates an entered value to the nearest valid one.

Volume

This text contains a drive letter that is assigned to the selected partition. It is used for notification purposes only. In case no drive letter is assigned, the text "*:" is displayed.

4.27.13.4 Comments

About the maximum amount of files in the Root

The maximum number of files and directories that can be placed in the Root Directory on a FAT16 partition are actually equal or less than the Root Directory Capacity value.

The Root Directory Capacity is the total amount of directory entries in the Root Directory. Directory entry is a 32 bytes long record used for saving the reference to a file.

In FAT family file systems, a short filename of a file needs one directory entry, while a long filename actually occupies multiple directory entries. If some files or directories in the root directory have long filenames, the maximum amount of files is less than the actual Root Directory capacity.

4.27.13.5 Changing the Root Size on locked partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary ).

Hard Disk Manager requires the exclusive control of a partition when changing the capacity of the Root Directory. This operation is incompatible with any other data activity because the program temporarily distorts the file system data in order to successfully complete the operation.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Change Root Size operation, when a locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

4.27.14Change Boot Size

This chapter explains how to change the size of the Boot area for formatted FAT16 and FAT32 partitions by keeping data intact with Hard Disk Manager.

4.27.14.1 Overview

In almost all known file systems, the initial sectors of a partition are used for saving the bootable code of an operating system. This region of a partition is generally named the Bootable Area, or the Boot Sector (actually it takes up multiple sectors).

The Bootable Area only holds the starting part of the bootable code, which is used to detect and initialize the OS kernel.

In FAT family file systems, the size of the Bootable Area can vary within the predefined limits. Potentially, this feature can be used to change the alignment of the file system contents.

Common disk management tools and operating systems usually do not provide the ability to manage the size of the Bootable Area.

Hard Disk Manager allows the arbitrary assigning of the Bootable Area size when formatting FAT partitions (see chapter Format Partition ). In addition, the program allows the user to change this value on formatted FAT partitions without destroying existing data.

4.27.14.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a FAT partition to change the Boot Area size

Select a primary or logical FAT16 or FAT32 partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Change Boot size…

· Call the popup menu for the selected partition and select the item:

Modify > Change Boot size…

Step 3. Define parameters of the operation

The user is able to assign the number of sectors reserved for the Boot Sector.

Initially, the program suggests using the actual value of this parameter, indicating not to make any changes in the partition's layout.

After choosing the desired operation parameters, press the OK button to confirm the operation.

4.27.14.3 Description of parameters

The dialog displays the selected value of the Bootable Area size and the available range for this value.

Root entries

This spinner control contains the selected value of the Boot Size file system's parameter. The text on the right side displays the available range of values.

Volume

This text contains a drive letter that is assigned to the selected partition. It is used for notification purposes only. In case no drive letter is assigned, the text "*:" is displayed.

4.27.14.4 Running the operation

During the real operation execution, the Progress Information window appears (see the section Progress Information for more details).

The Change Boot Size operation takes time because it actually requires all other contents of a partition for several sectors to be moved forward or backward. The actual time required to complete the operation depends on the amount of data that needs to be processed.

4.27.14.5 Changing the Boot Size on locked partitions

The difference between locked and unlocked partitions is that locked ones are used by other programs for file input-output activity (see Glossary ).

Hard Disk Manager requires the exclusive control of a partition when changing the Bootable Area size. This operation is incompatible with any other data activity, because the program temporarily distorts file system data in order to successfully complete the operation.

Hard Disk Manager requires a rebooting of the system to a single-tasking environment in order to complete the Change Boot Size operation, when a locked partition is selected.

· In Windows 95 and 98, Hard Disk Manager uses the "true" DOS session as the single-tasking environment.

· In Windows NT, 2000 and XP, Hard Disk Manager uses the so-called "startup Bluescreen" phase.

· In Windows ME, Hard Disk Manager requires to reboot from a bootable diskette or CD-ROM.

4.27.15Update MBR

This chapter explains how to retrieve the standard bootstrap code with Hard Disk Manager

4.27.15.1 Overview

Hard Disk Manager allows the user to overwrite the current bootable code in the MBR by the standard bootstrap code.

This feature can repair corrupted bootable code on a hard disk , which is due to various reasons such as "boot virus" attacks or malfunction in the boot managing software.

4.27.15.2 Running the operation

Step 1. Select a hard disk that requires updating MBR

There are two variants:

· Select a hard disk in the Tree Layout panel or in the UDP Layout panel.

· Select any partition that belongs to the hard disk of interest.

Step 2. Select the operation to perform

Alternatives:

· Select in the main menu:

Hard disk > Update MBR

· When the hard disk is selected, call the popup menu for the selected hard disk in any of the layout panels (click right mouse button),
then select the menu item:

Update MBR

· Press the Ctrl+E keyboard combination

Hard Disk Manager supports only the Immediate execution for the Update MBR operation. The program always performs this operation immediately after the initiation, without considering the execution mode.

4.27.15.3 Comments

· This operation irreversibly destroys the boot managing software that occupies the MBR.

· Contents of the Partition Table are kept intact.

· A partition from which the system has been booted previously, remains active to allow the system to start from this partition next time as well.

4.27.16Change Serial Number of a Partition

This chapter explains how to change the partition's Serial Number with Hard Disk Manager.

4.27.16.1 Overview

FAT16, FAT32, HPFS and NTFS file systems include the Serial Number parameter (see the Glossary ). The partition's Serial Number is saved in the boot sector; its value is generated when formatting a partition.

Common disk management tools and operating systems generate a partition's Serial Number automatically and do not provide the ability to customize its value.

Hard Disk Manager allows the arbitrary changing of the partition's Serial Number on formatted FAT16, FAT32, HPFS and NTFS partitions without re-formatting.

4.27.16.2 Initiating the operation

The actions are similar to ones required for initiating other operations.

Step 1. Select a partition to change the Serial Number

Select a primary or logical FAT16, FAT32, HPFS or NTFS partition in the Tree Layout panel, in the UDP Layout panel or in the List of Partitions. In any case, it will be highlighted in all three panels.

Step 2. Select the operation to perform

Variants:

· Select in the main menu:

Partition > Modify > Change Serial Number…

· Call the popup menu for the selected partition and select the item:

Modify > Change Serial Number…

Step 3. Define parameters of the operation

The user is able to assign the new Serial Number value.

After choosing the desired operation parameters, press the OK button to confirm the operation.

4.27.16.3 Description of parameters

The dialog displays the current value of the Serial Number and enables the user to customize it.

Enter new Serial Number (8 hex symbols)

The user enters the new Serial Number value in this text box.

The Serial Number should contain 8 hexadecimal figures (0..9 or A..F). The OK button is disabled until the user enters all 8 symbols.

Current Serial Number of partition

This text contains a drive letter and the current Serial Number of the selected partition. It is used for notification purposes only. In case no drive letter is assigned, the text "*:" is displayed.

4.27.17Send log-files

4.27.17.1 Overview

Hard Disk Manager simplifies the procedure of sending a support request to the Support Team. Generally, support engineers require technical details of a user's computer, disk layout and performed operations. Most of this information is kept in LOG-files, which the program stores.

After activating this function, the program starts the default mail client, and generates a template request e-mail with attached compressed LOG files. The user is only to include a generic description of the problem.

4.27.17.2 Performing the operation

Select from the main menu:

Help >Troubleshooting >Send log files

The program will make the following actions:

1. Compress LOG files by using the built-in compressing module.

2. Start the default mail client registered in the system.

The mail client starts with a support query template with the attached compressed LOG-files.

Finally, the user is to fill in the support request form, describe the problem in its detail and send the email to the Support Team.

4.27.17.3 Comments

LOG files

Hard Disk Manager keeps the following LOG-files:

STUBACT.LOG | Contains extended information about parameters and performance of every executed operation and changes being made to the disk layout.
PWLOG.TXT | Contains brief information about the operations and extended information about the state of all hard disks.
BioNTlog.TXT or Bio95log.TXT | An OS-dependent supplementary LOG-file from BIOxx.DLL. It may contain valuable information on Windows NT/2000/XP-managed systems.

LOG files are in readable textual format; they contain information about the performance of Hard Disk Manager and the most common information about the hard disks’ layout. These files do not include confidential information on system settings, user documents or other entities.

The request template is included in the file AUTOREQUEST_ENG.TXT, which is located in the subfolder "Resource".

Error sending mail

In Windows, in case the program fails to start the default mail client, the following system error message appears.

To solve the problem:

· Check the settings of a default mail client and default Internet connection.

· Run the Internet Connection Wizard and create a new mail account.

· In the Internet Explorer settings, choose a default mail client.

An alternative routine is as follows:

1. Run the mail client while Hard Disk Manager is running.

2. Repeat sending the LOG files (while the mail client is open).


5 Supplementary Utilities

This chapter describes the supplementary utilities that are included in the Hard Disk Manager package.


5.1 Partition Explorer

The Windows-based version of Hard Disk Manager includes the Partition Explorer utility.

Partition Explorer provides the ability of browsing and editing contents of FAT16, FAT32, NTFS, and Ext2/Ext3 partitions.

The program uses built-in OS-independent drivers to access partitions, which works with both mounted and unmounted partitions.

Partition Explorer supports the following functionality:

1. Browsing contents of single partitions or entire hard disks.

2. Exporting single and multiple files and folders.

3. Importing single and multiple files and folders.

4. Creating new folders and files.

5. Renaming and deleting files and folders.

6. Opening documents from browsed partitions.

In addition, the utility enables the easy access of NTFS metadata.

5.1.1 Opening and editing documents

When the user opens a document in the Partition Explorer, the utility actually copies a file into the Windows TEMP directory, and then opens the duplicate file by an appropriate application that is registered in Windows for this type of file.

Consider that the utility is unable to copy the modified document back, which has been opened in this manner. To modify the document, the user should follow the procedure:

1. Export the appropriate file.

Open the document in Windows, in the usual fashion.

Complete editing the document.

Import the appropriate file with the Partition Explorer.


5.2 Image Explorer

5.2.1 Overview

The Windows-based version of the program includes the Paragon Image Explorer utility.

Image Explorer provides the ability of browsing contents of backup archives made by the program. Exactly, the program supports only FAT16, FAT32, NTFS, and Ext2/Ext3 partitions saved in backup images.

Image Explorer supports the following functionality:

2. Browsing contents of images of single partitions or hard disks.

3. Exporting single and multiple files and folders from any images

4. Opening documents from browsed partitions.

5.2.2 Opening and editing documents

When a user opens a document in the Image Explorer, the utility actually copies a file to the Windows TEMP directory, and then it opens the duplicate file by an appropriate application, which is registered in Windows for this type of files.

One should take into account that any changes made in a duplicate file, will not saved back to the original document.


5.3 Diskette Build Wizard

Diskette Build Wizard is used for creating DOS-based bootable diskettes that contain the DOS-based version of Hard Disk Manager .

Such diskettes are traditionally aimed for solving following tasks:

1. Continue with interrupted operations when Hard Disk Manager was in the fail-safe mode (see the section Settings overview>Data loss protection ).

2. Complete operations in Windows ME when a locked partition was targeted.

Hard Disk Manager includes the Linux-based bootable CD, which can be used for the same tasks. The use of the Linux-based bootable CD is preferred, as it offers a better performance and several advanced abilities.


5.4 SID Changer

5.4.1 Overview

The program includes the SID Changer utility that allows effectively changing computer's Security IDentifiers in Windows based configurations.

Briefly, computer SID is used for distinguishing user access privileges in workgroup local networks. When workstations are cloned from a template one, they will have the same SID. Later, when user accounts will be created on these stations, there can be a situation of duplicating security identifiers of different users registered in various workstations.

In this case, the workgroup cannot distinguish between these users: they will have the same privileges even if this is not the aim.

The program uses the built-in SID Changer module that functionally equal to the standalone version.

5.4.2 Description of command-line parameters

By default, the utility searches BOOT.INI files on all partitions, picks up information about Windows installations from these files and then performs changing of SID in all found Windows instances. The program automatically generates random SID values.

However, this behavior can be corrected. The built-in SID Changer can be governed through the command line.

The general layout of the command line:

[/d<dirlist>|/e<dirlist>] [/s]

Comments:

· Any and even all of these keys can be omitted

· Keys /d and /e cannot be used together.

Description

/d<dirlist> | Look-up extra directories in addition to ones mentioned in BOOT.INI files.
/e<dirlist> | Look-up only these directories, do not analyze BOOT.INI files at all.
/s | The program should ask a user for SID value to be assigned, for each Windows instance.


5.5 Recovery CD

Paragon Recovery CD may be the last resort to secure data in case of a system failure or crash. Paragon Recovery CD is a bootable CD which includes the Linux version of Paragon’s Hard Disk Manager . Using the Paragon Recovery CD the user can find and restore occasionally deleted partitions, restore partitions from the hard disk, and make them bootable as well. One can also find and retrieve important files from a dead system.

5.5.1 Features overview

Paragon Recovery CD supports the following main features:

· Linux or PTS DOS Booting,

· NTFS Support for Linux,

· NTFS/Ext2-3FS Support for PTS DOS,

· Network Drives Support,

· Partition operations,

· Simple Recovery Wizard,

5.5.1.1 Linux or PTS DOS Booting

The Recovery CD allows the user to select which system the Utilities should use:

· Linux

·         PTS DOS.

Similar functionality are given in both cases. After rebooting the computer from the Recovery CD, Linux or PTS DOS will be loaded into the memory of the user’s computer, so that the hard disk is not needed in this case. Both operating systems will enable the user to perform operations on the hard disk.

There are several restrictions in PTS DOS mode:

  • No support for network access.
  • Read-only NTFS/Ext2-Ext3FS access.

The user has the option to boot in Linux Safe Mode.

Linux Safe Mode

Rebooting the computer in Linux Safe mode is helpful in a number of non-standard situations, such as interfering hardware settings. In this case, only the basic files and drivers (such as hard disk drivers, a mouse driver, and a keyboard driver) will be loaded.

5.5.1.2 Supported file systems

The Linux and PTS DOS versions differ in accessing different file system partitions.

OS /File System | FAT-32/ FAT16 | Ext2/Ext3FS | NTFS
PTS DOS | read/write | read-only | read-only
Linux | read/write | read/write | read/write

Paragon Recovery CD provides a special NTFS – Ext2FS driver to access partitions of these file systems under PTS DOS.

5.5.1.3 Network Drives Support

There is a special tool for network configurations that gives the user the opportunity to network computer’s hard disks for back up and restores operations, in case the user has a local network. A Network Configuration Wizard provides step-by-step instructions and an easy-to-use interface. The Network Configuration Wizard works only with Linux. PTS DOS does not offer a network access to local computers.

5.5.2 System requirements

To use the Paragon Recovery CD on a computer, check if the system meets the following requirements:

· IBM AT compatible computer with Pentium family CPU,

· CD-ROM drive,

· On-board BIOS supports the ability "Boot from CD",

· at least 64 MB of RAM,

· VGA-compatible monitor,

· Mouse (recommended),

The PTS DOS version of the Recovery Utilities requires more memory – a minimum of 128MB of RAM.

In case the computer is connected to a local network, use the network options provided by the Recovery CD; a network card with a transfer rate of 100Mb/c is recommended.

5.5.3 How to burn a Recovery CD

The Recovery CD is a bootable CD containing Hard Disk Manager which is specially configured to work with Linux and PTS DOS.

This helpful tool is available by downloading the Paragon Recovery CD image and burning it to a blank recordable CD, if the Paragon product has been purchased and registered via Internet.

5.5.3.1 Download the ISO image of Recovery CD

The downloadable ISO image of Paragon Recovery CD is available for all registered customers at the Paragon Company web-site, Service System http://ess.paragon.ag/paragon/site. If the user purchased a Paragon Product on-line, one should register on the company’s web-site, and then download the ISO image of the Recovery CD, which contains this Paragon product.

5.5.3.2 Download Paragon ISO Burner

If the user does not possess a program for writing to CD/DVD, the Paragon ISO Burner is available for download - one of the most convenient tools for burning ISO images.

Paragon ISO Burner utility is free for our registered customers. The downloadable ISO image of Paragon ISO Burner is available at the Paragon Company web-site: http://kb.paragon.ag. To download or to receive it by email, please follow the next steps:

  • Choose the end-user option from the Product support box.
  • Choose Paragon ISO Burner from the drop-down list of Paragon products.
  • Choose Update option from the Problems Description screen.
  • Type in your registration information and get the latest version of the ISO Burner.

5.5.3.3 Burn Recovery CD

The ISO image of the Recovery CD should be burned to a recordable CD/DVD. This task can be completed by the Paragon ISO Burner utility or by any other CD/DVD burning software, e.g. “Easy CD Creator” from Roxio or “Ahead Nero - Burning Rom” from Ahead Software AG. Instructions are to be found at: http://kb.paragon.ag/.

How to use ISO Burner:

· Run ISO Burner.

· Insert a blank disc into a writable CD/DVD drive.

· Click the "Burn Wizard" icon on the "Wizards" panel (on the left side of window)

· On the first wizard's screen, choose the CD/DVD device to be used to burn the CD

· On the second wizard's screen, choose the ISO file to burn to CD.

· Click the "Next" button to complete the process.

5.5.4 How to use the Recovery CD

5.5.4.1 How to boot from the Recovery CD

Paragon Recovery CD is a Linux based bootable CD. To load an operating system (Linux or PTS DOS) into the memory of a computer, Linux loader LiLO is used. After the user has inserted the Recovery CD into the CD/DVD drive and has restarted the computer, LiLO displays the Boot menu:

· Linux English (will be loaded by default),

· Linux German,

· Linux Russian,

· Linux, Safe mode,

· PTS DOS

i

If the LILO boot menu is not displayed after restarting the computer, check if the computer is configured to start from a CD/DVD: BIOS should have an option "Load from CD first".

i

The Recovery CD may have other localization options.

To move within the menu use the computer keyboard.

Once the user has chosen Linux/Linux Safe Mode or PTS DOS option, the available hardware will be detected automatically and a proper Linux/PTS DOS kernel will be assembled.

i

In the Linux Safe mode, only the basic set of drivers (such as hard disk, monitor, keyboard drivers and others) will be loaded.

5.5.4.2 Linux Utility menu (Start-up menu)

When Linux is loaded, the “Linux Start-up menu” appears:

  • File Manager MC (Midnight Commander).
  • Paragon Hard Disk Manager
  • Configure network connections.
  • Simple Recovery Wizard.
  • Linux command line.
  • Power off
  • Reboot

To shift along menu items use the cursor keys of the computer keyboard and a mouse.

File Manager MC (Midnight Commander)

The standard Linux file manager “Midnight Commander” allows the user to browse files and folders and perform standard file operations.

Hard Disk Manager (Linux version)

Hard Disk Manager supports creating, deleting, and formatting of partitions on a hard disk and more advanced operations on partitions, such as resizing, moving, copying, merging and undeleting.

Configure network connections

A special tool is provided, which allows access to network computers in case a local network exists. A Network Configuration Wizard, which provides step-by-step instructions and easy-to-use interface is available. PTS DOS does not support Network Drive Access.

Linux command line

Linux Command line mode provides a root access to all standard Linux functions by typing the operating system commands in command line (recommended for experienced Linux users only).

Power off

Turns off the power of the computer.

Reboot

Restarts the computer after the necessary changes have been made.

5.5.4.3 Loading Linux Safe-Mode

In case the user runs Linux Safe Mode, the Start-up menu will be displayed, which appears to be identical to the standard Linux system loading procedure.

5.5.4.4 PTS DOS localization menu

Once chosen, PTS DOS displays a localization menu, which contains a selection of three language interfaces and the PTS DOS command line mode option:

  • English
  • German
  • Russian
  • PTS DOS command line.

Specific language Interfaces have the same PTS DOS Start-up menu options.

i

There may be other localization options provided by the given Recovery CD.

PTS DOS command line

By choosing the PTS DOS command line mode the user gains root access to all standard DOS functions through the command line of the operating system (recommended for experienced DOS users only).

5.5.4.5 PTS DOS utility menu (DOS Start-up menu)

Each language PTS DOS Start-up menu includes:

  • Paragon Boot Manager
  • Simple Recovery Wizard
  • NTFS - Ext2FS driver
NTFS- Ext2FS Driver

To access non-DOS file systems under DOS the user needs to install the Paragon IFS driver (to be found in the PTS DOS menu). The current version supports NTFS, Ext2FS, Ext3FS access.

5.5.5 Recording data CD from a failed hard disk

Easy CD/DVD Recorder is a program that offers the opportunity to save data from a failed hard disk onto a compact disc. All that is needed is a CD/DVD Recordable device installed on the computer with an inserted recordable compact disc. The program supports CD-R, CD-RW, DVD-R, DVD+R, DVD-RW and DVD+RW discs.

To start Easy CD/DVD Recorder click the corresponding item in the Recovery CD menu.

The program has two running modes – Plain and Expert. The first one is intended for situations when a user does not want to spend any time on detailed settings. Easy CD/DVD Recorder uses the default parameters, which are optimal in most cases. If knowledge and time allows the user to set the parameters of the recording process, one should select the Expert mode. To switch between the two modes, use the “Expert mode” checkbox at the foot of the first dialog of the program. The advantages of the Expert mode are explained in a special section of this chapter .

5.5.5.1 Plain mode

Initially, the program allows the user to erase the CD-RW, DVD-RW or DVD+RW disc in case it is not blank.

The user should select the “Erase rewritable disc” checkbox and then click the “Next” button to start the operation. If for the Expert mode has been activated in the first dialogue window, the next page will allow the user to set some parameters of the erasing process . If the Expert mode has been switched off, the program starts the operation using the default values of the parameters, which are appropriate in most cases.

During the entire erasing process the program displays the following:

· the operation progress (by percentage),

· the elapsed time,

· the current operation step.

When the operation has been completed, the user returns to the initial page where the recording process can now be started.

If the user has a blank compact disc one should select the “Create data disc” checkbox and click the “Next” button to setup this operation.

The first step is to form the recording compact disc content. It is necessary to select the directories and files on the local hard disk, which are to be recorded. By clicking the “Add File(s)” button the user opens a file browser window that allows the user to select files on a hard disk for the given compact disc project. The added files are displayed in a tree-like list which represents the future content of the compact disc.

There is also the possibility to add an entire directory. Click the “Add Directory” for that. Then, the user simply has to point to a directory in the opened file browser and click the “OK” button. The bar at the foot of the dialog displays the volume of the used space. When the project volume exceeds the volume that is available on the user’s compact disc, the corresponding part of the bar will be colored red.

If one wants to collect files into a single directory on the compact disc:

1. click the “New Directory” button,

2. type the name of new directory in the appeared form,

3. click the “OK” button,

4. and move the files into the created directory.

The user can also rename any of the project’s directories by using the “Rename” button and then by typing a new name.

When the compact disc content has been formed, click the “Next” button to continue with the other settings.

The second step is selecting a device to be used to record to CD. The corresponding window of the program displays the list of all devices available. Each item on the list contains information about the recorder drive, i.e.:

· its vendor,

· its model,

· the type of inserted media,

· the size of the inserted media (in MB),

· and its label (if existing).

The user should select one of the devices and then click the “Next” button to start the CD/DVD burning operation. If the Expert mode has been activated in the first dialogue window, the next page allows will allow the user to set some parameters of the recording process . If the Expert mode has been switched off, the program starts the operation using the default values of the parameters, which are appropriate in most cases.

The next window displays information about the operation progress, including:

· the operation progress (by percentage),

· the elapsed time,

· the current operation step.

By finishing, the program informs the user of a successful completing of the record process.

5.5.5.2 Expert mode

To use the Expert mode mark the corresponding checkbox at the foot of the program’s welcome page. In this case the user will have more control of the performing operations and more control requires more knowledge. The user is advised to have clear understanding of the recording process to be able to use this mode.

When the Expert mode has been switched on, the settings of erasing and recording operations will have to offer some additional options. These options described below are available on special dialogs after selecting a recording device.

Expert options for erasing operation

· Whether the user wants the whole disc erased or only a TOC (a Table of Content), the two radio buttons “Erase disc in the fast way” and “Erase disc in the full way” will assist setting up one of the two erasing variants.

The fast erasing method simply erases the TOC of a disc. This procedure is relatively fast and takes only a few minutes. Fast erasing produces only good results with good equipment and "unworn" media. In case of using "worn-out" media, write errors may accumulate on the disc. The full erase method allows to avoid similar problems and, in addition, lengthens the lifetime of an intensively used rewritable disc.

· The next checkbox “Eject disc after erasing process completion” enables the program to automatically eject media after the erasing procedure has been completed.

· In the separate section named “Speed”, the user is able to set the speed for the erasing operation. This section contains a pull-down menu which displays the values of erasing speed. The option called "Fastest" automatically selects the optimal speed, taking the parameters of both drive and disc into account. The "Fastest" option is a default setting. In fact, the manual selection of erasing speed values is normally only necessary when using worn-out or low-quality discs.

After the described parameters setting the user should click the “Next” button to start the operation.

Expert options for recording operation

The recording process has more parameters in comparison to the erasing process. In this case, the program shows two expert mode dialogs, which is then followed by the device selection dialog – “Burning options” and “File system type”.

The Burning options page includes parameters such as:

· “Mode” allows the user to set one of two recording modes – “Track-at-once” or “Session-at-once”.

In Track-at-Once recording mode, the recording laser is switched off after completing each track, and is turned back on again when the next track is to be written. In Session-at-Once mode, all tracks (within a session) are written without switching off the recording laser.

· “Options” allows the user to switch a set of important options ON/OFF:

o        “Test mode” – the program sends data to a CD/DVD drive in the usual manner, however, the recording laser is underpowered which means that no real writing is performed.

o        “Create multisession disc” – in this case the recording disk will not be closed, which normally disables additional writing to the disc.

o        “Send optimum power calibration” – the program forces the CD/DVD drive to perform a laser calibration before starting the recording process.

o        “Eject disc after burning has completed” – the program automatically ejects media after completing the recording procedure.

· In the “Speed” section the user is able to set the speed of the recording process. This section contains a pull-down menu which displays the values for the recording speed. The option "Fastest" automatically selects the optimal speed, taking the parameters of both drive and disc into account. The "Fastest" option is a default setting.

After setting the described parameters, click the “Next” button to continue.

The File system type page includes the two sections:

· The “File system type” section allows the user to select one of the next three types:

o        ISO9660

o        ISO9660 + Jouliet UNICODE name extensions

o        UDF

· “Bootable extension” provides the possibility to make a disc bootable. For the filed “Boot image” the user has to type the full filename and path to the image that will be used during the recording operation. One can also use the “Browse” button, which opens a standard file browser utility to find the image on the user’s local disk.

After setting the described parameters, click the “Next” button to start the operation.

5.5.6 Typical Recovery Scenarios

There are many problems that the user can solve with the Recovery CD. This chapter includes scenarios of several typical tasks:

· Backing up the most important data before reinstalling the operating system.

· Fixing incorrect settings of the BOOT.INI file.

5.5.6.1 Backup the most important data before reinstalling the operating system

The process of re-installing an operating system destroys all data on the system partition. The user is recommended to save important data files located on the system partition beforehand. Should Windows fail to function properly, the Paragon Recovery CD can help solve the problem. The following steps are recommended:

· Insert the Paragon Recovery CD into the CD/DVD drive.

· Reboot the computer.

  • Choose the “File Manager MC” item from the Linux Start-up menu or choose the PTS DOS command line. Both these options enable the user to copy important information from the unbootable system partition to a safe place of the computer. The user can also copy them to other local network computers. (To configure the network connections, use the Network Configuration Wizard at the Linux Start-up menu).
  • Eject the Paragon Recovery CD from the CD/DVD drive.

i

If the user wants to use PTS DOS to retrieve files from the NTFS or Linux file system partition, a special NTFS – Ext2FS driver will be necessary to be able to run the PTS DOS command line. This can be achieved by selecting the NTFS - Ext2FS driver option from the PTS DOS Start-up menu.

Now the user can start the re-installation process.

5.5.6.2 Fixing incorrect settings of the BOOT.ini file

Restoring the primary bootable system partition may sometimes result in a mismatch of the number for the system partition registered in the BOOT.INI and the actual number of the restored partition on the disk; this can cause software conflicts during a Windows startup. The same problem can occur with other disk managing tools such as FDISK or Windows Disk Administrator.

When the number for the Windows system partition is invalid, the following error message will appear after Windows starts loading:

Windows could not start because the following file is missing or is corrupt:
<Windows root>\system32\hal.dll.
Please re-install a copy of the above file.

The problem can be fixed by one the following methods:

· Editing the BOOT.INI file

· Using the “Change Primary Slot” function of the Hard Disk Manager .

Solving the problem by editing the BOOT.INI

· Insert the Paragon Recovery CD into the CD/DVD drive.

· Reboot the computer.

· Choose the “File Manager MC” option from the Start-up menu of a Linux version. Using the F4 key in the Midnight Commander edit the BOOT.ini file.

· In the file BOOT.INI find the string fragment:

[operating systems]

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS…

· Change the number of the Windows system partition (in a string fragment: partition(x)). Note. Partitions are numbered starting from 1, while disks are numbered starting from 0.

· Reboot the computer.

Solving the problem with Paragon Hard Disk Manager

· Insert the Paragon Recovery CD into the CD/DVD drive.

· Reboot the computer.

· Choose the “Hard Disk Manager ” option from the Start-up menu.

· Choose the option Modify in submenu “Partition”.

· Select the Windows system partition and change its position in the Partition Table using the function Change Primary Slot.


6 Glossary

Locked partitions

In terms of Hard Disk Manager, locked partitions have files open for writing. In fact, locked partitions cannot be used to work exclusively for Hard Disk Manager.

Under multi-tasking environments such as Windows or Linux, several applications can access the same on-disk objects simultaneously. The uncoordinated multiple access can damage or destroy the object. The mechanism of a lock avoids this kind of problem.

Unlocked partitions

Unlocked partitions can be locked to be used exclusively by Hard Disk Manager; unmounted partitions are usually unlocked.

Locked and unlocked hard disks

From Hard Disk Manager ’s point of view, hard disks are placeholders for partitions. Should any of the on-disk partitions be locked, the entire hard disk will be treated as locked. On the other hand, if no locked partitions exist on the disk, it will be considered as unlocked.

Partitioning schemes

Generally, the Partitioning scheme is a set of rules, constraints and the format of on-disk structures that keep information of the partitions that are located on the hard disk.

There are several partitioning schemes, which can be used. The most popular partitioning scheme is the so-called DOS partitioning scheme. It was introduced by IBM and Microsoft to be able to use multiple partitions in the disk subsystems on IBM PC compatible computers.

Another popular partitioning scheme is the so-called LDM (Logical Disks Model) that originates from UNIX mainframe systems. The Veritas Executive accommodates the simplified version of LDM to the Windows 2000 operating system.

Windows 2000 and XP support two quite different partitioning schemes: the old DOS partitioning scheme and the new Dynamic Disk Management (DDM). The problem is that older versions of Windows do not support DDM. In addition, most hard disk utilities do not support it as well.

Hard disk Geometry

Traditionally, the usable space of a hard disk is logically divided into Cylinders, Cylinders are divided into Tracks (or Heads), and Tracks are divided into Sectors.

The triad of values {[Sectors-per-Track], [Tracks-per-Cylinder], [Amount-of-Cylinders]} is usually named Hard Disk Geometry or C/H/S geometry.

Tracks and Cylinders are enumerated from "0", while Sectors are enumerated beginning with "1".

These disk parameters play an essential role in the DOS Partitioning scheme. The alignment of partitions takes the parameters of the hard disk geometry into consideration.

Modern hardware use an advanced scheme for the linear addressing of Sectors, which assumes that all on-disk sectors are continuously enumerated from “0”. To allow backward compatibility with older standards, modern hard disks can additionally emulate C/H/S geometry.

MBR & 1st track of the Hard Disk

The 0th sector of the disk is named MBR (Master Boot Record). MBR contains important information about the disk layout:

· The partitioning scheme.

· The starting records of the Partition Table.

· The standard bootstrap code (or the initial code of boot managers, disk overlay software or boot viruses).

Generally, the 0th sector is used for similar purposes in all existing partitioning schemes.

The capacity of the MBR is not sufficient to place sophisticated boot programs. This means that the on-boot software uses the entire 0th track of the hard disk in addition to the 0th sector because it is not included in any partition.

For example, boot managing utilities such as LILO, GRUB and Paragon Boot Manager are located in the 0th track.

Extended Partition

The Extended Partition is the exception. Ordinary partitions are reserved for a file system, the Extended Partition, on the other hand, is not used for this purpose. It is used for extending the Partition Table of the disk. Formally, the Extended Partition is the container of so-called Logical Partitions. The fundamental feature of the Extended Partition is that it contains many partitions.

Active partition

The active partition (or bootable partition) is used to boot an operating system at the PC startup when the system starts from a hard disk containing this partition.

In the DOS partitioning scheme, only Primary Partitions can be active because of the limitations of the standard bootstrap.

Hidden partitions

The concept of hidden partitions was introduced in the IBM OS/2 Boot Manager. Operating systems do not mount "hidden" partitions, which prevents access to their contents.

A method of hiding partitions consists in changing the Partition ID value that is saved in an appropriate entry of the Partition Table. This is achieved by XOR-ing the Partition ID with the 0x10 hexadecimal value.

This method only works when the set of usable Partition ID values is very limited, since large sets of usable Partition IDs can lead to confusing file system types; for example, Ext2 partitions are marked with the 0x83 Partition ID value. A hidden Ext2 partition would be marked with the 0x93 Partition ID value, which is identical with the Amoeba File system Partition ID.

Partition ID

The Partition ID (or File system ID) is the identifier of a file system that is placed in the partition. The partition ID is used to quickly detect partitions of supported types. Some of the operating systems rely completely on the Partition ID when distinguishing supported partitions, while others again do not.

The partition ID is saved in appropriate entries of the Partition Table. It takes up only 1 byte of space.

Partition Label

The Partition Label (sometimes also referred to as Volume Label) is a small textual field (up to 11 characters) that is located in the partition's boot sector. This value is used for notification purposes only. It is detectable by any partitioning tool including DOS' FDISK utility.

Modern operating systems use other methods to save the Volume Label within the file system, e.g. as a special hidden file. The Volume Label is able to contain a relatively large amount of text in multiple languages.

In general, the Volume Label and the Partition Label are rather different.

BOOT.INI file

BOOT.INI is the textual configuration file for NTLDR, which is the specific boot-managing tool in Windows NT, 2000 and XP. This file contains the reference to the Windows system partition amongst other parameters.

By editing BOOT.INI, it is possible to fix several problems concerning the disorganizing of the Windows startup process. Potentially, troubles of this kind may occur when creating or deleting primary partitions in Windows'NT/2000/XP managed systems.

The section [operating systems] of the BOOT.INI file lists bootable partitions in the following manner:

[operating systems]

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect

C:\="Microsoft Windows"

The combination

multi(0)disk(0)rdisk(0)partition(1)\WINDOWS

defines the Windows system partition. To create an alternative bootable configuration, simply copy this line around the original one, and change the partition's number partition(x) to another value.

From this point, the startup menu will contain multiple boot configurations, which enables the user to try another boot configuration in case the first one should fail.

File system metadata

The servicing structures of a file system, which contain information about allocating files and directories, security information etc, are named file system metadata.

File system metadata are invisible for users and ordinary applications because accidental modifications of the metadata usually make a partition unusable.

Cluster

The Cluster is the minimum unit of disk space for a file.

Traditionally, a file system divides disk space of a partition into clusters of fixed size to improve the performance. Each cluster is a group of sectors; the amount of sectors should be a power of two, ranging from 1 to 128.

An operating system reserves a whole number of clusters for every file, regardless of the actual file size. The remainder of the last file's cluster is not usedand is referred to as waste space (or slack space).

The waste space may use a noticeable amount of on-partition space. For example, Temporary Internet Files ( a lot of small files) normally use 20% to 70% of slack space.

To reduce the amount of slack space, the Cluster Size value needs to be reduced. On the contrary, reducing the Cluster Size value decreases the performance of the file input-output operations.

Serial Number

In the DOS partitioning scheme, every hard disk and every partition has a Serial Number, which consists of 32 bits and is represented by an 8-figure hexadecimal value.

The hard disk's Serial Number is stored in the MBR. Its value is assigned when the MBR sector is initialized by standard disk managing tools from Microsoft, such as Windows Disk Administrator and FDISK utility.

In fact, the hard disk's Serial Number is not important for most operating systems and software. It is known that Windows NT, 2000 and XP store hard disks’ Serial Number values in the database of assigned drive letters.

A partition's Serial Number is stored in its Boot Sector (in FAT16, FAT32 and NFTS file systems). Its value is assigned when the partition is formatted.

In fact, the partition's Serial Number does not play an important role for most operating systems and software.

Root Directory

The top-level directory of a formatted logical drive is named the Root Directory. The Root Directory includes other files and directories.

In modern file systems (e.g. Ext2/Ext3, FNTFS and even FAT32), the Root Directory does not differ from other directories in properties. This is not the case for old FAT12 and FAT16 file systems.

On FAT12 and FAT16 partitions, the Root Directory is placed outside the common space used for saving files. The place for the Root Directory is allocated at the moment when a partition is being formatted. The maximum amount of files and directories that can be placed in the Root Directory is limited to a value, which depends on the size of the Root Directory. This value cannot be reduced or enlarged until the partition is re-formatted.

According to FAT16 standards, the Root Directory takes a whole number of sectors, and each directory entry takes 32 bytes. On modern disks, the sector size is usually 512 bytes. This means that the capacity of the Root Directory is a number that is divisible by 16.


PM

Hard Disk Manager
User Manual

Contents

1... Introduction. 7

2... Installing Hard Disk Manager. 10

2.1 Package Contents. 11

2.2 Registering and Updating Hard Disk Manager. 11

2.2.1....... E-Service System.. 11

2.2.2....... Registering in the E-Service System.. 12

2.2.3....... Registering new products in the E-Service System.. 12

2.2.4....... Downloading updates. 13

2.2.5....... Updating and Upgrading registered products. 13

2.3 Uninstalling Hard Disk Manager. 13

3... Basic Working Concepts. 14

3.1 Functionality overview.. 14

3.1.1....... Known file systems. 14

3.1.2....... Fast copying algorithm.. 14

3.1.3....... Virtual operations. 16

3.1.4....... Incremental Backup. 17

3.2 Interface overview.. 18

3.2.1....... Interface Layout 18

3.2.2....... UDP controls. 24

3.3 Settings overview.. 27

3.3.1....... General settings. 27

3.3.2....... Backup settings. 31

3.3.3....... Locale settings. 32

3.3.4....... SID Changer settings. 34

3.3.5....... User settings. 35

3.3.6....... Language settings. 37

3.3.7....... Operations settings. 37

3.4 Executing operations. 38

3.4.1....... Wizards vs. manual management of operations. 38

3.4.2....... Initiating operations. 39

3.4.3....... Inspecting pending operations. 39

3.4.4....... Applying operations. 41

3.4.5....... Progress Information. 41

3.4.6....... Working with locked and system partitions. 42

3.4.7....... Executing operations in the fail-safe mode. 44

3.5 Scheduling tasks. 45

3.5.1....... A task statement 45

3.5.2....... A new task schedule. 46

3.5.3....... Scheduled tasks. 48

4... Hard Disk Management 51

4.1 Backup Partitions. 51

4.1.1....... Overview.. 51

4.1.2....... Initiating the operation. 52

4.1.3....... Description of the Backup parameters. 53

4.1.4....... Running the Backup operation. 57

4.1.5....... Comments. 57

4.1.6....... Backup system and locked partitions. 59

4.1.7....... Creating Incremental Image. 64

4.2 Burn Partition Images on CD/DVD.. 66

4.2.1....... Overview.. 66

4.2.2....... Initiating the operation. 67

4.2.3....... Description of the Burn Image parameters. 68

4.2.4....... Running the Burn Image operation. 69

4.2.5....... Comments. 70

4.2.6....... Burn Image of locked and system partitions. 71

4.3 Backup Extended Partitions on CD/DVD.. 73

4.3.1....... Overview.. 73

4.3.2....... Initiating operations. 73

4.3.3....... Running the operations. 75

4.3.4....... Comments. 76

4.4 Backup Hard Disks. 77

4.4.1....... Overview.. 77

4.4.2....... Initiating the operation. 78

4.4.3....... Description of parameters. 79

4.4.4....... Running the backup of the hard disk. 79

4.4.5....... Backup locked Hard Disks. 80

4.4.6....... Comments. 80

4.5 Burn hard disk images on CD/DVD.. 81

4.5.1....... Overview.. 81

4.5.2....... Initiating the operation. 82

4.5.3....... Description of the Burn Image parameters. 83

4.5.4....... Running the Burn Image operation. 84

4.5.5....... Comments. 84

4.5.6....... Burn Image of locked and system hard disks. 84

4.6 Restore Partition from Backup Image. 84

4.6.1....... Overview.. 85

4.6.2....... Initiating the operation. 85

4.6.3....... Defining the location and size of the restored partition. 90

4.6.4....... Running the restore operation. 91

4.6.5....... Comments. 92

4.6.6....... Restoration of locked partitions. 94

4.7 Selective partition restore. 95

4.7.1....... Overview.. 95

4.7.2....... Initiating the Selective Restore operation. 96

4.7.3....... Description of the Selective Partition Restore dialog functionality 98

4.7.4....... Running the Selective Restore operation. 101

4.7.5....... Comments. 101

4.8 Restore Hard Disk from Backup Image. 102

4.8.1....... Overview.. 102

4.8.2....... Initiating the operation. 103

4.8.3....... Description of Restore Hard Disk dialog. 107

4.8.4....... Comments. 110

4.8.5....... Restoration of locked hard disks. 111

4.9 Copy Partition. 111

4.9.1....... Overview.. 111

4.9.2....... Initiating the operation. 113

4.9.3....... Description of the parameters. 115

4.9.4....... Comments. 117

4.9.5....... Copying locked and system partitions. 119

4.10 Copy Hard Disk.. 121

4.10.1 Overview.. 121

4.10.2 Initiating the operation. 122

4.10.3 Running the operation. 124

4.10.4 Comments. 125

4.10.5 Working with locked and system hard disks. 125

4.11 Create Partition. 126

4.11.1 Overview.. 126

4.11.2 Initiating the operation. 127

4.11.3 Description of the parameters. 128

4.11.4 Comments. 130

4.12 Format Partition. 134

4.12.1 Overview.. 135

4.12.2 Initiating the operation. 135

4.12.3 Description of the parameters. 136

4.12.4 Running the operation. 139

4.12.5 Comments. 139

4.12.6 Formatting locked and system partitions. 140

4.13 Delete Partition. 141

4.13.1 Overview.. 141

4.13.2 Initiating the operation. 141

4.13.3 Description of the parameters. 142

4.13.4 Running the operation. 143

4.13.5 Comments. 143

4.13.6 Deleting locked and system partitions. 143

4.14 Undelete Partition. 144

4.14.1 Overview.. 144

4.14.2 Initiating the operation. 145

4.14.3 Comments. 148

4.15 Wipe Partition. 150

4.15.1 Overview.. 150

4.15.2 Initiating the operation. 151

4.15.3 Description of the Wipe Partition parameters. 152

4.15.4 Comments. 153

4.15.5 Wiping locked and system partitions. 153

4.16 Wipe Hard Disk.. 154

4.16.1 Overview.. 154

4.16.2 Initiating the operation. 154

4.16.3 Description of the Wipe Hard Disk parameters. 155

4.17 Clear Free Space. 156

4.17.1 Overview.. 156

4.17.2 Initiating the operation. 157

4.17.3 Description of the Clear Free Space parameters. 158

4.17.4 Comments. 159

4.17.5 Clearing free space on locked partitions. 159

4.18 Merge Partitions. 160

4.18.1 Overview.. 160

4.18.2 Initiating the operation. 160

4.18.3 Running the operation. 161

4.19 Resize & Move Partition. 162

4.19.1 Overview.. 162

4.19.2 Initiating the operation. 164

4.19.3 Description of parameters. 167

4.19.4 Running the operation. 168

4.19.5 Comments. 168

4.19.6 Resizing and moving locked and system partitions. 174

4.20 Redistribute Free Space. 174

4.20.1 Overview.. 174

4.20.2 Initiating the operation. 175

4.21 Mount Partition. 176

4.21.1 Overview.. 176

4.21.2 Initiating the operation in the Windows-based version. 177

4.21.3 Description of the parameters. 178

4.21.4 Running the operation. 178

4.21.5 Comments. 178

4.21.6 Dismounting locked partitions. 179

4.22 Convert File system.. 179

4.22.1 Overview.. 180

4.22.2 Initiating the operation. 181

4.22.3 Description of parameters. 182

4.22.4 Running the operation. 184

4.22.5 Comments. 184

4.22.6 Converting File system of locked partitions. 187

4.23 Change Cluster Size. 187

4.23.1 Overview.. 187

4.23.2 Initiating the operation. 189

4.23.3 Description of parameters. 189

4.23.4 Running the operation. 190

4.23.5 Comments. 190

4.23.6 Changing Cluster Size on locked and system partitions. 191

4.24 Change Primary Slot 191

4.24.1 Overview.. 192

4.24.2 Initiating the operation. 193

4.24.3 Description of the dialog functionality. 194

4.24.4 Running the operation. 195

4.24.5 Comments. 195

4.25 Make Logical / Make Primary. 198

4.25.1 Overview.. 199

4.25.2 Initiating the operation. 200

4.25.3 Running the operation. 201

4.25.4 Comments. 201

4.25.5 Working with locked partitions. 202

4.26 Changing Partition Attributes. 203

4.26.1 Set a Partition Active/Inactive. 203

4.26.2 Hide/Unhide Partition. 205

4.26.3 Change Partition ID.. 207

4.26.4 Set Label of a Partition. 209

4.27 Supplementary functions. 210

4.27.1 Retest surface. 211

4.27.2 Check File system Integrity. 212

4.27.3 Check archive integrity. 214

4.27.4 Partition Defragmentation. 215

4.27.5 MFT De-fragmentation. 217

4.27.6 View Partition/Hard Disk Properties. 218

4.27.7 Show Archive Info. 220

4.27.8 Show CD/DVD Burners Info. 223

4.27.9 Browse Partition. 224

4.27.10 Browse Archive. 225

4.27.11 View Sectors. 225

4.27.12 Generate scripts. 231

4.27.13 Change Root Size. 235

4.27.14 Change Boot Size. 238

4.27.15 Update MBR.. 240

4.27.16 Change Serial Number of a Partition. 242

4.27.17 Send log-files. 243

5... Supplementary Utilities. 245

5.1 Partition Explorer. 245

5.1.1....... Opening and editing documents. 245

5.2 Image Explorer. 246

5.2.1....... Overview.. 246

5.2.2....... Opening and editing documents. 246

5.3 Diskette Build Wizard. 246

5.4 SID Changer. 247

5.4.1....... Overview.. 247

5.4.2....... Description of command-line parameters. 247

5.5 Recovery CD.. 248

5.5.1....... Features overview.. 248

5.5.2....... System requirements. 249

5.5.3....... How to burn a Recovery CD.. 250

5.5.4....... How to use the Recovery CD.. 251

5.5.5....... Recording data CD from a failed hard disk. 254

5.5.6....... Typical Recovery Scenarios. 260

6... Glossary. 262